ActiveReports 12 Server Designer User Guide

ActiveReports Server is a browser-based report designer that enables users without any knowledge of codes to create complex reports, and implement major interactive features such as filtering, grouping, sorting, and adding parameters.

Note: This help file is for ActiveReports Server Designer. In case you are looking for Administrative features, you can see ActiveReports Server User Guide for more information.

In the ActiveReports Server Designer Documentation

Report Portal
Learn about the various elements of the Report portal for desktop and mobile, the home page to start designing reports.
Get Started with ActiveReports Web Designer
Learn about ActiveReports Web Designer, the default designer based on HTML5 technology. This topic also provides a step-by-step guide to creating your reports.
Get Started with ActiveReports ClickOnce End User Designer
A brief introduction to the ActiveReports ClickOnce End User Designer, designer based on ClickOnce technology. This topic describes the supported report types, and how to create and modify reports.
Sharing and Security
Find out about the role-based security in ActiveReports Server.
Previewing Reports
Learn about previewing reports that has three types of UI options - mobile UI, desktop UI, and custom UI.
Send a Report by Email
This topic explains how to send a report in different formats while previewing a report on HTML5 Viewer.
Scheduling Reports
Learn about report scheduling and distribution in ActiveReports Server.
Publish Reports
This topic explains how to publish your reports and distribute them to users in different formats.
Report Versions
Learn about report versioning in ActiveReports Server.
Report Categories
Learn about report categories in ActiveReports Server.
Caching Reports
Learn how and why to modify report cache settings.

Licensing Agreement

Please see the ActiveReports Server Licensing Agreement on our web site for full details about licensing for each edition.

Acknowledgements

Microsoft, Windows, Visual Studio, and Microsoft SQL Server are either registered trademarks or trademarks of Microsoft Corporation in the United States and/or other countries.


Report Portal

Report Portal
ActiveReports 12 Server Designer User Guide > Report Portal

The starting point for all reporting with ActiveReports Server is the Report Portal. The Administrator provides you a link to reach the portal along with a user name and password to log in. Once you are logged in, the Report Portal shows you a list of existing reports that you can preview, design, or delete.

Report Portal

The Report Portal consists of the following elements

ToolBar Elements Name Description Support in Mobile Portal
Quick Access Toolbar - Consists of commonly used commands to perform basic operations.
Admin dashboard

Allows the End User to access the Administrator dashboard from the Report Portal.

Note: Admin permissions are required to view the Admin dashboard link. Please contact your server administrator to provide you the required permission to access the admin dashboard.
✓
Log Out Logs out the End User from ActiveReports Server. ✓
ActiveReports Server Allows the End User to open the ActiveReports Server help documentation. ✓
Send Feedback Allows the End User to Send Feedback related to the product. ✓
Categories and Search - Consists of a Categories panel that displays System Categories and Personal Categories, and a Search option that allows End Users to search reports in the Report List. It also contains My Favorites section that displays all your favorite reports.
Search

Allows the End User to search reports from a list of existing System and Personal Categories. There are two types of search that are available for the End User. See System Categories and Personal Categories for further details.

  • Search in selected category: Allows users to search their reports in the selected category.
  • Search in all categories - Allows users to search their reports in all the existing categories.
 ✓
Create Allows the End User to create a new Personal category using the Add/Edit Category dialog box. See Working with Categories for further information. ✘
No Category
 This is a default category. Reports that are not assigned any categories are listed under this section. ✓
My Favorites
 Allows End User to quickly access the frequently used reports. Reports marked as favorite are listed under the My Favorites section. ✓
Report List - This section consists of a list of reports. Report Name, Date, Time and User name are displayed for all the reports in the Report List.
Gallery View Displays the list of reports in the Gallery View mode. ✘
List View Displays all the reports in the List View mode. ✘
Sorted by

Allows the End User to sort their reports. Reports can be sorted on,

  • Report Name
  • Modify Date
  • User Name
 ✓
Report Check Box
 Allows the End User to select a report from the Report List. ✓
Create Report Allows the End User to create a new report. In the Create report dialog that appears, you can select the report type - Semantic report, Section report, Page report and RDL report. See Create Your First Report and ClickOnce End User Designer for further information. ✘
Favorites Allows the End User to add or remove their reports from the My Favorites section. See Add or Remove reports from Favorites for further information. ✓
Report info Displays the Information tab that includes information related to the selected report to the right of the Report Portal. ✓
Preview report Allows the End User to preview the output of the report in the ActiveReports Server Viewer. See Site Settings to change the report preview options. ✓
Design report Displays the selected report in the Designer. ✘
Delete report Deletes the selected report from the Report List. ✘
Report list items: select all or unselect all Allows the End User to select or clear all the reports in the Report List. ✘
Selected reports Displays the count of selected reports in the Report List. ✓
Delete Allows the End User to delete the selected reports from the Report List. ✓
Information Tabs - Displays information related to the report. It consists of Information, Schedule, History, Revisions, and Categories tab.
Info Displays properties, permissions and caching information for the selected report. ✓
Schedule Allows the End User to add a schedule for the selected report. See Scheduling Reports for further information. ✘
History Displays a history list that corresponds to a schedule task. See Report History for further information. ✘
Revisions Displays a list of revisions for the selected report. See Report Versions for further information. ✘
Categories Displays the list of categories that you can assign to your reports. See Categories for further information. ✘
See Also
Elements of Web Designer


Mobile Report Portal

Mobile Report Portal
ActiveReports 12 Server Designer User Guide > Report Portal > Mobile Report Portal

Mobile portal is a responsive user interface of the desktop Report Portal that gives you the flexibility to perform various reporting functions such as searching, exporting, previewing reports using simple touch gestures. Now you can access ActiveReports Server mobile portal from any touch enabled device and view the reports from anywhere.

Log in with the username and password provided by the System Administrator to access the Mobile Portal.

Note: The Mobile view of the ActiveReports Server Report Portal does not provide a few functionalities such as scheduling, report creation etc. See Report Portal for a complete list of functionalities which are supported in the Mobile Report Portal.

Elements of the Login Screen

Login Screen

Elements | Name | Description
 | Login Field | Displays the user name to access the reports on the Mobile Report Portal.
 | Password Field | Displays the password to log into the Mobile Report Portal.
 | Login Button | Allows users to log into the Mobile Report Portal.
 | I forgot my password link | Allows users to recover their password.
 | Keep me Logged in check box | Saves the login information in the browser.
 | Don't have an account? Login as guest link | Allows users to access the Mobile Report Portal as a guest user.

Elements of the Categories and Search Screen

Categories and Search Screen

Categories and Search Screen

Consists of a Categories panel that displays System Categories and Personal Categories, and a Search option that allows End Users to search reports in the Report List. It also contains My Favorites section that displays all your favorite reports.

Elements | Name | Description

No Category

 This is a default category. Reports that are not assigned any categories are listed under this section.
My Favorites | Allows End User to quickly access the frequently used reports. Reports marked as favorite are listed under the My Favorites section.

Search

Allows the End User to search reports from a list of existing System and Personal Categories. There are two types of search that are available for the End User. See System Categories and Personal Categories for further details.

  • Search in selected category: Allows users to search their reports in the selected category.
  • Search in all categories - Allows users to search their reports in all the existing categories.
Show reports from selected category button | Single tap the Show reports from selected category button displays all the reports for the selected category.

Elements of Report List Screen

Report List

Elements | Name | Description
Preview | Allows the End User to preview the output of the report in the ActiveReports Server HTML5 Viewer.
Favorites | Allows the End User to add or remove their reports from the My Favorites section. See Add or Remove reports from Favorites for more information.
Sorted by

Allows the End User to sort their reports. Reports can be sorted on,

  • Report Name
  • Modify Date
  • User Name
Delete | Deletes the selected report from the Report List.
Selected reports | Displays the count of selected reports in the Report List.
Report info | Select a report and then single tap the Report info button to display the Information Tab to the right of the screen that includes information related to the selected report.
Report details | Displays the Information Tab to the right of the screen that includes information related to the selected report.

Elements of Preview Screen

Elements | Name | Description
 | Table of Contents | Single tap the Table of Contents button to open the Table of Contents pane. Tap any Table of Contents item within the Table of Contents pane to navigate to the corresponding section of the report.
 | Parameters | Single tap the Parameters button to open the Parameters pane. The Parameters pane appears automatically if your report contains parameters.
 | Search | Allows you to search a specific text in the report. Single tap the Search button to open the Search pane.
 | Single page view | Shows one page at a time in the viewer.
 | Continuous page view | Shows all preview pages one below the other.
 | Save As | Displays the drop-down list of formats to export the report. The available options are PDF Document, Word Document, Image File, MHTML Web Archives, and Excel Workbook. Tapping the menu item exports the report to the selected format and opens the saved file in the browser as an attachment.
 | Email | Send report by email after specifying email address of the recipient in the Send Report by Email dialog. You can select the format of the report from PDF (default), EXCEL, MHT, Image, WORD, and XML , and choose to send the report as link or as an attachment.
 | Back to Parent | Returns to the parent report in a drill-through page report.
 | Next Page | Navigates to the next page of the displayed report.
 | Previous Page | Navigates to the previous page of the displayed report.
 | Current Page | Displays the current page number and page total. Enter the page number to view a specific page.

See Previewing Reports for more information.

See Also
Report Portal
Previewing Reports


Get Started with ActiveReports Web Designer

Get Started with ActiveReports Web Designer
ActiveReports 12 Server Designer User Guide > Get Started with ActiveReports Web Designer
The ActiveReports Web Designer works with following browsers:
  • Chrome
  • Edge
  • Internet Explorer 11

You can create RDL reports with server data sets and with a semantic model, and Page reports with server data sets.

Note:
  • When an existing semantic report is opened in the Web Designer, it gets converted to an rdl based semantic report.
  • The reports created in Web Designer can not be opened in Flash Designer.
  • Users can only work with scripts in Web Designer but cannot add or edit them directly. However, they can use the ClickOnce Report Designer if they want to add or edit a script.

The following basic areas are covered to get started with ActiveReports Web Designer.

Key Features
Lists the key features of Web Designer.
Elements of Web Designer
Learn about the interface elements of Web Designer.
Supported Controls
Learn the controls supported in the Web Designer.
Working with Tables
Here you will learn how to work with tables in Web Designer.
Working with Tablices
Here you will learn how to work with tablices in Web Designer.
Working with Charts
Here you will learn how to work with charts in Web Designer.
Working with Parameters
Discover how to make your reports interactive by using parameters in your reports.
Working with Filters
Learn about adding filters in data sets, data regions, or in data region groups.
Using Filters and Parameters
Learn the difference between usage of filters and parameters in a report.
Using Expression Editor
Learn about expressions and building them in Expression Editor.
Using Themes and Styles
Find out how styles and themes can revamp the look of reports.
Using Templates
Find out about using the ready-to-use templates for report designing.
How To
Quickly learn how to perform specific tasks with ActiveReports Web Designer.


Key Features

Key Features
ActiveReports 12 Server Designer User Guide > Get Started with ActiveReports Web Designer > Key Features

The key features of ActiveReports Web Designer are as follows:

Simple and intuitive designing

  • The Snap lines on the design area help align controls.
  • The ability to drag and drop controls onto the design area and within controls on the design area.
  • Easy to understand and use properties.

Flexible data access

Make use of Shared or Semantic data sets, or create Embedded datasets. The shared datasets are useful when there are multiple reports depending on a single data set. When a shared data set gets modified, you can refresh it in a report that uses it. The embedded data sets are useful when the data source is to be used with single report.

Different Report Types
The ActiveReports Web Designer supports three types of reports - RDL Reports, that depend on the size of data for their layout, Page Reports, that are data independent and have pixel-perfect layout, and Semantic Reports, that depend on the Semantic data model. All these reports support adding subreports.

Ready-to-use Templates

You can select a template that has all the required report elements with formatting set up, and build a report on that.

Enhanced Themes and Styles

There are a number of themes and styles available for your report and controls on the report that lets you transform a plain report to a visually appealing one. The default styles are automatically applied to the controls that support style feature.

Intuitive previewing

The viewer options provide rich user experience as it lets you:

  • use the sidebar panel to enter parameters and view table of contents in the report when applicable
  • choose from different page view modes - Single page view to view reports page-wise, and continuous page view to view all pages in a scrollable frame.
  • send reports by email
  • take print of reports
  • export to different other formats.

Export to multiple formats

You can export your reports to several formats such as Excel file (xlsx), MHT document (archived Web page), Image file, PDF document, Word document, XML file (xml), or CSV file (csv).


Elements of Web Designer

Elements of Web Designer
ActiveReports 12 Server Designer User Guide > Get Started with ActiveReports Web Designer > Elements of Web Designer

ActiveReports Web Designer is based on HTML5/JS technology stack. The designer is an integrated reporting application and comes packed with a powerful yet intuitive user interface that facilitates users in creating summarized and structured reports anywhere on any device.

Web Designer Interface Elements

The Report Design Surface is where you can drag and drop entities and attributes to create tables and charts and other controls to design your reports. It is visible on the Design tab and the Report tab. See below for more information.

  • Ribbon tabs: The ribbon on the designer window consists of following tabs:
    • Menu: Contains report explorer, group editor, and report controls that assist in designing reports. You can also find Preview button to preview reports.
      • Report Explorer: Provides an overview on hierarchy of added report items. It displays the current selection and also allows selecting other report items
      • Group Editor: Shows Column and Row hierarchies of Tablix members for currently selected Tablix or Table data region.
    • File: Contains options to create, open or save reports. It also contains the version information in About option and help documentation link in Help option.
    • Home: Consists of report editing options such as cut, copy, paste, and delete. It also provides shortcuts for text formatting such as font, font size, font color, and horizontal and vertical text alignments.
    • Insert: Contains controls that can be dragged and dropped onto the design area.
    • Report: Contains options to add, delete, or move pages (in Page report) and add or remove header and footer (RDL report), and change report themes.
    • Properties: Displays the properties of the selected report element. If more than one element is selected, only their common properties are shown.
    • Data: Contains options to manage data sets and parameters. It also displays common values such as current date and time, page number, total pages, and more.
  • Designer Buttons: Designer buttons consist of options to change appearance and behavior of the design area:
    • Grid: Click this option to show or hide the grid. Grids help in accurate placements of controls.
    • Snap to Grid and Snap to Guides: When Snap to Grid option is enabled, the selected control snaps to the grid at set locations. When Snap to Guides option is enabled, the selected control snaps to the vertical or horizontal lines relative to the position of other controls. This is helpful for consistent spacing and alignment of controls.
  • Zoom support: Using the zoom in (+) and zoom out (-) buttons, you can change the zoom level of the design area. You can also use shortcuts [Ctrl] + [+] to zoom in and [Ctrl] + [-] to zoom out.
  • Ruler Units: Lets you change the ruler measurements for a report to Centimeters (cm) or Inches (in) using ruler units.

Keyboard Shortcuts

The following shortcuts are available in the Web Designer.

Keyboard Shortcut | Action
Ctrl + A | Selects all cells in the Table and Tablix controls. In the List, Body and Container controls, selects all controls in the current container.
Ctrl + E | Opens the New Report page.
Ctrl + O | Opens the Open Report page.
Ctrl + S | Opens the Save Report page.
Ctrl + Z | Undoes the last action.
Ctrl + Y | Redoes the last action.
Ctrl + X | Cuts text and controls.
Ctrl + C | Copies text and controls.
Ctrl + V | Pastes text and controls.
Del | Deletes text and controls.
Left, Right, Up, Down | Moves the visible area of the page in the corresponding direction. In the Table and Tablix controls, navigates between the cells. In the List, Body and Container controls, moves controls by the grid-size. In the Chart Control, moves data-fields, series-fields and category-fields.
Tab | Navigates in the forward direction between the cells in the Table and Tablix controls. In the List, Body and Container controls, switches between controls in the forward direction.
Shift + Tab | Navigates in the backward direction between the cells in the Table and Tablix controls. In the List, Body and Container controls, switches between controls in the backward direction.

See Also
Get Started with ActiveReports Web Designer


Supported Controls

Supported Controls
ActiveReports 12 Server Designer User Guide > Get Started with ActiveReports Web Designer > Supported Controls

In ActiveReports Web Designer, we have different set of controls based on server or semantic model data set. These controls enable us to build reports using simple drag and drop operation and later setting the properties from the Properties pane.

Supported controls for a report based on server data set or semantic model:

  • TextBox
  • CheckBox
  • Container
  • Line
  • Shape
  • Table Of Contents
  • Image
  • List
  • Table
  • Tablix
  • Chart
  • Bullet
  • Barcode
  • Formatted Text
  • Sparkline
  • Subreport
  • Overflow Placeholder (Page report only)

Some ActiveReports controls are not fully supported at design time. However, these controls are displayed correctly at preview. These controls are as follows.

  • BandedList
  • Calendar
  • Map
Note:
  • All the above controls (including those that are not fully supported in Web Designer) are fully supported by ActiveReport Server ClickOnce End User Designer. For more information on these controls, please see the Toolbox topic in the ActiveReports help file.
  • The Table data region in an existing report, when opened in the Web Designer, is converted into Tablix.


Working with Tables

Working with Tables
ActiveReports 12 Server Designer User Guide > Get Started with ActiveReports Web Designer > Working with Tables

This section covers the basics of working with tables in ActiveReports Web Designer.

Table Overview
Provides information on the table layout and its functionality.
Create a Report with Table
Explains how to create a report using Table data region.


Table Overview

Table Overview
ActiveReports 12 Server Designer User Guide > Get Started with ActiveReports Web Designer > Working with Tables > Table Overview

The Table data region consists of columns and rows that organize data. A Table has three columns and three rows by default, a total of nine cells, each of which is filled with a text box. At design time, you can add or remove columns, rows and groupings to suit your needs.

As with any data region, you can drag fields from your Fields list onto cells in the table. The default report control within each cell of the table is a text box. When you drag a field into a cell in the detail row, a label in the table header row is automatically added.

See Also
Create a Report with Table


Create a Report with Table

Create a Report with Table
ActiveReports 12 Server Designer User Guide > Get Started with ActiveReports Web Designer > Working with Tables > Create a Report with Table

In tabular reports, the data is organized along the rows and columns of a Table data region. The data in the form of fields and entities is fetched from the data set added to the report.

What You Will Learn

This tutorial guides you through the steps to create a tabular report in ActiveReports Web Designer.

  • Access the ActiveReports Web Designer and Add Data Set
  • Create Report Layout
  • Bind Data to Table Data Region
  • Sort Table Data
  • Add Report Title
  • Customize the Appearance of the Tabular Report
  • Preview and Save Report
Note: This tutorial uses shared data set - CustomerOrders. The shared data sets and shared data sources can be viewed or modified in the Administrator Dashboard. For information on adding shared data sets, see Add Shared Data Set.

After you complete this tutorial, you will have a report that looks similar to the following.

Access the ActiveReports Web Designer and Add Data Set

  1. On the ActiveReports Server Report Portal, click Create report.
    The ActiveReports Web Designer opens in the new browser tab.
  2. Select Blank Page Report template and then click Choose Data.
  3. Select CustomerOrders data set from the available shared data sets.
  4. Click Create Report. The CustomerOrders data set is added to the report.

Create Report Layout

  1. Drag and drop Table data region [image] onto the design area of the report. By default, you have a table with three rows and three columns.
  2. To add more columns to the table, click inside the table to display the column handle, and then click the plus sign.

    This adds one column to the table. Similarly, add another column to create a table with three rows and five columns.

Bind Data to Table Data Region

  1. To view fields in the added data set, click the drop-down next to the CustomerOrders data set.
  2. To fill the table with data, drag and drop the fields onto the columns of the details row.

    In our case, drag and drop the Title field on the first column, Country field on the second column, and so on as illustrated below. The Header row above the details row is automatically filled with labels.

  3. To remove the table footer, right-click the bottom row and select Remove Footer.
    Note: The Data Set Name property of the table is automatically set to CustomerOrders.

Sort Table Data

You can sort the table data of any field in ascending or descending order. Let us sort our table data by Price field in descending order.

  1. From the adorner on the right side of the table, select the Table1_DetailsGroup and go to the Sort Expressions property.
  2. Click Show Items and then select Add Item.
  3. Click the radio button to display the fields and select the Price field to sort the table by price.

    Note: You can also enter a sort expression in the Expression Editor: Data - Sort Expressions dialog by selecting Expression...

  4. Click descending [image] icon to sort the Price field in descending order. You can change the sort order to ascending by clicking the ascending [image] icon (default).

Add Report Title

  1. Drag and drop a TextBox control [image] above the table. You may need to relocate the table to create space for the text box.
  2. Click inside the text box and enter the text 'Customer Orders Report'.

Customize Appearance of Tabular Report

Note: You may need to resize and reposition the controls on the report to accommodate data, and for a cleaner look.

  1. To apply borders to the table, select the Table data region and set the BORDER - Style property to Solid.
  2. To customize Header row of the table, set the following properties for all text boxes in the row. Set the same properties to customize the title of the report, that is, the text box containing text 'Customer Orders Report'.
    Property Value
    BACKGROUND - Color Plum
    TEXT - Font Weight Bold
    TEXT - Text Align Center
  3. To customize Details row of the table, select the cells in the details row by using Ctrl+Click and set the following properties.
    Property Value
    BORDER - Style Solid
    TEXT - Text Align
    (except for the text box with 'Title' field)     		Center

Preview and Save Report

  1. Click Preview [image] to view the final output of your report.
  2. Exit the preview mode by clicking Back on the left side of the designer.
  3. Switch to the File tab and click Save to open the Save dialog box. Enter the report name and click Save Report. You can also provide a description and a revision comment for the report.

The reports created in the ActiveReports Web Designer are saved in the ActiveReports Server Report Portal under 'No Category'.

See Also
Table Overview


Working with Tablices

Working with Tablices
ActiveReports 12 Server Designer User Guide > Get Started with ActiveReports Web Designer > Working with Tablices

This section covers the basics of working with tablices in ActiveReports Web Designer.

Tablix Overview
Provides information on the table layout and its functionality.
Create a Report with Tablix
Explains how to create a report using Tablix data region.


Tablix Overview

Tablix Overview
ActiveReports 12 Server Designer User Guide > Get Started with ActiveReports Web Designer > Working with Tablices > Tablix Overview

A Tablix data region displays data in cells that are arranged in rows and columns. It provides enhanced layout capabilities ranging from creation of simple tables to advanced matrices. Tablix is essentially a combination of two data regions, the table and the matrix. Therefore, it provides all the features of a table and a matrix along with added capabilities including support for multiple adjacent groups on rows or columns and improved layout flexibility with stepped group layouts.

Areas of the Tablix Data Region

The Tablix data region is composed of four areas denoted by dotted lines on the design surface: the corner, the row group area, the column group area, and the body. By default, each tablix cell contains a TextBox control and the function for each cell is determined by its location. The Group Editor is specifically designed to manage the tablix structure. The Group Editor window contains the following groups:

  • Row Groups: Displays all the groups in the row group area of the Tablix data region.
  • Column Groups: Displays all the groups in the column group area of the Tablix data region.

When you select a Tablix data region, the row and column handles appear. These handles help you work with the groups added to the data region.

Rows or columns in the Tablix data region can be static or dynamic. You can use the Group Editor window to identify the dynamic rows and columns in a Tablix data region.

Static Rows and Columns: A static row or column is not associated with any group data. When the report runs, a static row or column is rendered only once. Labels and totals are displayed using static rows or columns in Tablix data region.

Dynamic Rows and Columns: A dynamic row or column is associated with one or more groups, and renders once for every unique value in the group. You can also create dynamic group rows or columns by adding a row group or a column group.

See Also
Create a Report with Tablix


Create a Report with Tablix

Create a Report with Tablix
ActiveReports 12 Server Designer User Guide > Get Started with ActiveReports Web Designer > Working with Tablices > Create a Report with Tablix

A simple Pivot report contains a Tablix data region. This report uses the default row and column groups to display data.

What You Will Learn

This tutorial guides you through the steps to create a simple Pivot report using Tablix data region.

  • Access the ActiveReports Web Designer and Add Data Set
  • Create Report Layout
  • Bind Data to Tablix Data Region
  • Add Labels to Tablix Data Region
  • Manage Data
  • Add Report Title
  • Customize the Appearance of the Pivot Report
  • Preview and Save Report
Note: This tutorial uses shared data set - CustomerOrders. The shared data sets and shared data sources can be viewed or modified in the Administrator Dashboard. For information on adding shared data sets, see Add Shared Data Set.

After you complete this tutorial, you will have a report that looks similar to the following.

Access the ActiveReports Web Designer and Add Data Set

  1. On the ActiveReports Server Report Portal, click Create report.
    The ActiveReports Web Designer opens in the new browser tab.
  2. Select Blank RDL Report template and then click Choose Data.
  3. Select CustomerOrders data set from the available shared data sets.
  4. Click Create Report. The CustomerOrders data set is added to the report.

Create Report Layout

Drag and drop Tablix data region [image] onto the design area of the report.

You see a row group area and a column group area as shown.

To add a static row to display labels (static text) for the column group,

  1. Right-click the column group area to view the options in the context menu.
  2. Go to Row and select Outside Group - Above.

    Now the tablix in the design area looks as shown.

Bind Data to Tablix Data Region

Let us now populate the Tablix data region with data. We want the titles to be displayed along the rows, different media types along the columns, and the total price corresponding to these.

  1. Click the drop down next to the CustomerOrders data set to view fields in the added data set.
  2. Drag and drop the Title field onto the row group area as shown.
  3. Drag and drop the MediaType field on the column group.
  4. Similarly, drag and drop the Price field onto the body of the tablix.

    To display the aggregate price for the media types,

  5. Select the body area containing Price field.
  6. Go to Properties pane and select the radio button next to Value property.
  7. Select Expressions... from the drop down and enter the following expression in the Expression Editor:
    =Sum(Fields!Price.Value).

Add Labels to Tablix Data Region

To merge the cells in the tablix corner area (top left),

  1. Select the cells in the tablix corner area using mouse drag or simply using Ctrl+Click combination.
  2. Right-click the selected cells to view the options in the context menu, go to Cells, and select Merge Cells.

    To provide labels to the columns,

  3. Enter text 'Prices by Media Type'.
  4. Select the text box above the column group MediaType and enter the text 'Media Type'.
    Now the tablix has column labels as shown.

Manage Data

In Tablix data region, you need to manage how a grouped data is rendered across the rows and columns. This is done by using Group Expressions as explained below.

  1. From the Explorer [image], select the Tablix data region.
  2. Click the Group Editor icon [image] to display row groups and column groups.

    To display the titles once for every row group:

  3. Select Title (Tablix1_RowGroup1) row group and go to the Properties pane.
  4. In the Group Expressions property, click Show Items and then select Add Item.
  5. Click the radio button to display the fields and select the Title field.

    To display the media types once for every column group:

  6. Select MediaType (Tablix1_ColumnGroup1) column group and go to the Properties pane.
  7. In the Group Expressions property, click Show Items and then select Add Item.
  8. Click the radio button to display the fields and select the MediaType field.

Add Report Title

  1. Drag and drop a TextBox control [image] above the tablix. If required, relocate the tablix to create space for the text box.
  2. Click inside the text box and enter the text 'Customer Orders Price List'.

Customize the Appearance of the Pivot Report

Note: You may need to resize and reposition the controls on the report to accommodate data, and for a cleaner look.

  1. To apply borders to tablix, select the Tablix data region and set the BORDER - Style property to Solid.
  2. To customize the static row of the tablix and the title of the report, set the following properties for text boxes with text 'Prices by Media Type', 'Media Type', and 'Customer Orders Price List'.
    Property | Value
    BACKGROUND - Color | Plum#E1BEE7
    TEXT - Font Weight | Bold
    TEXT - Text Align | Center
    BORDER - Style | Solid
  3. To customize the body area and group area of the tablix, set the following properties.
    Property | Value
    Body area (=Sum([Price]))
    BORDER - Style | Solid
    TEXT - Text Align | Center
    Row group area (=[Title])
    BORDER - Style | Solid
    Column group area (=[MediaType])
    TEXT - Text Align | Center
    BACKGROUND - Color | MediumOrchid#CE93D8

Preview and Save Report

  1. Click Preview [image] to view your report in the final output.
  2. Exit the preview mode by clicking Back on the top left side of the designer.
  3. Switch to the File tab and click Save to open the Save dialog box. Enter the report name and click Save Report. You can also provide a description and a revision comment for the report.
See Also
Tablix Overview


Working with Charts

Working with Charts
ActiveReports 12 Server Designer User Guide > Get Started with ActiveReports Web Designer > Working with Charts

This topic explains the options you can control when working with charts in ActiveReports Server.

Chart Overview
Provides basic information on the chart layout and its functionality.
Chart Types
Learn about the variety of included chart types and decide which one can present your data to be most useful.
Create a Report with Chart
Explains what data types you can link to the chart report item.
See Also
Working with Tables

Reference

Chart Design Tools Tab


Chart Overview

Chart Overview
ActiveReports 12 Server Designer User Guide > Get Started with ActiveReports Web Designer > Working with Charts > Chart Overview

The Chart data region shows your data in a graphical representation that often makes it easier for users to comprehend large amounts of data quickly. Different types of charts are more efficient for different types of information, so we offer a wide variety of chart types. This makes it easy and cost effective to add charting to your reports, as there is no need to purchase and integrate a separate charting tool.

Following are the areas where you drop fields in order to plot data in a chart,

Data Fields
Add fields to data fields area to serve as source for plotting chart data points along Y-axis.
Category Fields
Add fields to category fields area to group data and plot the measures for category axis or X-axis.
Series Fields
Add fields to the series fields area to display data in addition to the data plotted by each category. There can be different chart types to view different series on a chart. The labels for the series are displayed on the legend of the chart.
See Also
Create a Report with Chart


Chart Types

Chart Types
ActiveReports 12 Server Designer User Guide > Get Started with ActiveReports Web Designer > Working with Charts > Chart Types

Basic Chart Types

Column Charts

Column charts present each series as a vertical column, and group the columns by category. The y-axis values determine the heights of the columns, while the x-axis displays the category labels. With a column chart, you can select from the following subtypes.

  • Plain: Compares values of items across categories.
  • Stacked: A column chart with two or more data series stacked one on top of the other that shows how each value contributes to the total.
  • Percent Stacked: A column chart with two or more data series stacked one on top of the other to sum up to 100% that shows how each value contributes to a total with the relative size of each series representing its contribution to the total.

Bar Charts

Bar charts present each series as a horizontal bar, and group the bars by category. The x-axis values determine the lengths of the bars, while the y-axis displays the category labels. With a bar chart, you can select from the following subtypes.

  • Plain: Compares values of items across categories.
  • Stacked: A bar chart with two or more data series stacked one on top of the other that shows how each value contributes to the total.
  • Percent Stacked: A bar chart with two or more data series stacked one on top of the other to sum up to 100% that shows how each value contributes to the total with the relative size of each series representing its contribution to the total.

Line Charts

Line charts present each series as a point, and connect the points with a line. The y-axis values determine the heights of the points, while the x-axis displays the category labels. With a line chart, you can select from the following subtypes.

  • Plain: Compares trends over a period of time or in certain categories.
  • Smooth: Plots curves rather than angled lines through the data points in a series to compare trends over a period of time or in certain categories. Also known as a Bezier chart.

Pie Charts

Pie charts present each category as a slice of pie or doughnut, sized according to value. Series groups are not represented in pie charts. With a pie chart, you can select from the following subtypes.

  • Plain: Shows how the percentage of each data item contributes to the total.
  • Exploded: Shows how the percentage of each data item contributes to the total, with the pie slices pulled out from the center to show detail.

Scatter Charts

Scatter charts present each series as a point or bubble. The y-axis values determine the heights of the points, while the x-axis displays the category labels. With a scatter chart, you can select from the following subtypes.

  • Plain: Shows the relationships between numeric values in two or more series sets of XY values.
  • Line: Plots points on the X and Y axes as one series and uses a line to connect points to each other.
  • SmoothLine: Plots points on the X and Y axes as one series and uses a line with the angles smoothed out to connect points to each other.

Area Charts

Area charts present each series as a point, connect the points with a line, and fill the area below the line. The y-axis values determine the heights of the points, while the x-axis displays the category labels. With an area chart, you can select from the following subtypes.

  • Plain: Compare trends over a period of time or in specific categories.
  • Stacked: An area chart with two or more data series stacked one on top of the other, shows how each value contributes to the total.
  • PercentStacked: An area chart with two or more data series stacked one on top of the other to sum up to 100%, shows how each value contributes to the total with the relative size of each series representing its contribution to the total.

Doughnut

  • Plain: Shows how the percentage of each data item contributes to a total percentage.
  • Exploded Doughnut: Shows how the percentage of each data item contributes to the total, with the pie slices pulled out from the center to show detail.

Stock

Stock charts present each series as a line with markers showing some combination of high, low, open, and close values. The y-axis values determine the heights of the lines, while the x-axis displays the category labels. With a financial chart, you can select from the following subtypes.

  • High Low Close: Displays stock information using High, Low, and Close values. High and low values are displayed using vertical lines, while tick marks on the right indicate closing values.
  • Open High Low Close: Displays stock information using Open, High, Low, and Close values. Opening values are displayed using lines to the left, while lines to the right indicate closing values. The high and low values determine the top and bottom points of the vertical lines.
  • Candlestick: Displays stock information using High, Low, Open and Close values. The height of the wick line is determined by the High and Low values, while the height of the bar is determined by the Open and Close values. The bar is displayed using different colors, depending on whether the price of the stock has gone up or down.

Other Chart Types

Bubble

Bubble chart is a type of scatter chart that shows each series as a bubble. The y-axis values determine the height of the bubble, while the x-axis displays the category labels.

Dot Plot Charts

A Dot Plot chart is a statistical chart containing group of data points plotted on a simple scale. These charts are used for continuous, quantitative, and univariate data. The Dot Plot plain chart displays simple statistical plots. It is ideal for small to moderate sized data sets. You can also highlight clusters and gaps, as well as outliers, while conserving numerical information.

Funnel

Shows how the percentage of each data item contributes to the whole, with the largest value at the top and the smallest at the bottom. This chart type works best with relatively few data items.

Gantt

This project management tool charts the progress of individual project tasks. The chart compares project task completion to the task schedule.

Pyramid

Shows how the percentage of each data item contributes to the whole, with the smallest value at the top and the largest at the bottom. This chart type works best with relatively few data items.

Renko

Displays bricks of uniform size chart price movement. When a price moves to a greater or lesser value than the preset BoxSize value required to draw a new brick, a new brick is drawn in the succeeding column. A change in box color and direction signifies a trend reversal.

Kagi

Displays supply and demand trends using a sequence of linked vertical lines. The thickness and direction of the lines vary depending on the price movement. If closing prices go in the direction of the previous Kagi line, then that Kagi line is extended. However, if the closing price reverses by the preset reversal amount, a new Kagi line is charted in the next column in the opposite direction. Thin lines indicate that the price breaks the previous low (supply) while thick lines indicate that the price breaks the previous high (demand).

Point and Figure

Stacked columns of Xs indicate that demand exceeds supply and columns of Os indicate that supply exceeds demand to define pricing trends. A new X or O is added to the chart if the price moves higher or lower than the BoxSize value you set. A new column is added when the price reverses to the level of the BoxSize value multiplied by the ReversalAmount you set. This calculation of pricing trends is best suited for long-term financial analysis.

Three Line Break

Vertical boxes or lines illustrate price changes of an asset or market. The price in a three line break graph must break the prior high or low set in the NewLineBreak property in order to reverse the direction of the graph.

See Also
Chart Overview
Create a Report with Chart


Create a Report with Chart

Create a Report with Chart
ActiveReports 12 Server Designer User Guide > Get Started with ActiveReports Web Designer > Working with Charts > Create a Report with Chart

Let us see how easy it is to represent data in charts.

What You Will Learn

This tutorial guides you through the steps to create a report with Chart data region.

  • Access the ActiveReports Web Designer and Add Data Set
  • Create Report Layout
  • Bind Data to Chart
  • Add Y2 Axis
  • Add Titles
  • Customize the Appearance of the Chart Report
  • Preview and Save Report
Note: This tutorial uses shared data set - SalesByRegion. The shared data sets and shared data sources can be viewed or modified in the Administrator Dashboard. For information on adding shared data sets, see Add Shared Data Set.

After you complete this tutorial, you will have a report that looks similar to the following.

Access the ActiveReports Web Designer and Add Data Set

  1. On the ActiveReports Server Report Portal, click Create report.
    The ActiveReports Web Designer opens in the new browser tab.
  2. Select Blank RDL Report template and then click Choose Data.
  3. Select SalesByRegion data set from the available shared data sets.
  4. Click Create Report. The SalesByRegion data set is added to the report.

Create Report Layout

The report uses the Chart data region to display data. Drag and drop the Chart data region [image] onto the design area of the report.

The default chart type is Column Plain. You can change the chart type from the Type property.

Bind Data to Chart

We will create a chart with two series plotted along the Y-axis.

  1. From the fields available in the data set, drag the Store field into the Category Fields area. This automatically binds the Store field to the X axis.
  2. Drag the Profit and the Quantity field into the Data Fields area. This plots the Profit and Quantity fields to the Y axis of the chart.

    Note that the Data Set Name property of the chart is already set to SalesByRegion data set.

Add Y2 Axis

  1. From the Explorer [image], select the Chart data region.
  2. In the Value Axes field, click Show Items. You will see that Y1 axis is already added.
  3. Click Add Item. The Y2 axis is added to the chart.
  4. To bind the Quantity field to Y2 axis, select Quantity in the Data Fields area and change the Value Axis Name property to Y2.

Add Titles

Let us add titles to our chart, and to the X and Y axes.

  1. From the Explorer [image], select Title under Chart1 (or the name of your chart).
  2. From the Properties pane, set Caption to Store Summary.
  3. In the Explorer, select the Category Axis > Title and set Caption to Store Name.
  4. In the Explorer, select the Value Axis Y1 > Title and set Caption to Profit.
  5. In the Explorer, select the Value Axis Y2 > Title and set Caption to Quantity.
  6. In the Explorer, select Legend and under Layout, set Position to TopCenter.

Customize the Appearance of the Chart Report

Let us now customize the appearance of chart and its labels and axes.

Note: You may need to resize the Chart data region on the report to accommodate data, and for a cleaner look.

  1. To sort the order for the stores displayed on X axis in the ascending order,

  2. Select Chart1_CategoryGroup1 in the Category Fields area.
  3. In the Properties pane, go to the Sort Expressions field.
  4. Click Show Items and then Add Item.
  5. Click the radio button and select Store from the list of data set fields.
    The default sort order is ascending order.

    To set orientation of category labels,
  6. From the Report Explorer, select Category Axis.
  7. From Properties pane, set Text Orientation property under Labels to Horizontal.

    To define the Y axes that will be displayed on the chart,
  8. Select chart.
  9. In the Value Axes field, click [image] next to Y2. The Axis Properties pane is displayed.
  10. Set the Location property of Y2 axis to Right.

    To set orientation of title text for Y2 axis,
  11. From the Report Explorer, select Title under Value Axis Y2.
  12. From Properties pane, set Text Orientation property under Text to Horizontal.

    To define the data fields for the type of chart that they will display,
  13. Select Profit in the Data Fields area.
  14. From the Properties pane, set Type to Line Plain.
  15. Select Quantity in the Data Fields area.
  16. From the Properties pane, set Type to Area Plain.

    To change the color of chart,
  17. Select the chart on the design area of the report.
  18. Under the Properties tab, set Palette to Excel.

Preview and Save Report

  1. Click Preview [image] to view your report in the final output.
  2. Exit the preview mode by clicking Back on the top left side of the designer.
  3. Switch to the File tab and click Save to open the Save dialog box. Enter the report name and click Save Report. You can also provide a description and a revision comment for the report.
See Also
Chart Overview
Chart Types


Working with Parameters

Working with Parameters
ActiveReports 12 Server Designer User Guide > Get Started with ActiveReports Web Designer > Working with Parameters

Parameters are used to filter the data displayed in reports and as such control the report content and vary its presentation. You can either prompt users for parameters so that they control the output, or supply the parameters behind the scenes.

Parameter Overview
Learn about adding parameters in a report.
Create a Report with Parameter
Learn to create a report with parameters.


Parameter Overview

Parameter Overview
ActiveReports 12 Server Designer User Guide > Get Started with ActiveReports Web Designer > Working with Parameters > Parameter Overview

ActiveReports Web Designer allows you to use parameters to filter or add the data to display in reports at run time. You can either prompt users for parameters so that they control the output, or supply the parameters behind the scenes.

Using parameters in SubReports, you can connect a SubReport to the parent report. By setting the parameter on the field that binds the parent report to SubReport, the parent report passes the data to display in SubReport through a parameter.

See Also
Create a Report with Parameter


Create a Report with Parameter

Create a Report with Parameter
ActiveReports 12 Server Designer User Guide > Get Started with ActiveReports Web Designer > Working with Parameters > Create a Report with Parameter

ActiveReports allows you to use parameters to filter or add the data to display in reports at run time. You can either prompt users for parameters so that they control the output, or supply the parameters behind the scenes.

This tutorial guides you through the steps to create a parameterized report in ActiveReports Web Designer.

  • Access the ActiveReports Web Designer and Add Data Set
  • Create Report Layout
  • Bind Data to Table Data Region
  • Add Parameter to the Report
  • Manage Data in the Report
  • Customize the Appearance of Parameterized Report
  • Preview and Save Subreport
Note: This tutorial uses shared data set - SalesByRegion. The shared data sets and shared data sources can be viewed or modified in the Administrator Dashboard. For information on adding shared data sets, see Add Shared Data Set.

After you complete this tutorial, you will have a report that looks similar to the following.

(Parameter1 = Canada West and Parameter2 = 1005)

Access the ActiveReports Web Designer and Add Data Set

  1. On the ActiveReports Server Report Portal, click Create report.
    The ActiveReports Web Designer opens in the new browser tab.
  2. Select Blank RDL Report template and then click Choose Data.
  3. Select SalesByRegion data set from the available shared data sets.
  4. Click Create Report. The SalesByRegion data set is added to the report.

Create Report Layout

Let us use Table data region to the display data. Drag and drop Table data region [image] onto the design area of the report.

Bind Data to Table Data Region

  1. To view fields in the added data set, click the dropdown next to the SalesByRegion data set.
  2. To fill the table with data, drag and drop the fields onto the columns of the detail row.
    In our case, drag and drop the SaleDate field on the first column, Quantity field on the second column, and Profit field on the third column. The Header row above the details row is automatically filled with labels.
  3. To remove the table footer, right-click the bottom row and select Remove Footer.

Add Parameter to the Report

Let us add two parameters that would act as filters for data retrieved from the data source, one would be passed as filter for the region, and the other to filter the data according to store.

  1. To add a report parameter that filters the data according to the region,

  2. From the top right corner of Web Designer, click the Data icon [image].
  3. Click Add next to Parameters. A parameter named Parameter1 is added.
  4. Click Parameter1 to edit parameter properties.
  5. Set Data Type property to String.
    The following image shows how these properties are set:

  6. Go to From Query tab and set the following properties.
    Property | Value
    Data Set Name | SalesByRegion
    Value Field | Region
    Label Field | Region

    The following image shows how these properties are set:

    To add parameter that filters the data according to the store,

  7. From the top right corner of Web Designer, click the Data icon [image].
  8. Click Add next to Parameters. A parameter named Parameter2 is added.
  9. Click Parameter2 to edit parameter properties.
  10. Set Data Type property to Integer.

    The following image shows how these properties are set:
  11. Go to From Query tab and set the following properties.
    Property | Value
    Data Set Name | SalesByRegion
    Value Field | Store
    Label Field | Store

    The following image shows how these properties are set:

    The Parameters property now shows the two parameters as follows.

Manage Data in the Report

In order to control the amount of data rendered in the report, we can add filters to the Table data region. In our report, we will be adding two filters as follows.

  1. To add filter that renders data according to the user input in the parameter (Parameter1),

  2. Select the table and go to Properties pane.
  3. In the Filters property, click Show Items, and then select Add Item.
  4. Click [image] to display the filter properties.
  5. Click the radio button next to Filter Expression to display the fields and select Region.
  6. Click the drop down next to Operator and select 'Equal'.
  7. Click the radio button next to Value and enter the expression =Parameters!Parameter1.Value.

    To add filter that limits the data according to store parameter (Parameter2),

  8. In the Filters property, click Show Items, and then select Add Item.
  9. Click [image] to display the filter properties.
  10. Click the radio button next to Filter Expression to display the fields and select Store.
  11. Click the drop down next to Operator and select 'Equal'.
  12. Click the radio button next to Value and enter the expression =Parameters!Parameter2.Value.
    The Filters property now shows the two filters as follows.

    To add filter that limits the data rendered for 'Quantity' greater than '22',

  13. In the Filters property, click Show Items, and then select Add Item.
  14. Click [image] to display the filter properties.
  15. Click the radio button next to Filter Expression to display the fields and select Quantity.
  16. Click the drop down next to Operator and select 'GreaterThan'.
  17. In the Value field, enter '22'.

Customize the Appearance of Parameterized Report

Note: You may need to resize and reposition the controls on the report to accommodate data, and for a cleaner look.

  1. To apply background color to the table, select the Table data region.
  2. Set the BACKGROUND - Color property to Light Yellow from the colors available on Web tab of the color pallet.
  3. To customize the Header row of the table, set the following properties for each text box in the row.
    Property Value
    TEXT - Font Weight Bold
    TEXT - Text Align Center
  4. To customize the Details row of the table, set the TEXT - Text Align property for each text box to Center.
  5. To apply borders, select each cell of the table and set its BORDER - Style property to Solid.

Preview and Save Report

  1. Click Preview [image] to view your report in the final output. You will be prompted to select the region name and the store id.
    Note: The values in the Parameter list are not sorted. To sort the values in the Parameter list, you need to have sorted data set.
  2. Exit the preview mode by clicking Back on the left side of the designer.
  3. Switch to the File tab and click Save to open the Save dialog box. Enter the report name as 'Detail Report' and click Save Report.
See Also
Parameter Overview


Working with Filters

Working with Filters
ActiveReports 12 Server Designer User Guide > Get Started with ActiveReports Web Designer > Working with Filters

You can set filters on a large set of data that has already been retrieved from the data source, and then use them with datasets or data regions to limit the information you want to display on your report. Normally you can filter your data using parameters in a query, but if your data source does not support parameters you can use filters. You can set filters on the following:

  • DataSet
  • Data Region
  • Groups in a Data Region

Each option of using a filter has its advantages. Normally, you use a dataset filter if you want to reduce data for the whole report in your dataset query to the server that stores data. Then you will use the filtered data throughout the report. For example, you want to create a report that shows sales for the last quarter in a year. Then in your report you will add a dataset that provides all sales orders for a year and create a dataset filter to get only data for the last quarter of the year's sales from the dataset.

You may also want to use a data region filter. Such filter does not reduce data available throughout the report. With the data region filter, you can show some data in one part of the report while showing the rest of the data in another part of the report. For example, you can create a report with two data regions, one data region (Table 1) displaying the last month's sales per day and the other data region (Table 2) displaying the summary data for the monthly sales. In this case, you can use the data without any filter in the summary data table (Table 2) but use a data region filter in the details table (Table 1) to reduce data just for the last month.

Note: Aggregate functions cannot be used in data region filters.

Filtering Operators

Filter Operator | Description
And | Select this logical operator if you want to choose data that matches each of the filter criteria. This operator works with 2 or more filter criteria.
Or | Select this logical operator if you want to choose data that matches any of the filter criteria. This operator works with 2 or more filter criteria.
EqualTo | Select this operator if you want to choose data for which the value on the left is equal to the value on the right.
NotEqualTo | Select this operator if you want to choose data for which the value on the left is not equal to the value on the right.
GreaterThan | Select this operator if you want to choose data for which the value on the left is greater than the value on the right.
GreaterThanOrEqualTo | Select this operator if you want to choose data for which the value on the left is greater than or equal to the value on the right.
LessThan | Select this operator if you want to choose data for which the value on the left is less than the value on the right.
LessThanOrEqualTo | Select this operator if you want to choose data for which the value on the left is less than or equal to the value on the right.
In | Select this operator if you want to choose items from the value on the left which are in the array of values on the right.
Between | Select this operator if you want to choose items from the value on the left which fall between pair of values you specify on the right. This operator enables two Value boxes instead of one.
Contains | Select this operator if you want to choose data for which the value on the left contains the value on the right.
DoesNotContain | Select this operator if you want to choose data for which the value on the left does not contain the value on the right.
BeginsWith | Select this operator if you want to choose data for which the value on the left begins with the value on the right.
DoesNotBeginWith | Select this operator if you want to choose data for which the value on the left does not begin with the value on the right.

Let us apply filter to a report that looks similar to the following. We want to show only customers from one country, for example, from Australia.

Report without filter:

Report with filter:

This report is editable only by users with administrator role.

Apply filter to shared or embedded dataset

  1. From the top right corner of Web Designer, click the Data icon [image].
  2. Click Edit next to the data set you want to edit. The Edit dataset dialog appears.
  3. Go to the Filters property, click Show Items and then click Add Item. A filter is added.

  4. Click [image] to view the filter properties and set the properties as follows:
    Property | Value
    Filter Expression | =InStr(Fields.Item("Billing Country").Value, "Australia")
    Operator | NotEqual
    Value | 0

  5. Click OK.

Apply filter to dataset from semantic model

  1. From the top right corner of Web Designer, click the Data icon [image].
  2. Click Edit next to the data set you want to edit. The Edit dataset smart dialog appears.
  3. Go to the Query Filter property, click Show Items.
  4. Click Set Filter. The Query Filter Editor appears.

  5. Set the properties as follows:
    Property | Value
    Filter Expression | Billing Country
    Operator | Contains
    Value | Australia
  6. Click OK.

    Note: As an advanced option, you can use a smart filter in semantic reports to create multiple filter groups with the AND/OR relation between them. Each filter group can have multiple filtering criteria.
    1. You can add a Parent filter group by clicking the Add Parent button in the Query Filter property.
    2. You can create a Child filter group for Parent filter groups by setting AND/OR functions for the filter criterion.

Apply filter to data region

  1. Select Table data region or Chart data region.
  2. Go to Filters property, click Show Items. and then click Add Item. A filter is added.

  3. Click [image] to view the filter properties and set the properties as follows:
    Property | Value
    Filter Expression | =InStr(Fields.Item("Billing Country").Value, "Australia")
    Operator | NotEqual
    Value | 0

    The filters should look as shown:

Apply filter to a group in a data region

  1. Select Table data region.
  2. Select Table_Details_Group.
  3. Go to Filters property, click Show Items. and then click Add Item. A filter is added.

  4. Click [image] to view the filter properties and set the properties as follows:
    Property | Value
    Filter Expression | =InStr(Fields.Item("Billing Country").Value, "Australia")
    Operator | NotEqual
    Value | 0


Using Filters and Parameters

Using Filters and Parameters
ActiveReports 12 Server Designer User Guide > Get Started with ActiveReports Web Designer > Using Filters and Parameters

A filter compares your data to a value that you specify, and only displays the data that meets your conditions in the report. A parameter is an extension of a filter that allows the value to use in the filter to be passed in at run time.

Parameters allow the person viewing the report to decide which data to include or exclude based on attributes that you select when you design the report. See Working with Parameters for more information. Parameters can also be hidden and used for scheduling, specifying different values for different scheduled tasks. See Scheduling Reports for more information.

See Also
Working with Parameters


Using Expression Editor

Using Expression Editor
ActiveReports 12 Server Designer User Guide > Get Started with ActiveReports Web Designer > Using Expression Editor

You can use an expression to set the value of a control in the report, or set conditions under which certain styles apply. You can set expressions through the Expression Editor dialog while setting values in the properties window. The editor allows you to choose from a number of fields available to the report as well as to a particular property. You can access the Expression Editor by selecting nearly any property of a control and choosing <Expression...> from the drop-down list.

All expressions begin with an equal to sign (=). Even the expression for a field value for a TextBox is set as follows:
=Fields!LastName.Value.

While building an expression, you can directly add the entire expression or part of it in the Expression pane of the Expression Editor. Then use the Insert or Append buttons to create a complete expression.

Expression Editor

Concatenating Fields and Strings

You can concatenate fields with strings and with other fields. For e.g., use the following expression to get a result like "Customer Name: Bossert, Lewis":
="Customer Name: " & Fields!LastName.Value & "," & Fields!FirstName.Value

Conditional Formatting

You can use expressions in properties like Color, Font, Border etc. on specific field values based on a condition, to highlight a part of data. The formula for conditional formatting is:
=iif( Fields!YourFieldName.Value operator "Value to compare", "If condition is met, use this value.", "If not, use this one."

For e.g., if you enter the following expression in the Font > FontWeight property of a textbox that displays names of people, you get the name "Denise" in bold.
=iif(Fields!FirstName.Value = "Denise", "Bold", "Normal")

Similarly, if you enter the following expression in the Background >Color property of a textbox in a table, then you get alternating 'Transparent' and 'LightGray' colored textboxes in the rows of the table.

=iif(RowNumber(Nothing) Mod 2, "Transparent", "LightGray")

Functions

You can use a number of aggregate and other functions in your expressions. ActiveReports includes a range of functions, including running value, population standard variance, standard deviation, count, minimum and maximum. For e.g., use the following expression to get a count of employees.
=Count(Fields!EmployeeID.Value, Nothing)


Using Themes and Styles

Using Themes and Styles
ActiveReports 12 Server Designer User Guide > Get Started with ActiveReports Web Designer > Using Themes and Styles

With styles you can enhance the appearance of report controls such as tables and charts, and with themes, you can enhance the overall appearance of your reports.

Let us enhance the appearance of the following report:

To apply Style to a Table

  1. Select the Table data region.
  2. Go to the LAYOUT - Style property in the Properties pane.
  3. Select a Style, say, Light Style 1 Accent 5, from the drop down.
  4. Preview the report.

    Style

    Note:

    • Style either uses constant values or values from Theme. Therefore, if Theme is changed - control view may also change if control's Style uses values from Theme.
    • With Bullet control, when Layout > Style property is set to Style 3-N (style 3-1, style 3-2, etc.), data labels are not visible.

To apply Theme to a Report

  1. Select Report from the ribbon menu at the top of the design area.
  2. Click Switch Theme.

    Style
  3. Select a theme, say, Cordial.
    You can also set the LAYOUT - Theme property of the report in the Properties pane.
  4. Preview the report.

    Theme


Using Templates

Using Templates
ActiveReports 12 Server Designer User Guide > Get Started with ActiveReports Web Designer > Using Templates

Users can create reports based on the existing templates that are uploaded by the administrator.

  1. Click Create report button.
    You are navigated to the Active Reports Web Designer in a separate window.
  2. Select a template.
    You can choose a Blank RDL Report, a Blank Page Report, or any other report as template.
  3. Click Create Report.

The users can choose from the following default templates. The availability of these templates depends on the admin, if the the admin removes or hides these templates, then the users will not be able to see them.

Template Name | Description
Blank RDL Report | For reports which grow based on the data from the data sources.
Blank Page Report | For reports which require pixel-perfect layouts independent of data sizes.
Invoice Style Report | Contains logo, customer details, and tabular sales data with sub-totals.
Letters | Contains logo, customer details, and two column tabular data.
Rx Style | Doctor's Prescription style report with watermark layer for screen viewing.
Pivot Style Report | Uses Pivot Tables to show dynamic columns and aggregated data for quick analysis.
Dashboard Style Report | Executive Report with multiple charts visualizing various KPIs.
Chart with Table Report | Uses Chart and tabular data regions to show data relations as well as accurate numbers.
Organization Branded Report | Contains a Page Header and Page Footer with Company Logo, Report Name, Execution Time, and Page Numbers.
Financial Composite Chart Report | Displays financial data using a Composite Bar and Line Chart, and Parameters.
Address Labels | For Avery (5160) stock label sheets.


How To

How To
ActiveReports 12 Server Designer User Guide > Get Started with ActiveReports Web Designer > How To

This section provides quick answers to your questions about how to create reports using ActiveReports Web Designer.

Create a Static Report
This topic explains how to create a report that is not bound to any data source.
Connect to Data
This topic explains how to connect to data in the ActiveReports Web Designer.
Create a Master-Detail Report using Groups
This topic explains how to create a master-detail report using groups in a tabular report.
Create a Master-Detail Report using Subreport
This topic explains how to create a master-detail report using subreport in a tabular report.
Create a Complex Pivot Report
This topic explains how to create a report with tablix and add multiple row/column groups.
Create a Drill-Down Report
This topic explains how to create a drill-down report.
Create a Report with Drill-through in Chart
This topic explains how to create a drill-through in chart.
Create a Dashboard Report
This topic explains how to create a dashboard report, a report that contains multiple data regions to represent information in different ways.
See Also
Get Started with ActiveReports Web Designer


Create a Static Report

Create a Static Report
ActiveReports 12 Server Designer User Guide > Get Started with ActiveReports Web Designer > How To > Create a Static Report

A static report contains static data, that is, the data is not bound to any data source.

What You Will Learn

This tutorial guides you through the steps to create a static report in ActiveReports Web Designer.

  • Access the ActiveReports Web Designer
  • Create a Report Layout
  • Customize the Appearance of the Static Report
  • Preview and Save Report

After you complete this tutorial, you will have a report that looks similar to the following.

Access the ActiveReports Web Designer

  1. On the ActiveReports Server Report Portal, click Create report. The ActiveReports Web Designer opens in a new browser tab.
  2. Select Blank Page Report template and then click Create Report.
    The Web Designer is now ready to design your reports.

Create a Report Layout

  1. On the design area of your report, drag and drop a TextBox control [image] from the left pane of the designer.
  2. Click the text box to enter the text, for example, 'This is my first Static Report'. Resize the text box accordingly.

Customize the Appearance of the Static Report

  1. Click the design area of the report.
  2. To change the background color of the report, go to the Properties panel and set Background Color property to a shade of blue color from Swatches.

  3. To change the look of text box in the report, select the text box and set the following properties.
    Property Value
    BACKGROUND - Color Green
    BORDER - Style Double
    BORDER - Width 3pt
    TEXT - Font Size 12pt
    TEXT - Font Family Comic Sans MS
    TEXT - Color DarkSeaGreen

Preview and Save Report

  1. Click Preview [image] to view the final output of your report.
  2. Exit the preview mode by clicking Back on the left side of the designer.
  3. Switch to the File tab and click Save to open the Save dialog box. Enter the report name and click Save Report. You can also provide a description and a revision comment for the report.

The reports created in the ActiveReports Web Designer are saved in the ActiveReports Server Report Portal under 'No Category'.


Connect to Data

Connect to Data
ActiveReports 12 Server Designer User Guide > Get Started with ActiveReports Web Designer > How To > Connect to Data

Connecting to a data set is required to get the data you want to show in your report. In ActiveReports Web Designer, you can use the following options to connect your report to data.

You can connect report to a shared data set based on a shared data source. A shared data source is a file in RDSX format that contains data connection information. The main advantage of using this type of connection is that it can be referenced by multiple reports.

You can define your own data set query in an embedded data set to fetch data for your report based on a shared data source, and then connect report to this data set.

A report may also use a semantic model as a basis for creating reports. In this case, once a semantic model is selected from a predefined list of models, you can select an entity for a semantic data set to provide the report data.

See Also
Add a Shared Data Set
Add an Embedded Data Set
Add a Semantic Data Model


Add a Shared Data Set

Add a Shared Data Set
ActiveReports 12 Server Designer User Guide > Get Started with ActiveReports Web Designer > How To > Connect to Data > Add a Shared Data Set
This tutorial guides you through the steps to add a Shared Data Set in a report.
  1. From the top right corner of Web Designer, click the Data icon [image]. The following pane appears.
  2. Click Add.
    You see a list of shared data sources under New for Shared Datasource and a list of shared data sets under Shared.
  3. Select a data set from the list of shared data sets and then click Add.

The selected data set is added to the report.

Note: If a shared data set gets modified, on opening a report that uses this data set, you will get the notification message with the information on the changes at the bottom of the page.

See Also
Add an Embedded Data Set
Add a Semantic Data Model


Add an Embedded Data Set

Add an Embedded Data Set
ActiveReports 12 Server Designer User Guide > Get Started with ActiveReports Web Designer > How To > Connect to Data > Add an Embedded Data Set

This tutorial guides you through the process of adding an embedded dataset, based on a shared data source, to your report.

  1. From the top right corner of Web Designer, click the Data icon [image].
  2. In the Data Sets pane that appears, click Add.
  3. In the pane with the available shared data sources and datasets, select a data source, for example, an SQL data source, from the list and click Add.
  4. In the Edit dataset dialog, enter the dataset query to pull the data for your report, e.g.,
    Select * from Products.
  5. Fill-in the Fields and other settings.
  6. Click Validate and then click OK.

An embedded dataset is added to your report.

See Also
Add a Shared Data Set


Add a Semantic Data Model

Add a Semantic Data Model
ActiveReports 12 Server Designer User Guide > Get Started with ActiveReports Web Designer > How To > Connect to Data > Add a Semantic Data Model

This tutorial guides you through the process of connecting your report to a semantic data model and adding a semantic dataset.

  1. On the ActiveReports Server Report Portal, click Create report. The ActiveReports Web Designer opens in the new browser tab.
  2. On the page that opens, under Based on Semantic Model, select a model and then click Create Report.
  3. From the top right corner of Web Designer, click the Data icon [image].
  4. In the Data Sets pane that appears, click Add.
  5. Under Based on Entity, select an entity for your semantic dataset and click Add.

A semantic dataset is added to your report.

Important issues to consider about the semantic reports compatibility.

  • When an existing semantic report is opened in the Web Designer, it gets converted to an rdl based semantic report.
  • The reports created in Web Designer can not be opened in Flash Designer.
See Also
Add a Shared Data Set
Add an Embedded Data Set


Create a Master-Detail Report using Groups

Create a Master-Detail Report using Groups
ActiveReports 12 Server Designer User Guide > Get Started with ActiveReports Web Designer > How To > Create a Master-Detail Report using Groups

A master detail report can be created by grouping the details in the Details row of Table data region. For each associated row from the master record, the grouped details are repeated.
Consider that you want to create a report that shows titles and corresponding values of quantity, price, and total price. You also want these details to be categorized according to the customer name. In this case, the details go to the details row of the table, and these details are repeated for each customer.

What You Will Learn

This tutorial guides you through the steps to create a master detail report by grouping a part of data in a Table data region.

  • Access the ActiveReports Web Designer and Add Data Set
  • Create Report Layout
  • Bind Data to Table Data Region
  • Preview Report
  • Add Groups and Bind Data to Groups in the Table Data Region
  • Add Report Title
  • Customize the Appearance of Report
  • Preview and Save Report
Note: This tutorial uses shared data set - CustomerOrders. The shared data sets and shared data sources can be viewed or modified in the Administrator Dashboard. For information on adding shared data sets, see Add Shared Data Set.

After you complete this tutorial, you will have a report that looks similar to the following.

Access the ActiveReports Web Designer and Add Data Set

  1. On the ActiveReports Server Report Portal, click Create report.
    The ActiveReports Web Designer opens in the new browser tab.
  2. Select Blank Page Report template and then click Choose Data.
  3. Select CustomerOrders data set from the available shared data sets.
  4. Click Create Report. The CustomerOrders data set is added to the report.

Report without Grouping

This tutorial uses shared data set - CustomerOrders. The shared data sets and shared data sources can be viewed or modified in the Administrator Dashboard. For information on adding shared data sets, see Add Shared Data Set.

Create Report Layout

  1. Drag and drop Table data region [image] onto the design area of the report. By default, you have a table with three rows and three columns.
  2. To add one more column to the table, click inside the table to display the column handle, and then click the plus sign.

    Now we have a table with three rows and four columns.

Bind Data to Table Data Region

Let us now populate the Table data region with data. The detail part of the report will consist of titles and corresponding values of quantity, price, and total price.

  1. To fill the data in details row of the table,

  2. Click the dropdown next to the CustomerOrders data set to view fields.
  3. Drag and drop the Title field on the first column, Quantity field on the second column, and Price on the third column.
  4. To add total field in the fourth column of the details row, select the last text box in the details row.
  5. Go to the Properties pane, and select the radio button next to Value property.
  6. Select Expressions... from the drop down and enter the following expression in the Expression Editor: =Fields!Quantity.Value * Fields!Price.Value.

    The table should now look like the following image.

    The table with all labels filled-in should look like the following image.

Preview Report

  1. Click Preview [image] to view your report in the final output. This is a simple tabular report with details and label for each column. The labels for the details are displayed on the first page of the report.
  2. Exit the preview mode by clicking Back on the top left side of the designer.

Report with Grouping (Master - Detail Report)

Let us add more meaning to the report by adding groups.
We will group the details according to the customer names, and will have the column labels repeated for each group. So, the master part of the table will consist of last name of the customer and the static text for the labels in the detail part. To do so, let us add two row groups, as described in the following sections.

First of all, delete the Header and Footer rows (these are not required in our report),

  1. Click inside the Table data region to make the row handle appear.
  2. Right-click the row handle and select Remove Header to remove the header row from the table.
  3. Again, right-click the row handle and select Remove Footer to remove the footer row from the table.

Add Groups and Bind data to the Groups in Table Data Region

  1. To add a group that contains the customer name,

  2. Right-click any text box (cell) in the details row of the table to view options in the context menu.
  3. Go to Group and select Insert Group.

    This adds a row group above and below the details row.
  4. In the first text box of the added row group, drag and drop the LastName field as shown.
  5. Right-click a text box in the added row group (above the details row).
  6. Go to Row and select Below.
    Now your table looks similar to the following.

    Note that the table groups are also displayed in the adorner on the right side of the Table data region.
  7. In the row group above the details row, enter the labels for the details as shown.

    To group the details for each customer,

  8. From the Explorer [image], select the Tablix data region.
  9. Click the Group Editor icon [image] to display row group.
  10. Select Table1_Group1 row group and go to the Properties pane.
  11. In the Group Expressions property, click Show Items and then select Add Item.
  12. Click the radio button to display the fields and select the CustomerID field.

    To obtain the sum of prices for each group,

  13. Go to the last text box of the row group below the details row.
  14. Enter the expression =Sum(Fields!Price.Value*Fields!Quantity.Value in the same way as we added expression in the Bind Data to Table Data Region section.
    The table with bound fields looks as shown.

Add Report Title

  1. Drag and drop a TextBox control [image] above the table. If required, relocate the table to create space for the text box.
  2. Click inside the text box and enter the text 'Customer Orders (Master Detail Report)'.

Customize the Appearance of Report

Note: You may need to resize and reposition the controls on the report to accommodate data, and for a cleaner look.

  1. To customize the field with the last name,

  2. Select the LastName field.
  3. In the Properties pane, set Font Size property to 12pt.

  4. Set BACKGROUND - Color to Plum from the colors available on Web tab of the color pallet.

    To span the last name field over the table,

  5. Select the cells in the top row group using mouse drag or simply using Ctrl+Click combination.
  6. Right-click the selected cells to view the options in the context menu, go to Cells and select Merge Cells.

    To align the labels,

  7. Select the label Title and from the Properties pane, set the TEXT - Text Align property to Left.

  8. Set the TEXT - Text Align property of Quantity, Price, and Total Price text boxes to Center.

    To make the labels bold,

  9. Go to the Properties pane.
  10. Set the Font Weight property of Title, Quantity, Price, and Total Price text boxes to Bold.

    To add background colors for the detail part,

  11. Select the text boxes of the details row, and the Sum field in the row group below detail row.
  12. From the Properties pane, set the BACKGROUND - Color to Moccasin from the colors available on Web tab of the color pallet.

Preview and Save Report

  1. Click Preview [image] to view your report in the final output.
  2. Exit the preview mode by clicking Back on the top left side of the designer.
  3. Switch to the File tab and click Save to open the Save dialog box. Enter the report name and click Save Report. You can also provide a description and a revision comment for the report.


Create a Master-Detail Report using Subreport

Create a Master-Detail Report using Subreport
ActiveReports 12 Server Designer User Guide > Get Started with ActiveReports Web Designer > How To > Create a Master-Detail Report using Subreport

When you want to separate the details from the master report, you can create two separate reports and embed the detail report in the master report using Subreport control. A parameter is passed from the master report to detail report to filter the details.

Caution: Semantic reports created using legacy Flash designer cannot be used as Subreport in Web Designer.

What You Will Learn

This tutorial guides you through the steps to create a Master-detail report using subreport in ActiveReports Web Designer.

  • Access the ActiveReports Web Designer and Add Data Set
  • Create Master Report Layout
  • Add Parameter to the Master Report
  • Bind Data to the Report Controls
  • Configure Subreport
  • Add Title
  • Customize the Appearance of the Master Report
  • Preview and Save Master Report
Note: This tutorial uses shared data set - SalesByRegion and the report created in Create a Report with Parameter. The shared data sets and shared data sources can be viewed or modified in the Administrator Dashboard. For information on adding shared data sets, see Add Shared Data Set.

After you complete this tutorial, you will have a report that looks similar to the following.

(Parameter1 = Canada West)

Access the ActiveReports Web Designer and Add Data Set

  1. On the ActiveReports Server Report Portal, click Create report.
    The ActiveReports Web Designer opens in the new browser tab.
  2. Select Blank Page Report template and then click Choose Data.
  3. Select SalesByRegion data set from the available shared data sets.
  4. Click Create Report. The SalesByRegion data set is added to the report.

Create Master Report Layout

To create a master report, we will use List data region. The List data region will contain TextBox controls to display the data, and a Subreport control to display detail report. The List data region repeats any report control it contains for every record in the dataset.

  1. Drag and drop List data region [image] onto the design area of the report.
  2. Drag and drop two TextBox controls, TextBox1 onto the list and TextBox2 above the list.
  3. Drag and drop the Subreport [image] control onto the list. Arrange the controls such that the report now looks like the following.

    Verify that the hierarchy of the controls added in the report is as follows. This can be viewed in Explorer by clicking [image] .

Add Parameter to the Master Report

Let us add the parameter that will be passed to the detail report to display the details accordingly.

  1. From the top right corner of Web Designer, click the Data icon [image].
  2. Click Add next to Parameters. A parameter named Parameter1 is added.
  3. Click Parameter1 to edit parameter properties. You can change the Prompt to a more understandable text, such as 'Enter region name'.
    The following image shows how these properties are set:

  4. Go to From Query tab under Available Values and set the following properties.
    Property | Value
    Data Set Name | SalesByRegion
    Value Field | Region
    Label Field | Region

    The following image shows how these properties are set:

Note: The name of the parameter in master report and detail report (subreport) should be same.

Bind Data to the Report Controls

  1. Select TextBox1 and enter the expression ="Store ID: "& Fields!Store.Value.
  2. Select TextBox2 and enter the expression ="Details for region: "&Parameters!Parameter1.Value.
  3. Set the Data Set Name property of the List data region to the SalesByRegion data set.

Configure Subreport

Let us embed the report created in Tutorial 3: Create Parameterized Report as a detail report and pass the parameter as filter to the detail report data from the master report.

  1. To embed the detail report to master report,

  2. Select Subreport control.
  3. From the Properties pane, set the Report Name property to the detail report's name, that is, 'Detail Report'.

    To use the parameter (Parameter1) passed from the master report to the detail report as a filter, set the parameter property as follows.

  4. From the Properties pane, go to Parameters property.
  5. Click Show Items and then select Add Item.
  6. Click [image] to view the parameter properties.
  7. Set the Parameter Name property to Parameter1.
  8. Click the radio button next to Value and select Expression... to open the Expression Editor:Value dialog box.
  9. Double-click Parameter1 from the Parameters field so that =Parameters!Parameter1.Value is entered as expression.
    The following image shows how these properties are set:

  10. Click Save.

    To use the parameter (Parameter2) as filter to store values,

  11. Similar to above steps, add another parameter.
  12. Set the Parameter Name property to Parameter2.
  13. Set the Value to =Fields!Store.Value expression.
    The following image shows how these properties are set:

  14. Click Save.
    The Parameters property of Subreport control now shows two parameters as shown.

Add Title

  1. Drag and drop a TextBox control [image] above the List data region. If required, relocate the table to create space for the text box.
  2. Click inside the text box and enter the text 'Customer Orders (Master Detail Report)'.

Customize the Appearance of Master Report

Note: You may need to resize and reposition the controls on the report to accommodate data, and for a cleaner look.

  1. To customize the text boxes with information on store id and details for region,

  2. Select TextBox1 and TextBox2, one at a time.
  3. From the Properties pane, set TEXT - Text Align property to Center.
  4. Set BACKGROUND - Color to Plum from the colors available on Web tab of the color pallet.

    To customize the title,

  5. Select the text box with title.
  6. From the Properties pane, set TEXT - Text Align property to Center.
  7. Set BACKGROUND - Color property to Plum from the colors available on Web tab of the color pallet.
  8. Set TEXT - Font Weight property to Bold.

Preview and Save Master Report

  1. Click Preview [image] to view your report in the final output. You will be prompted to select the region name.
  2. Select a region and see how the details are filtered.
  3. Exit the preview mode by clicking Back on the left side of the designer.
  4. Switch to the File tab and click Save to open the Save dialog box. Enter the report name as 'Master Report' and click Save Report.
See Also
Create a Report with Parameter


Create a Complex Pivot Report

Create a Complex Pivot Report
ActiveReports 12 Server Designer User Guide > Get Started with ActiveReports Web Designer > How To > Create a Complex Pivot Report

A complex pivot report contains a tablix with added groups.

What You Will Learn

This tutorial guides you through the steps to create a complex Pivot report by adding column groups to a tablix.

Note: You need to complete Create a Report with Tablix before performing following steps.
  • Add Groups
  • Bind Data to the Groups in Tablix Data Region
  • Manage Data
  • Improve the Layout of Tablix Data Region
  • Customize the Appearance of the Pivot Report
  • Preview and Save Report

After you complete this tutorial, you will have a report that looks similar to the following.

Add Groups

After creating the simple Pivot report, let us add two groups to the MediaType column group - an adjacent group and a child group.

  1. To add an adjacent group,

  2. Right-click the MediaType column group area to view options in the context menu.
  3. Go to Column Group and Select Adjacent-After.

    To add a child group,

  4. Right-click the MediaType column group area to view options in the context menu.
  5. Go to Column Group and select Child.
    Now, the tablix looks similar to the following.

Bind Data to the Tablix Data Region

  1. To add fields to the newly added groups,

  2. Drag and drop the Country field on the child group area.
  3. Drag and drop the SaleDate field on the group adjacent to MediaType column group.

    To obtain the month value of sale date,

  4. Select the SaleDate group.
  5. Go to the Properties pane and change the Value to =MonthName(Month(Fields!SaleDate.Value)).

    To display the month wise aggregate price,

  6. Drag and drop the Price field onto the body of the tablix.
  7. Select the body area containing Price.
  8. Go to Properties pane and change the Value to =Sum(Fields!Price.Value). Now the tablix looks similar to the following.

Manage Data

Since the data in a tablix expands across both rows (vertically) and columns (horizontally), you need to add groups and filters to manage such a large amount of data.

  1. To manage how the added group data is rendered across rows and columns,

  2. From the Explorer [image], select the Tablix data region.
  3. From the left pane of the designer, click the Group Editor icon [image] to display row groups and column groups.

    To limit the horizontal data in tablix, let us add filter to MediaType column group so that it displays only two types of media - VHS and DVD.

  4. Select MediaType (Tablix1_ColumnGroup1) column group and go to the Properties pane.
  5. In the Filters property, click Show Items, and then select Add Item.
  6. Click [image] to display the filter properties.
  7. Click the radio button next to Filter Expression to display the fields and select the MediaType field.
  8. Click the drop down next to Operator and select 'In'.
  9. Click Show Items to open Filter Values.
  10. Click Add Items and enter text 'VHS'.
  11. Click Add Items again and enter 'DVD'.

    To display the countries once for every MediaType column group,

  12. Select Country (Tablix1_ColumnGroup2) column group and go to the Properties pane.
  13. In the Group Expressions property, click Show Items and then select Add Item.
  14. Click the radio button to display the fields and select the Country field.

    To display the months once for SaleDate column group,

  15. Select SaleDate (Tablix1_ColumnGroup3) column group and go to the Properties pane.
  16. In the Group Expressions property, click Show Items and then select Add Item.
  17. Enter the expression =Month(Fields!SaleDate.Value).

    To display month in the order of occurrence,

  18. Go to Sort Expressions property, click Show Items, and then click Add Item.
  19. Enter the expression =Fields!SaleDate.Value. Let the sort order be ascending (default).

Improve the Layout of Tablix Data Region

  1. To manage the text and labels that appear in cells,

  2. Right-click the cell with text 'Media Type' to view options in the context menu.
  3. Select Split Cells. Now we have a new cell adjacent to cell with 'Media Type'.
  4. In the new cell, enter the text 'Months' to give label to the SaleDate column group.

    To merge cells with adjacent empty cells,

  5. Select the SaleDate column group and the empty cell below it, right-click, go to Cells and select Merge Cells.
  6. Similarly, merge the corner area (top left area) of tablix with the empty cell below it.
  7. In the above merged cell, change the text to 'Prices by Media Type and Months'

Customize the Appearance of the Pivot Report

Note: You may need to resize and reposition the controls on the report to accommodate data, and for a cleaner look.

  1. To customize the body area and group area of the tablix, set the following properties.
    Property | Value
    Body area (=Sum([Price]) ) below SaleDate column group
    BORDER - Style | Solid
    TEXT - Text Align | Center
    Column group area (=[SaleDate]) and Child group (=[Country])
    BORDER - Style | Solid
    TEXT - Text Align | Center
  2. To customize the Months label, set the TEXT - Text Align property to Center. Note that background color and the font weight properties are already applied, same as the Media Type label.

Preview and Save Report

  1. Click Preview [image] to view your report in the final output.
  2. Exit the preview mode by clicking Back on the left side of the designer.
  3. Switch to the File tab and click Save to open the Save dialog box. Enter the report name and click Save Report. You can also provide a description and a revision comment for the report.

The reports created in the ActiveReports Web Designer are saved in the ActiveReports Server Report Portal under 'No Category'.

See Also
Create a Complex Pivot Report


Create a Drill-Down Report

Create a Drill-Down Report
ActiveReports 12 Server Designer User Guide > Get Started with ActiveReports Web Designer > How To > Create a Drill-Down Report

You can set up table groups to collapse, so that users can drill down into the data they choose to view. In order to collapse a group, it must have a header and a nested group. When the report is initially displayed, the header rows display the groups with plus sign icons that you can click to display the detail data from the nested group.

When you view the report, the collapsible group's header rows display with a plus sign icon to the left of them. Click the icon to expand the group and show any associated details.

The drill-down feature helps in temporarily hiding a part of your report. That hidden part can be controls, groups, columns or rows. When you open a drill-down report, part of the data is hidden so that you can only see high-level data until you request for more detail. In such reports you find an expand icon (plus-sign image) next to the toggle item in the report. Clicking the toggle image, or plus sign, expands hidden content into view and the expand icon changes to a collapse icon (minus-sign). When you click the minus-sign image, it hides the content and returns the report to its previous state.

To create a drill-down report, use the Visibility properties of controls, groups, columns, or rows. Simply set the Visibility - Hidden property to True and set the toggle item to the name of another item in the report, usually a text box in the group or a text box as column label containing the hidden item. At run time, this puts a plus sign next to the toggle item which the user can click to display the hidden data.

What You Will Learn

This tutorial guides you through the steps to create a drill down report in ActiveReports Web Designer.

Note: You need to complete Create a Report with Tablix before performing following steps.
  • Add Drill Down to the Pivot Report
  • Preview and Save Report

After you complete this tutorial, you will have a report that looks similar to the following.

Add Drill Down to the Pivot Report

Consider that you do not want the price details of each media in the first view, but want to drill down to individual prices later. For this, you can toggle the MediaType column group from another text box inside the Tablix data region as follows.

  1. From the Explorer [image], select the Tablix data region.
  2. From the left pane of the designer, click the Group Editor icon [image] to display row groups and column groups.
  3. Select Tablix_ColumnGroup1 column group.
  4. From the Properties pane, set the Visibility - Toggle Item property to the text box containing the label Media Type (TextBox2).
  5. Set the Visibility - Hidden to True.

Preview and Save Report

  1. Click Preview [image] to view your report in the final output.
  2. Click the (-) sign to expand the price details for each media type. Click (+) sign to again see the aggregate price for all media types.
  3. Exit the preview mode by clicking Back on the left side of the designer.
  4. Switch to the File tab and click Save to open the Save dialog box. Enter the report name and click Save Report. You can also provide a description and a revision comment for the report.

The reports created in the ActiveReports Web Designer are saved in the ActiveReports Server Report Portal under 'No Category'.

See Also
Create a Report with Tablix


Create a Report with Drill-through in Chart

Create a Report with Drill-through in Chart
ActiveReports 12 Server Designer User Guide > Get Started with ActiveReports Web Designer > How To > Create a Report with Drill-through in Chart

You can enhance the interactivity in your report by adding drill-through links to it using Jump to Report property. A drill-through link takes you to another report with more detail. Drill-through links appear as a hyperlink that you can click to move to a completely different report. Drill-through links are displayed when you preview your report.

What You Will Learn

This tutorial guides you through the steps to create a dashboard report.

Note: You need to complete Create a Report with Chart before performing following steps.
  • Add a Drill-Through Link
  • Preview and Save Report

After you complete this tutorial, you will have a chart report where you can navigate to another report on clicking a series value on chart area.

Chart with Drill-through

Chart with Drill-through

Add the Drill-Through Link

  1. From the Explorer [image], select the Chart data region.
  2. Select Profit in the Data Fields area.
  3. In the Properties pane, go to the Action group of properties and set Type to Jump to Report.
  4. In the Jump to Report field that appears, select a report from the list that you want to jump to on clicking the plot of Profit. For example, we have selected 'Sales By Region' report available in the ActiveReports Server.
  5. Similarly, select Quantity in the Data Fields area.
  6. Repeat steps 2 and 3. In the Jump to Report property, select 'Store Report'.

Preview and Save Report

  1. Click Preview [image] to view your report in the final output.
  2. Click a series on the plot area. You will see that you are navigated to that report.
  3. Exit the preview mode by clicking Back on the top left side of the designer.
  4. Switch to the File tab and click Save to open the Save dialog box. Enter the report name and click Save Report. You can also provide a description and a revision comment for the report.


Create a Dashboard Report

Create a Dashboard Report
ActiveReports 12 Server Designer User Guide > Get Started with ActiveReports Web Designer > How To > Create a Dashboard Report

A dashboard report displays the data in different data regions, on a single display area, to help visualize and analyze the data at a glance. You can use charts, tables, and other controls, along with drill through feature to help design an interactive dashboard report.

What You Will Learn

This tutorial guides you through the steps to create a dashboard report.

Note: You need to complete Create a Report with Drill-through in Chart before performing following steps.
  • Add a Table Data Region and a TextBox control
  • Bind Data to Table Data Region and Add text to TextBox control
  • Manage Data in Table
  • Customize the Appearance of Report
  • Preview and Save Report

After you complete this tutorial, you will have a report that looks similar to the following.

Add a Table Data Region and a TextBox control

To give the report with chart a dashboard look, let us add a table to display the tabular data.

  1. On the design area of the report, drag and drop Table data region [image] below the Chart data region.
  2. To give title to the table, drag and drop a TextBox control [image] between chart and table as shown.

Bind Data to Table Data Region and Add text to TextBox control

  1. To fill the table with data,

  2. In the details row, drag and drop the Store field on the first column, Region field on the second column, Quantity field on the third column. The Header row above the details row is automatically filled with labels.

  3. To remove the table footer, right-click the bottom row and select Remove Footer.

    To add title to the table,
  4. Select the TextBox added above the table.
  5. Enter the text 'Store, Region, and Quantity'.

Manage Data in Table

  1. To group data in table according to the store value,

  2. From the Explorer [image], select the Table data region.
  3. Go to Group Editor and select Table1_DetailsGroup1.
  4. In the Group Expressions property, click Show Items and then select Add Item.
  5. Click the radio button to display the fields and select the Store field.

    To obtain the data in the ascending order of store value,
  6. Select the table.
  7. Go to the Sort Expressions property, click Show Items and then select Add Item.
  8. Click the radio button to display the fields and select Store field.

Customize the Appearance of Report

See previous tutorials to customize the appearance of the table and the text box to look same as shown.

Preview and Save Report

  1. Click Preview [image] to view your report in the final output.
    You have a chart in which you can drill through to other report, along with the tabular data.
  2. Exit the preview mode by clicking Back on the top left side of the designer.
  3. Switch to the File tab and click Save to open the Save dialog box. Enter the report name and click Save Report. You can also provide a description and a revision comment for the report.


Get Started with ClickOnce End User Designer

Get Started with ClickOnce End User Designer
ActiveReports 12 Server Designer User Guide > Get Started with ClickOnce End User Designer

The ClickOnce End User Designer works only in Internet Explorer and Microsoft Edge browsers as both are based on the ClickOnce technology.

The following basic areas are covered to get started with ClickOnce End User Designer.

Elements of ClickOnce End User Designer
Learn about the elements of ClickOnce End User Designer.
Report Types
Learn about the report types supported by ClickOnce End User Designer.
Create a Report
Learn about creating reports in ClickOnce End User Designer.
Modify a Report
Learn about modifying reports in ClickOnce End User Designer.
Connect to Data
Learn about how to connect to data in Page and RDL reports.


Elements of ClickOnce End User Designer

Elements of ClickOnce End User Designer
ActiveReports 12 Server Designer User Guide > Get Started with ClickOnce End User Designer > Elements of ClickOnce End User Designer

Page reports define reports as fixed page layouts. You can use the same page layout throughout the report or design more page layouts for complex reports. Page reports are saved in RDLX format.

Designer tabs

The Designer has three tabs located at the bottom of the report design surface. Create a report layout in the Designer tab, write script in the Script tab to implement .NET functionality and see the results in the Preview tab.

  • Designer tab: Appears by default when you open a report in the designer. Use this tab to visually design your report layout. You can implement design-time features here, drag controls from the toolbox to create a layout, bind data regions to data, and set properties for the report and controls through the context menu.
  • Script tab: Opens the script editor, where you can add .NET functionality to reports without compiling .vb or .cs files. You can use Visual Basic script in this tab with RDL and Page reports. Section reports support C# script as well as Visual Basic script. In Page and RDL reports, you can embed code blocks to reference in the expressions you use on report controls. In Section reports, you can add code to object events.
  • Preview tab: Allows you to view your report.

Designer buttons

Designer buttons, located to the right of the designer tabs along the bottom of the designer, are enabled when you are on the Designer tab. They allow you to control settings for the design surface.

  • Dimension Lines: Dimension lines appear during a drag operation, and run from the borders of the report control or data region being moved or resized to the edges of the report designer surface. Dimension lines let you track the location of the control as you move it by displaying the distance between the control and the edge of the writable area of the report.
  • Hide Grid: By default, grid lines or dots appear on the report design surface. Select this option to design your report on a blank page. Although lines and dots do not appear when you hide the grid, Snap to Lines and Snap to Grid settings are unaffected.
  • Show Dots: Select this option to use dots on the design surface to indicate the grid to guide you in the placement of controls.
  • Show Lines: Select this option to use faint grey lines on the design surface to indicate the grid to guide you in the placement of controls.
  • Snap Lines: Aligns the control you are dragging with other controls on the report design surface. When you drag the control around, snap lines appear when it is aligned with other controls or with the edges of the report, and when you drop it, it snaps into place in perfect alignment.
  • Snap to Grid: Aligns the control you are dragging with grid lines on the report design surface. When you drop the control, it snaps into place in alignment with the nearest grid mark. To place your controls freely on the report design surface, turn this setting off.
  • Select Mode: Selects an item on the report designer surface on clicking it. Use this mode for editing, data binding, and styling in the Designer tab.
  • Pan Mode: Makes navigation easier in a report with many controls that you do not want to disturb. In this mode, you cannot select, edit, add, or delete controls, but you can navigate through the report by pressing the left mouse button and dragging the report to the desired position.

Page tabs (Page report only)

Page tabs appear in an Excel-like bar below the report design surface. This feature is only available in Page reports, where you design report layouts on separate pages and control the way each page appears. Using page tabs, you can select which page to view or edit, add new pages, remove existing pages, reorder pages, and create duplicate pages.

By default, a new report has a Page 1 tab and a New tab.

  • Page 1: This is the layout for the first page of the report. If no other page layouts exist, this page layout applies to the entire report.
  • New: Click to add a new page where you can create a layout for pages displayed after the first page.

Right-click any page tab (except the New tab) to get a context menu that allows you to Insert a new page, Duplicate the page, or Delete the page.

Toolbar

Contains buttons and dropdown lists for a number of commonly used commands. Toolbar options differ slightly depending on the report type. The commands for

  • Text decoration: Style, Font, Font Size, Fore color, Back Color, Bold, Italic, Underline.
  • Layout editing: Zoom Out, Zoom In, Zoom.
  • Control alignment: Align to Grid, Align Lefts, Align Rights, Align Tops, Align Middles, Align Bottoms.
  • Control resizing: Make Same Width, Make Same Height, Make Same Size, Size to Grid.
  • Control spacing: Make/Remove Horizontal/Vertical Spacing Equal, Increase/Decrease Horizontal/Vertical Spacing.

Report Explorer

The Report Explorer gives you a visual overview of report elements in the form of a tree view where each node represents a report element. Section, RDL, and Page reports are composed of different types of report elements. Using the Report Explorer with any type of report, you can remove controls, add, edit, or remove data sources and parameters, and drag fields onto the report. You can also select the report or any element of the report to display in the Properties Window, where you can modify its properties.

Toolbox

The Designer toolbox tabs display all of the controls specific to the type of report that has focus.

When a Section report has focus, the Section Report toolbox becomes available. For information about the report controls available in this toolbox, please see the Supported Controls (Section Report) topic in the User Guide.

When a Page or an RDL report has focus, the Page Report or RDL toolbox becomes available. For information about the report controls available in these toolboxes, please see the Supported Controls topic in the User Guide.

Properties Window

The Properties window is an important tool when you design a report. Select any page, section, data region, control, or the report itself to gain access to its properties in the Properties window. You can sort the properties by category or in alphabetical order by clicking the buttons at the top of the Properties window. Select a property to reveal a description at the bottom of the window. Just above the description is a commands section that contains commands, links to dialogs that give you access to further properties for the item. You can resize the commands or description sections by dragging the top or bottom edges up or down.

Rulers

In ActiveReports, rulers appear at the top and left of the Design View to guide you in vertically and horizontally aligning items in the report. They have large tick marks to indicate half inch points and smaller tick marks to indicate eighths of an inch.

Scroll Bars

Scroll bars appear automatically when controls or data regions do not fit within the visible area of the report design surface. A scroll bar consists of a shaded column with a scroll arrow at each end and a scroll box (also called a thumb) between the arrows. You can scroll up, down, right or left using the scroll arrow buttons, scroll box or mouse wheel.

Zoom Slider

ActiveReports allows you to zoom in or out on the report design surface for better control over your report layout. As you zoom in or out, the apparent size of every item on the design surface changes proportionately. In the designer, the Zoom bar is below the report design surface. The slider thumb is set to 100% by default. Use the slider to show the layout at any zoom level from 50% to 400%. You can also use the zoom in (+) and zoom out (-) buttons at either end of the slider.


Report Types
ActiveReports 12 Server Designer User Guide > Get Started with ClickOnce End User Designer > Report Types
Show All
Hide All

In the ClickOnce End User Designer, you can choose a report type based on your layout requirements. Depending on the type of report you select, your reports are saved to different file formats.

Report Types

We are going to discuss three types of report that you can create depending on your layout requirements: Page, RDL, and Section.

Note: A fourth type, Semantic report, uses the Add-On Designer. You can learn more about Semantic reports in the Creating Your First Report topic in the documentation for that designer.

Page Report

In a Page report, you design reports on a fixed page layout. You can place controls anywhere on the report and they will not change in size at run time. To handle any extra data, use an OverflowPlaceHolder control. For more information, see Page and RDL Report Concepts in the User Guide.

RDL Report

In an RDL report, controls grow vertically to accommodate data. Controls can grow and shrink, and you can set up interactive sorting. You can create drill-down reports in which detail data that is initially hidden can be toggled by other items, and you can add drill-through links to other reports and to bookmark links within reports. For more information, see Page and RDL Report Concepts in the User Guide.

Section Report

In a Section Layout, you design reports in banded sections. PageHeader, Detail and PageFooter sections appear by default, and you can remove all but the Detail section. Right-click the report and select Insert to add other section pairs like ReportHeader and ReportFooter, or GroupHeader and GroupFooter. For more information, see Section Reports Concepts in the User Guide.

You can hide any section that you do not want to show by setting the Visible property of the section to False.

Report File Format Types

Reports save to a number of file formats depending on the features you use and the report type. See the following list of file formats for each type.

Format | Page or RDL | Section
RDLX | ✓ | ✘
RPX | ✘ | ✓
RDLX-Master | ✓ | ✘
RDLX-Theme | ✓ | ✘
RDSX | ✓ | ✘
RDF | ✘ | ✓

Report Controls in Each Report Type

In the ClickOnce designer, the available controls depend on the type of report you select.

Report Controls | Section Report | Page Report | RDL Report
BandedList | ✘ | ✓ | ✓
List | ✘ | ✓ | ✓
Tablix | ✘ | ✓ | ✓
Table | ✘ | ✓ | ✓
OverflowPlaceHolder | ✘ | ✓ | ✘
Chart | ✓ | ✓ | ✓
Barcode | ✓ | ✓ | ✓
Bullet | ✘ | ✓ | ✓
Calendar | ✘ | ✓ | ✓
CheckBox | ✓ | ✓ | ✓
Container | ✘ | ✓ | ✓
CrossSectionLine | ✓ | ✘ | ✘
CrossSectionBox | ✓ | ✘ | ✘
FormattedText | ✘ | ✓ | ✓
Image | ✘ | ✓ | ✓
Label | ✓ | ✘ | ✘
Line | ✓ | ✓ | ✓
PageBreak | ✓ | ✘ | ✘
Picture | ✓ | ✘ | ✘
ReportInfo | ✓ | ✘ | ✘
RichTextBox | ✓ | ✘ | ✘
Shape | ✓ | ✓ | ✓
Sparkline | ✘ | ✓ | ✓
SubReport | ✓ | ✓ | ✓
TextBox | ✓ | ✓ | ✓
TableOfContents | ✘ | ✓ | ✓


Create a Report

Create a Report
ActiveReports 12 Server Designer User Guide > Get Started with ClickOnce End User Designer > Create a Report

You can create a new RPX/RDLX report from the Report portal in the ClickOnce End User Designer. The Designer provides all basic functions of ActiveReports Designer where you can design a report based on the selected report type - Section, Page, or RDL report.

  1. In the Report list area of the Report Portal, click the Create report icon.

  2. In the Create report dialog that appears, choose from Section, Page, or RDL report layout types.
  3. Click OK to open the ClickOnce End User Designer.
    Note: Steps 4 and 5 do not apply for Section reports since Section reports do not support server shared data sets. To set data source in Section reports, click Data Source icon to open Report Data Source dialog, select the data type, fill in the fields, and click OK.
  4. In the Report Explorer, right-click the Server Data Sets node and select the Add Data Set option to add a server shared data set.
  5. In the Add Server Data Set dialog that appears, select the data set, and click OK.
  6. From the toolbox, add controls to your report.
  7. Click the preview tab to view the report at design time.
  8. To save the report, go to the File menu and click Save.
  9. In the Save As dialog that appears, enter the Report name and click Save.

    You can also add a description or a comment, or select the category where you want to save your report.
See Also
Creating a Page or RDL Report
Creating a Section Report
Modify a Report


Creating a Page or RDL Report

Creating a Page or RDL Report
ActiveReports 12 Server Designer User Guide > Get Started with ClickOnce End User Designer > Create a Report > Creating a Page or RDL Report
Show All
Hide All

The steps to create a Page or RDL report are split into following activities:

  • Select the report layout
  • Add a dataset
  • Add controls to the report
  • View the report
  • Save the report

Design Time

Run Time

Select the report type

  1. In the ActiveReports Server Report Portal, click the New Report button [image].
  2. From the Create report pop-up window, select Page Report or RDL Report and click OK.

Add a dataset

Prerequisite

These steps assume that your administrator has already added a server shared data set based on the sample Factbook.xml data source. Only an ActiveReports Server administrator can add, remove, or modify server shared data sources and data sets. Here are the steps the administrator can follow to add this data set.

  1. Set the connection properties for the data source and the query for the data set as described in Reports with XML Data.
  2. Add a data source to the server as described in Shared Data Sources.
  3. Add a data set to the server as described in Server Shared Data Sets.
  1. In the Report Explorer, right-click the Server Data Sets node and select Add Data Set.
    Note: The Add Data Set option is disabled if there are no data sets available in ActiveReports Server.
  2. In the Add Server Data Set dialog, select the data set and click OK.
    Your data set and fields appear as nodes under the data source in the Report Explorer.

Add controls to the report

  1. From the toolbox, drag a List data region onto the design surface of the report and go to the Properties window to set the DataSetName property to ExchangeRates.
  2. From the Report Explorer, drag the @name field onto the list, center it at the top, and go to the Properties window to set the FontSize property to 14pt.
  3. From the Report Explorer, drag the following fields onto the list with properties set as described in the table below.
    Field Name Property Name
    Currency Location: 1.125in, 0.5in
    Size: 2.25in, 0.25in
    VsUSD2004 Location: 4.5in, 0.875in
    Size: 1in, 0.25in
    VsUSD2003 Location: 4.5in, 1.25in
    Size: 1in, 0.25in
    VsUSD2002 Location: 4.5in, 1.625in
    Size: 1in, 0.25in
    VsUSD2001 Location: 4.5in, 2in
    Size: 1in, 0.25in
    VsUSD2000 Location: 4.5in, 2.375in
    Size: 1in, 0.25in
  4. From the toolbox, drag a TextBox onto the list and set the properties as described in the table below to combine static text with the field value.
    Property Name | Property Value
    Location | 0.145in, 0.875in
    Size | 3in, 0.25in
    Value | ="Value of " & Fields!Currency.Value & " versus US$ for year:"
  5. From the toolbox, drag TextBox controls onto the list and set the properties as described in the tables below to create static labels.

    TextBox1

    Property Name | Property Value
    Location | 0.125in, 0.5in
    Size | 0.75in, 0.25in
    FontWeight | Bold
    Value | Currency:

    TextBox2

    Property Name | Property Value
    Location | 3.375in, 0.875in
    Size | 1in, 0.25in
    TextAlign | Right
    Value | 2004:

    TextBox3

    Property Name | Property Value
    Location | 3.375in, 1.25in
    Size | 1in, 0.25in
    TextAlign | Right
    Value | 2003:

    TextBox4

    Property Name | Property Value
    Location | 3.375in, 1.625in
    Size | 1in, 0.25in
    TextAlign | Right
    Value | 2002:

    TextBox5

    Property Name | Property Value
    Location | 3.375in, 2in
    Size | 1in, 0.25in
    TextAlign | Right
    Value | 2001:

    TextBox6

    Property Name | Property Value
    Location | 3.375in, 2.375in
    Size | 1in, 0.25in
    TextAlign | Right
    Value | 2000:

View the report

Click the Preview tab to view the report at run time.

Save the report

  1. In the File menu, click Save.
  2. In the Save As dialog that opens, enter the Report name and click Save.
    You can also select the category where you want your report to appear, add a description, and add a comment to appear in the revision history.


Creating a Section Report

Creating a Section Report
ActiveReports 12 Server Designer User Guide > Get Started with ClickOnce End User Designer > Create a Report > Creating a Section Report
Show All
Hide All

The steps to create a Section report are split into following activities:

  • Select the report layout
  • Connect to a data source
  • Add controls to the report
  • View the report
  • Save the report
Note: Section reports do not support server shared data sets.

Design Time

Run Time

Select the report type

  1. On the ActiveReports Server Report Portal, click New Report [image] to create a new report.
  2. From the Create report pop-up window, select Section Report and click OK.

Connect to a data source

  1. On the detail section band, click the Data Source icon.
  2. In the Report Data Source dialog, on the XML tab, click the ellipses button next to File URL.
  3. Navigate to [User Documents folder]\GrapeCity Samples\ActiveReports 12\Data, select the Factbook.xml file, and click the Open button.
  4. In the Recordset Pattern field, enter the following query:
    //countries/country
  5. Click OK to close the Report Data Source dialog.

Add controls to the report

  1. From the Report Explorer, drag the following data fields onto the Details section of the report, and set the following properties in the Properties window:
    Field Name Property Name
    Currency Location: 0, 0.4 in
    Size: 1, 0.2in
    VsUSD2004 Location: 5, 0.4 in
    Size: 2, 0.2in
    VsUSD2003 Location: 5, 0.76 in
    Size: 2, 0.2in
    VsUSD2002 Location: 5, 1.12 in
    Size: 2, 0.2in
    VsUSD2001 Location: 5, 1.48 in
    Size: 2, 0.2in
    @name Location: 3.25, 0 in
    Size: 2, 0.24in
    Font Size: 14pt
  2. From the toolbox, drag TextBox controls onto the Details section and set the following properties to create static labels.

    TextBox1

    Property Name | Property Value
    Location | 0, 0.4in
    Size | 1, 0.2in
    Font | Bold: True
    Text | Currency:

    TextBox2

    Property Name | Property Value
    Location | 4, 0.4 in
    Size | 1, 0.2in
    Text | 2004:

    TextBox3

    Property Name | Property Value
    Location | 4, 0.76 in
    Size | 1, 0.2in
    Text | 2003:

    TextBox4

    Property Name | Property Value
    Location | 4, 1.12 in
    Size | 1, 0.2in
    Text | 2002:

    TextBox5

    Property Name | Property Value
    Location | 4, 1.48 in
    Size | 1, 0.2in
    Value | 2001:

View the report

Click the Preview tab to view the report at run time.

Save the report

  1. From the File menu, click Save.
  2. In the Save As dialog that opens, enter the Report name and click Save.
    You can also select the category where you want your report to appear, add a description, and add a comment for the revision history.


Modify a Report

Modify a Report
ActiveReports 12 Server Designer User Guide > Get Started with ClickOnce End User Designer > Modify a Report

You can modify your RPX/RDLX report from the Administrator portal or the Report portal in the ClickOnce End User Designer.

  1. In the Reports page of the Administrator portal or the Report list area of the Report Portal, select the report you want to modify and click the Design report icon [image].
  2. In the Designer that opens, modify the report as required.
  3. Go to the File menu and click Save to save the report.
See Also
Create a Report


Connect to Data

Connect to Data
ActiveReports 12 Server Designer User Guide > Get Started with ClickOnce End User Designer > Connect to Data

There are a number of concepts that apply exclusively to Page and RDL reports.

Connect to a Data Source
Learn about connecting to a data source.
Add a Dataset
Learn about adding dataset.
Edit a Shared Dataset
Learn about editing shared datasets.


Connect to a Data Source

Connect to a Data Source
ActiveReports 12 Server Designer User Guide > Get Started with ClickOnce End User Designer > Connect to Data > Connect to a Data Source
Show All
Hide All

In Page and RDL reports, you connect to a data source in the Report Explorer.

  1. In the Report Explorer, right-click the Data Sources node and select Add Data Source, or from the Add button select Data Source.
  2. In the Report Data Source dialog that appears, on the General page, change the name of the data source (DataSource1 by default). This name appears in the Report Explorer as a child of the Data Sources node, so it is useful to give it a meaningful name.
  3. Under Type, select the type of data source you want to use.
  4. Under Connection, enter the Connection String.
    If you select SQL, OleDB, or Oracle for the Type, Connection Properties, Connection String, and Advanced Settings pages appear under Connection. See Report Data Source Dialog in the ActiveReports User Guide for further details.
    If you select XML Provider for the Type, the connection string must include XmlDoc or XmlData. (TransformationDoc is optional.)

    XML Provider Connection Strings

    • XmlDoc: Refers to a specific XML file located on either the file system or at a web-accessible location. For example, XmlDoc=C:\MyXmlFile.xml;
    • XmlData: Provides XML data in the connection string itself. For example,
      XmlData=<people>
        <person>
          <name>
            <given>John</given>
            <family>Doe</family>
          </name>
        </person>
        <person>
          <name>
            <given>Jane</given>
            <family>Smith</family>
          </name>
        </person>
      </people>;
    • TransformationDoc: Refers to a specific XSLT file to apply to the XML data.

    Note that elements in the Connection String must terminate with a semicolon (;) character.

  5. Click the Validate Data Source icon [image] to confirm the connection string. This icon becomes inactive to indicate success, or an error message indicates an invalid connection string.
  6. On the Credentials page, you can specify your password, request user credentials, or use Windows authentication.
  7. Click the OK button on the lower right corner to close the dialog. You have successfully connected the report to a data source.

In ActiveReports, you can connect to most data sources with these steps. However, you need to follow the instructions below to connect to a Shared Data Source on ActiveReports Server.

Connect to a Shared Data Source

  1. In the Report Explorer, right-click the Data Sources node and select the Add Data Source option or select Data Source from the Add button.
  2. In the Report Data Source dialog that appears, select the General page and enter the name of the data source. This name appears as a child node to the Data Sources node in the Report Explorer.
  3. Check the Shared Reference checkbox on.
  4. Under Reference, click the Browse button and from the Shared Data Source File dialog that appears, go to the folder where your shared data source file is located and select it. A file path appears in the field adjacent to the Browse button.
  5. Click the OK button on the lower right corner to close the dialog. A shared data source node appears in the Report Explorer.


Add a Dataset

Add a Dataset
ActiveReports 12 Server Designer User Guide > Get Started with ClickOnce End User Designer > Connect to Data > Add a Dataset

In a Page or RDL report, once you connect to a data source, you add a data set to get a list of fields to use in the report.

  1. In the Report Explorer, right-click the data source node (DataSource1 by default) and select Add Data Set.
    Or from the Add button, select Data Set....
  2. In the DataSet dialog that appears, select the General page and enter the name of the dataset. This name appears in the Report Explorer as a child of the data source node, so it is useful to give it a meaningful name.
  3. On the Query page of this dialog, select a Command Type from the dropdown list.
    • Text: Enter a SQL query or XML path in the Query box.
      See Visual Query Designer in the ActiveReports User Guide for more on using the interactive query designer.
    • StoredProcedure: Enter the name of the stored procedure in the Query box.
    • TableDirect: Enter the name of the table in the Query box.
  4. Click the Validate DataSet icon [image] at the top right to validate the query.
  5. The fields automatically appear in the Fields page in the DataSet dialog.
    Note: For XML data, you must manually enter fields on the Fields page using valid XPath expressions.
  6. You can also set parameters, filters, and data options on the other pages of the dialog.
  7. Click the OK button to close the dialog. Your data set and fields appear as nodes in the Report Explorer.
Note: If you are using an XML data source provider, you provide an XML path on the Query page and generate fields using XPath expressions on the Fields page of the DataSet dialog. See the following example for details.

Query and Field Settings for XML Data

The XML provider supports the use of XPath 1.0 in building queries and selecting Fields. Here is an example of how to set the query string and fields with an XMLData connection string.

Connection String

Example of an XmlData connection string.

XmlData=<people>
  <person>
    <name>
      <given>John</given>
      <family>Doe</family>
    </name>
  </person>
  <person>
    <name>
      <given>Jane</given>
      <family>Smith</family>
    </name>
  </person>
</people>;

Query String

Example of a query for the XmlData example above.

/people/person/name

Fields

Once the query is set, add two fields to the Fields collection with the following name and value pairs:

Name: Given
Value: given

Name: Family
Value: family


Edit a Shared Dataset

Edit a Shared Dataset
ActiveReports 12 Server Designer User Guide > Get Started with ClickOnce End User Designer > Connect to Data > Edit a Shared Dataset
  1. From the Server menu, select Edit Shared Data Sets.
  2. In the Server Shared Data Sets dialog that appears, select a data set from the list, and then click Edit.
  3. In the Server Shared Data Set dialog that appears, edit the data set properties with the help of this dialog.
  4. Click Save to update the data set properties and return to the Server Shared Data Sets dialog.


Sharing and Security

Sharing and Security
ActiveReports 12 Server Designer User Guide > Sharing and Security

The ActiveReports Server Web Designer employs role-based security, that is, permissions are assigned to roles, rather than to individual users. A user with a given role can avail only those permissions that are assigned to that particular role. The user must be granted sufficient permissions (through role) to upload or save a report and schedule it. All the saved reports can be viewed in the Report Portal. The user can then preview the report, and then share it via email.
The task of adding users and assigning them roles is managed by administrator.

A user with role that allows uploading (or saving) reports but does not allow scheduling reports, will only be able to upload reports to the server, and will not be able to schedule reports.

The following table shows how two users have different permissions depending on roles assigned:

User1 with permission to upload reports | User2 with permissions to upload and schedule reports
Note: The reports on the Report portal are editable only by users with administrator role.


Previewing Reports

Previewing Reports
ActiveReports 12 Server Designer User Guide > Previewing Reports
Show All
Hide All

The HTML5 Viewer is a Javascript component that can be used in web applications to preview reports hosted on ActiveReports Server or ActiveReports 12 Web Service. The HTML5 Viewer provides several UI types to target the wide range of supported devices. The application can switch between these options using the public API methods and properties.

HTML5 Viewer Mobile UI

HTML5 Viewer Mobile Top Toolbar

Toolbar Element | Name | Description
 | Table of Contents | Displays the Table of Contents pane.
 | Parameters | Displays the Parameters pane.
 | Search | Displays the Search pane.
 | Single page view | Displays one page at a time in the viewer.
 | Continuous page view | Displays all preview pages one below the other.
 | Galley mode | Provides a viewer mode which removes automatic page breaks from an RDL report and displays the data in a single scrollable page. This mode maintains page breaks you create in the report.
 | Save As | Displays the drop-down list of formats to export the report. The available options are PDF Document, Word Document, Image File, MHTML Web Archives, Excel Workbook, and CSV file. Tapping the menu item exports the report to the selected format. and opens the saved file in the browser as an attachment.
 | Email | Send report by email after specifying email address of the recipient in the Send Report by Email dialog. You can select the format of the report from PDF (default), EXCEL, MHT, Image, WORD, and XML, and choose to send the report as link or as an attachment.

HTML5 Viewer Mobile Bottom Toolbar

Toolbar Element | Name | Description
 | Previous Page | Navigates to the previous page of the displayed report.
 | Next Page | Navigates to the next page of the displayed report.
2/124 | Current Page | Displays the current page number and page total. Enter the page number to view a specific page.
 | Back to Parent | Returns to the parent report in a drill-through page report.
 | Partial Data. Run Full Report | Provides information that report is not fully rendered. It is partially rendered either due to page limit set by administrator or user has cancelled rendering using [image] option. Click [image] option again to run full report.
 | Cancel Report | Use this option to cancel loading full report. This option is displayed for large reports.

HTML5 Viewer Mobile Table of Contents Pane

The Table of Contents pane appears when you tap the TOC button on the toolbar. Tap any TOC item in the Table of Contents pane to navigate to the corresponding section of the report in the Viewer.

The Table of Contents pane has a Close (x) button that hides the pane and shows the report display area. If a report does not have a Table of Contents, the TOC button in the toolbar is disabled.

HTML5 Viewer Mobile Parameters Pane

The Parameters pane appears automatically if your report contains parameters.

In the Parameters pane, click the [image] button to open the Parameters Value editor where you can choose or enter values depending on the parameter type.

After you select or enter the values, click the Back button to navigate to Parameters Pane. Click the View Report button to view the report according to the selected parameter values.

In the Parameters pane, you can use parameters to filter or add the data to display reports at runtime. You can either prompt users for parameters so that they control the output, or set hidden parameters to pass values automatically at runtime without prompting the users. To filter or add the report data, enter a value or set of values and click View report.

If a report does not have parameters, the Parameters button in the toolbar is disabled. Parameters

HTML5 Viewer Mobile Search Pane

The Search pane appears when you tap the Search button in the toolbar. The Search pane occupies all the available HTML5 viewer size.

This pane allows you to search for a specific text in the report.

To search in a report:

  • Enter the word or phrase in the search field.
  • Under the search field, you may choose to use the Match case and Whole phrase options while searching in the report.
  • Click the Search button to see the results appear below the Search button.
  • Click an item in the list to jump to that item in the report.

HTML5 Viewer Desktop UI

HTML5 Viewer Desktop Toolbar

Toolbar Element | Name | Description
 | Sidebar | Displays the sidebar with the Table of Contents and Parameters panes.
 | Search | Displays the Search pane.
 | First | Navigates to the first page of the displayed report.
 | Prev | Navigates to the previous page of the displayed report.
2/124 | Current page | Displays the current page number and page total. Enter the page number to view a specific page.
 | Next | Navigates to the next page of the displayed report.
 | Last | Navigates to the last page of the displayed report.
 | Back to Parent | Returns to the parent report in a drill-through page report.
 | Print | Displays the Print dialog to specify printing options.
 | Single page view | Displays one page at a time in the viewer.
 | Continuous page view | Displays all preview pages one below the other.
 | Galley mode | Provides a viewer mode which removes automatic page breaks from an RDL report and displays the data in a single scrollable page. This mode maintains page breaks you create in the report.
 | Save As | Displays the drop-down list of formats to export the report. The available options are PDF Document, Word Document, Image File, MHTML Web Archives, Excel Workbook, and CSV file. Tapping the menu item exports the report to the selected format. and opens the saved file in the browser as an attachment.
 | Email | Send report by email after specifying email address of the recipient in the Send Report by Email dialog. You can select the format of the report from PDF (default), EXCEL, MHT, Image, WORD, and XML , and choose to send the report as link or as an attachment.
 | Partial Data. Run Full Report | Provides information that report is not fully rendered. It is partially rendered either due to page limit set by administrator or user has cancelled rendering using Cancel Report option. Click Partial Data. Run Full Report option again to run full report.
 | Cancel Report | Use this option to cancel loading full report. This option is displayed for large reports.

HTML5 Viewer Desktop Table of Contents Pane

The Table of Contents pane appears when you click the Sidebar button in the toolbar. Click any TOC item to navigate to the corresponding section of the report in the Viewer.

If a report does not have the Table of Contents, the Sidebar button in the toolbar is disabled.

HTML5 Viewer Desktop Parameters Pane

The Parameters pane appears when you click the Sidebar button in the toolbar and then click the Parameters tab. In the Parameters pane, enter a value to filter the data to be displayed.

Click View Report button to view the report according to the selected parameter values.

You can use parameters to filter or add the data to display in reports at runtime. You can either prompt users for parameters so that they control the output, or set hidden parameters to pass values automatically at runtime without prompting the users. To filter or add the report data, enter a value or set of values and click View report.

If a report does not have parameters, the Parameters pane does not appear in the sidebar. For more information, see Parameters.

HTML5 Viewer Desktop Search Pane

The Search pane appears when you click the Search button on the toolbar. This pane allows you to search for a specific text in the report.

To search in a report:

  • Enter the word or phrase in the search field.
  • Under the search field, you may choose to use the Match case and Whole phrase options while searching the report.
  • Click the Search button to see the results appear below the Search button.
  • Click an item in the search results to jump to that item in the report.

HTML5 Viewer Custom UI

The custom UI option of the HTML5 Viewer provides the ability to create a customized viewer for targeted devices and to meet the specific application requirements.

You can customize the appearance of the HTML5 Viewer using the public API methods and properties, described in Work with HTML5 Viewer using Javascript.


Send a Report by Email

Send a Report by Email
ActiveReports 12 Server Designer User Guide > Send a Report by Email

On previewing a report in HTML5Viewer, you can send a report directly as an email link or as an attachment, without downloading the report first.

To send a report by Email,

  1. Click the Email button on the HTML5Viewer.
  2. Fill-in the dialog box as:
    • Send to: Specify the email address of the recipient.
    • Subject: Enter the subject of the Email.
    • Message: Enter the message of the Email.
    • Document format: Select the format in which you want to send the report. You can choose from PDF (default), EXCEL, MHT, Image, WORD, and XML formats
    • Select the option As link or As attachment to send the report as link or as an attachment.

      Note:

      • In order to use this feature, SMTP settings should be specified on the SMTP Settings page in the Administrator dashboard.
      • You can send the report as link only if the notification link url has been specified by the administrator.
      • You can check the status of the sent email from the report's History tab in Info panel.
  3. Click Send.


Scheduling Reports

Scheduling Reports
ActiveReports 12 Server Designer User Guide > Scheduling Reports

You can set a scheduled task to run a report and have the report server share it using Windows File Share, send it to e-mail recipients, or print it using a variety of options for customizing the scheduling process. You can also create a new schedule task based on the settings of an existing schedule task with the help of Copy task button.

The report runs at the time specified in the scheduled task. You can also choose to execute any scheduled task immediately using the Run once button placed on the top of the schedule. The server then sends a copy of the report to your e-mail list, file share location, or printer. You can set the report to run daily, weekly, or monthly. See Schedule Options for details.

Note: If a user changes the schedule template settings of a schedule on the Report portal, other settings of the schedule will remain unchanged provided the Delivery type option is same.

On the Report Portal, you can select a report and display related information to the right. On the Schedule tab, you can see any tasks that are scheduled for the selected report. To view details of a schedule for the selected report, click the scheduled task in the list.

When setting up a scheduled task for a parameterized report, you can specify report parameters in the schedule options. If you specify parameters in the schedule options, the specified parameter values filter the report data so that the report contains only the filtered data.

To add a scheduled task

  1. On the Report Portal, select a report.
  2. To the right of the selected report, go to the [image] Schedule tab and click Add Task.
  3. In the Task Details section that appears, specify the Schedule Options.
  4. Click Save.

To delete a scheduled task

  1. On the Report Portal, select the report with the scheduled task that you want to delete.
  2. On the Schedule tab to the right of the selected report, click the x button for the scheduled task that you want to delete.

  3. The scheduled task is removed from the list.

To copy a scheduled task

  1. On the Report Portal, select a report.
  2. To the right of the selected report, go to the [image] Schedule tab.
  3. Select the schedule you want to copy and click Copy task.
  4. In the Task Details section that appears, modify the Schedule Options.
  5. Click Save.

To rename a scheduled task

  1. On the Report Portal, select a report.
  2. To the right of the selected report, go to the [image] Schedule tab
  3. In the list of scheduled tasks, double-click a scheduled task.
  4. In the activated field, enter a new name for the scheduled task.

  5. Press Enter on your keyboard to save the name.

To run the scheduled task immediately

  1. On the Report Portal, select a report.
  2. To the right of the selected report, go to the [image] Schedule tab
  3. In the list of scheduled tasks, click the task that you want to execute immediately.
  4. Click the Run Once button. Your task will be executed.

The results of the execution of the most recent scheduled tasks are stored on the History tab. You can open non-expired reports in the History tab by clicking Open. When the time period specified in the Result Expires After setting expires, you can no longer open expired reports.

See Also
Schedule Options
Report History
Relative Dates


Schedule Options

Schedule Options
ActiveReports 12 Server Designer User Guide > Scheduling Reports > Schedule Options
Show All
Hide All

On the Report Portal, when you select a report, Info, Schedule, History, Revisions and Categories tabs appear to the right. On the Schedule tab, you can schedule a report to run by clicking Add Task. There are also a number of options that you can set.

Available Schedule Options

Option | Description
Choose Schedule | Select how often to run the task: Daily, Weekly, or Monthly.
Format Select the format in which to share the report.

Formats: Excel file (xls), Mht document (archived Web page), Image file, PDF document, Word document, XML file (xml) or CSV file (csv).
Delivery type

Select how to deliver the report: Windows File Share, Email, or Print. Below are more options that appear with these delivery types.

Note: The Format option is unavailable if the Delivery Type is set to 'Print'. Also note that you must have permissions to the specified printer.
Email Options
Email report to | Enter one or more e-mail addresses where the report is to be sent. Separate multiple e-mail addresses with commas.
Subject | Enter text to display in the subject line of the email. If you do not enter text, default text is used.
Body | Enter text to display in the body of the email. If you do not enter text, default text is used.
Delivery method | Select As Link or As Attachment to define how the report is sent to e-mail recipients.
Windows File Share Options
File name | Enter a name to use for the shared report file.
Add file extension | Select whether to add the appropriate file extension, for example, xls, to the file name.
Path | Enter the file path to which to save the shared report file.
User name | Enter a user name with access to the path where the shared report file is saved.
Password | Enter the password for the user to access the path where the shared report file is saved.
Overwrite | Select whether to Increment filename as newer versions are added, or to Overwrite the existing file if it exists. It is best to choose the latter if the report is large or runs frequently and you are concerned about running out of space.
Print options
Printer | Select the printer from the available printers added to the server.
Printer Options The following options are available. You can modify the following Printer Options only if an administrator has specified the Allow user to choose option in the Administrator Dashboard.
  • Color: Choose to print in Color or Gray scale.
  • Orientation: Select the page orientation as Portrait or Landscape.
  • Two sided: Specify printing as One-sided, Two-sided(Long edge), or Two-sided(Short edge).
  • Number of copies: Enter the number of copies to be printed.
  • Paper size: Select the page size from several available options such as Letter, Legal, Statement, A5, and so on.
  • Paper source: Select paper source as Auto, Multi-purpose Tray, Drawer 1, Drawer 2, or Paper Type Priority.
More options that apply to all delivery types
Created by | Displays the name of the person who initially created the schedule. This information is recorded automatically.
Modified by | Displays the name of the person who most recently modified the schedule. This information is recorded automatically.
Specify report parameters
(for parameterized reports only) 		This link only appears if the report you are scheduling has parameters. Click to open a dialog where you can specify parameters. The selected parameters filter the report data when the scheduled task executes. If the parameter is a date that allows any value, you can use the Relative Dates feature.

To specify report parameters

  1. In the Details section of the scheduled task, click Specify report parameters.
  2. In the dialog that appears, drop down the list of report parameter values and double-click to select one.

    Note: If a report parameter does not have a default value selected, you must enter a value for it to enable the Accept button.

  3. Click Accept.
See Also
Report History
Scheduling Reports
Working with Parameters
Relative Dates


Relative Dates

Relative Dates
ActiveReports 12 Server Designer User Guide > Scheduling Reports > Relative Dates
Show All
Hide All

When you set a parameter based on a date field and allow any value, you can allow users to choose relative dates in both viewing and scheduling reports. This allows you to set up scheduling that always updates automatically, with no need to go in and set the dates each time.

When you show the report in the viewer and it requests parameter values, you can drop down the date parameter and select either Specific Date or Relative Date. Specific Date shows you the calendar picker that you would normally see for a date, but Relative Date offers the following options.

  • beginning or end of
  • current, previous, or next
  • day, week, month, quarter, or year

These dates are relative to the date that the report runs, and the week range values are determined based on the report's culture rather than the server's culture.

Images of Specific Date and Relative Date options

When you schedule the report and specify report parameters, you are given the same choice of Specific or Relative Date.

See Also
Scheduling Reports
Working with Parameters
Using Filters and Parameters


Report History

Report History
ActiveReports 12 Server Designer User Guide > Scheduling Reports > Report History

Whenever a scheduled task is executed as per the assigned schedule or immediately (using the Run Once button), you can view the most recent results of your scheduled tasks on the History tab.

The name of each entry in the History list corresponds to a scheduled task that ran the report. The date and time of an entry indicates when a report was run.

The Status is marked as Accomplished when a scheduled task for printing a report is successfully sent to a printer, even if an actual printing task fails. Therefore, to confirm whether the actual printing task has completed successfully, the user needs to check the print queue or printer details on the server machine.

When the time period specified in the Result expires after setting expires, the open link is disabled and the report can no longer be opened.

To view a report in History

  1. Under the History tab, click an entry in the list.

    Selecting an entry opens the Details section that shows the report rendering format and the status of the scheduled task execution.

  2. Above the Details section, click Open to view the rendered report in a separate window.

Limitation: You can view only the last 20 results of a scheduled tasks history.

See Also
Schedule Options
Scheduling Reports


Publish Reports

Publish Reports
ActiveReports 12 Server Designer User Guide > Publish Reports

You can publish reports by setting up schedules for when to run them. You can customize how the final report is presented to your users by selecting a format and whether to e-mail the reports as attachments or as links.

To publish a weekly report

You can publish on any schedule that you need. See Schedule Options for more information.

  1. On the ActiveReports Server Report Portal, select the name of the report that you want to publish, for example, Annual Sales Performance. Information about the selected report appears in tabs to the right.
  2. Select the Schedule tab, and click the Add Task command. Details that you can set for scheduling appear below.
  3. To change to weekly, next to Choose schedule, click the drop-down arrow and select Weekly.
  4. To customize how the report appears, next to Format, hover over PDF document, click the drop-down arrow that appears, and select a file format, for example, Mht document (archived Web page).
  5. Next to Email report to, enter all of the email addresses to which you want to send the report, separated by commas.
  6. To send a link to the report in the email, rather than an attachment, next to Delivery method, select As Link from the drop-down list. Your name automatically appears in the Created By and Modified By fields.
  7. Click Save. The schedule is saved as Schedule 1.
  8. To change the name of the schedule, click the text Schedule 1. The text becomes editable, and you can press the Enter key on your keyboard to save it.
See Also
Scheduling Reports
Schedule Options
Report History


Report Versions

Report Versions
ActiveReports 12 Server Designer User Guide > Report Versions

You can maintain versions of a report to keep track of the modifications made to it and even revert to specific version of a report. These report versions appear as a list of revision items under the Revisions tab. ActiveReports Server Core always displays the latest version of the report in the Report Portal.

To access the Revisions tab, on the Report Portal, select the report and see the Revisions tab to the right along with Info, Schedule and History tabs. Each entry under this tab corresponds to a revision item in the selected report.

Elements of the Revisions Tab

Revisions tab consists of the following elements:

Elements | Description
Version Number | Displays the version number for a report. Version number is a unique auto-incrementing number assigned to each version of the report.
Date (mm/dd/yyyy) | Displays the date when the changes were made to the report.
Time (hh:mm) | Displays the time when the changes were made to the report.
Report Author | Displays the name of the author who modified the report and saved it.
Revision Comment | Displays the revision comment entered by the user while saving the report.
Preview Report | Displays the selected version of a report in the ActiveReports Server Viewer.
Open in Designer Command | Displays the selected version of a report in the Designer.

Elements of the Enter Comment Dialog

This dialog appears when a report is modified and saved in the Designer. These report modification are displayed and maintained in the Revisions tab. When you save a report, a comment dialog box prompts the users to leave revision comments about the report modifications.

The Enter Comments dialog box consists of the following elements:

Elements | Description
Revision Comment box | Allows the user to enter revision comments related to the changes made in the report. Adding a revision comment is optional.
OK | Completes the save operation and adds the revision comment to the list of revisions in the Revisions tab.
Cancel | Closes the dialog box without saving the report version.
Don't show this dialog again | Enables the user to hide the Enter Comment dialog box. See Show or Hide the Enter Comment dialog box for details.
See Also
Working with Report Versions


Working with Report Versions

Working with Report Versions
ActiveReports 12 Server Designer User Guide > Report Versions > Working with Report Versions

This topic explains how to set up report versions in a new or existing report and some other basic functions.

  • Create a Report Version for a New Report
  • Create a Report Version for an Existing Report
  • Retrieve a Previous Report Version
  • Show or Hide the Enter Comment dialog box

Create a Report Version for a New Report

  1. Create a new report in the ActiveReports Server Designer. See Creating Your First Report for more information on how to create a new report.
  2. In the File section of Design tab, click Save or Save As to save your report.
  3. In the Save Report dialog that appears, enter the Report Name and add a revision Comment about the report.

  4. Click OK to save the report. This creates the initial version of the report under the Revisions tab.

Go to Top

Create a Report Version for an Existing Report

  1. After you finish modifying a report, click Save or Save As button in the File section of the Design tab.
    Note: Clicking the Save As button opens the Save Report dialog, where you can change the Report Name and add a revision comment about your report.
  2. In the Enter Comment dialog, enter a revision comment related to the changes made in the report, and then click OK.

    The revision comment is saved and added to the list of items in the Revisions tab.

Go to Top

Retrieve a Previous Report Version

  1. On the Report Portal, select a report from the Report List.
  2. On the right side of the selected report, click the Revisions tab to view the report versions.
  3. On the Revisions tab, select any version of the report and click Open in Designer command to get that version.
    Note: You must have the Write permissions for the report to view the Open in Designer command in the Revisions tab.

Go to Top

Show or Hide the Enter Comment dialog box

  1. On the Report Portal, select a report and open it in Designer.
  2. On the Report tab, click Preferences.

  3. In the Configuration dialog box that appears, under the Show version comment dialog option, select Yes to show the Enter Comment dialog box or No to hide it.
  4. Click Close to save the preference setting.
    Note : Report versions are created in the Revisions tab on saving a report, even if the Enter Comment dialog box is hidden.
Go to Top
See Also
Report Versions


Report Categories

Report Categories
ActiveReports 12 Server Designer User Guide > Report Categories

ActiveReports Server provides the ability to create Personal Categories and sub-categories to help manage your reports. The purpose of this feature is to allow users to organize their reports into Personal Categories to make report navigation easier. You can create, edit, rename, move, delete, or create sub-categories within your Personal Category from the Report Portal. Other than Personal Categories, you can also access System Categories which are created by the Administrator from the Categories tab but you cannot assign these System Categories until the Administrator gives the permission to the End User. See Managing Roles for details on the permissions on System Categories and see Report Categories for a detailed description about system and personal categories in ActiveReports Server.

You can access the Categories tab from the Information tabs available on the right hand side of the Report Portal and Categories panel from the left hand side of the report list section of the Report Portal.

Elements of the Categories Tab

The Categories tab consists of the following elements:

Elements | Description
List of Categories

Displays a list of Personal and System Categories and sub-categories that you can assign to your reports. Personal Categories are created by the End User but System Categories can only be created by the Administrator from the Administration Dashboard. See Report Categories for further details.

Note: Permissions from the Administrator are required to assign report under System Categories. The System Categories are disabled and cannot be selected if the permission is not granted by the Administrator to access the System Categories. See Managing Roles for more information.
Apply Button | Assigns report to the selected category.

Elements of Categories Panel

The Categories panel appears on the left hand side of the report list section of the Report Portal. It includes both System and Personal Categories but System category names are highlighted in bold in the Categories panel of the Report Portal. You can manage your Personal Categories from the Categories panel using basic operations like Create, Edit and Delete. End-users can also move the location of Personal Categories or create sub-categories using the Add/Edit Category dialog box. See Working with Personal Categories for further details. Reports that are not assigned any categories are listed under the No category section.

Categories panel consists of the following elements:

Elements | Description
Create | Allows the End Users to create a new personal category using the Add/Edit Category dialog box.
Context Menu
Edit | Allows the End Users to change the name or location of the personal category using the Add/Edit Category dialog box. Caution: End Users can only edit personal cateogories that have been created by them.
Delete | Allows the End Users to delete their personal category.
See Also
Working with Personal Categories


Working with Personal Categories

Working with Personal Categories
ActiveReports 12 Server Designer User Guide > Report Categories > Working with Personal Categories

This topic explains how to create, edit, delete, move and assign categories from the Report Portal.

  • Create a New Personal Category
  • Edit a Personal Category
  • Delete a Personal Category
  • Assign a Single Report to Multiple Personal Categories
  • Change Personal Category of a Report

Create a New Personal Category

  1. On the Categories panel of the Report Portal, click Create to open the Add/Edit Category dialog box.
  2. In the Add/Edit Category dialog box, enter the new category Name and select a Location where you want to create a Personal category.
    Note: Personal category location can either be root (Parent node) or you can create a sub-category under any existing category.

  3. Click Add/Update to add the new Personal category to the list of existing categories.

Edit a Personal Category

  1. On the Categories panel of the Report Portal, hover the mouse over the Personal category that you want edit and then click the [image] button.
  2. Click Edit to open the Add/Edit Category dialog box.
  3. In Add/Edit Category dialog box, modify the Name or Location of the Personal category.
  4. Click Add/Update to update the Personal category.

Delete a Personal Category

  1. On the Categories panel of the Report Portal, hover the mouse over the Personal category that you want delete and then click [image] button.
  2. Select Delete to view the Delete Category dialog box.
  3. Click Delete. The Personal category is deleted and removed from the list of existing categories.

Assign a Single Report to Multiple Personal Categories

  1. On the Report Portal, select a report.
  2. Select the Categories tab from the Information tabs.

  3. In Categories tab, check the check box besides the Personal Categories to move your report into multiple Personal Categories.

    Note: Permissions from the Administrator are required to assign report under System Categories. The System Categories are disabled and cannot be selected if the permission is not granted by the Administrator to access the System Categories. See Managing Roles for more information.
  4. Click Apply to assign multiple categories to your report.

Change Personal Category of a Report

  1. On the Report Portal, select a report.
  2. Select the Categories to assign multiple categories to your report.
  3. In Categories tab, clear the check box for the assigned Personal category.
  4. In the Categories tab, check the check box for the new Personal category that you want to assign to your report.
  5. Click Apply to change the Personal category of the selected report.


Caching Reports

Caching Reports
ActiveReports 12 Server Designer User Guide > Caching Reports

You can specify caching settings for each report, thus shortening the time it takes to retrieve a particular report. The report cache settings are displayed under the Info tab to the right of the report.

To modify the report cache settings

  1. On the Report Portal, select a report.
  2. In the Caching section on the right, update the corresponding settings.

    • Allow caching: Select Yes to speed up retrieving the report. The default value is No.
    • Maximum cache age: Select the maximum time period in Minutes, Hours, or Days, to keep the report cached. After this time period expires, the report is removed from the cache. The default value is 1 Hour.
See Also
Scheduling Reports
Report History


Adding Report Info and Parameters

Adding Report Info and Parameters

Show All
Hide All

When you add a textbox to your report, you can display information about the report in it using Report Info and Parameter inserts.

To add parameters to a textbox

  1. Click inside the textbox as if to type in it. In the Report toolbar, the Parameter button is enabled.
  2. Click the Parameter button. A list of parameters for the report drops down.
  3. Select the parameter that you want to display on the report. A purple box with a question mark and the parameter name appears. When you click outside the textbox, the purple box disappears. At run time, the value of the parameter displays.

    Tip: You can add more than one Parameter or Report Info value in the same textbox, and add text around these values.

To add report info to a textbox

  1. Click inside the textbox as if to type in it. In the Report toolbar, the Report Info button is enabled.
  2. Click the Report Info button. A list of report info values for the report drops down.
  3. Select the value that you want to display on the report. A purple box with an ampersand and the report info value appears.

    Tip: You can add more than one Report Info value in the same textbox, and add text around these values as is done automatically in Page n of m.
See Also
Add Page Numbering
Display the Report Name
Display the Parameter Value


Add Page Numbering

Add Page Numbering

You can add page numbering to a report using a textbox and the Report Info button.

To add page numbering to a report

  1. Click inside the textbox as if to type in it. In the Report toolbar, the Report Info button is enabled.
  2. Click the Report Info button. A list of report info values for the report drops down.
  3. Select Page n of m. Text and purple boxes with an ampersand and n (page number) and an ampersand and m (total pages) appears. You can change the text and remove &n or &m, or add other report info to the textbox.

See Also
Adding Report Info and Parameters


Add or Remove reports from My Favorites

Add or Remove reports from My Favorites

The favorites feature helps you to quickly access the reports without going through all the categories. You can add reports to (or remove reports from) My Favorites easily using [image] icon next to each report name. All the reports that are marked as Favorite are listed under the My Favorites section of the Report Portal.

To mark a report as Favorite

  1. In the Report list area of the Report Portal, click on the [image] icon next to the report.
  2. In the Categories and Search section, select My Favorites to access your favorite reports.

To remove a report from Favorites

  1. In the Report list area of the Report Portal, click on the [image] icon next to the report that is marked as favorite.
  2. Report is removed from the My Favorites section.
See Also
Report Portal

Designer12Onwards

Mobile Report Portal


Adding a Table Column

Adding a Table Column

By default, a number of attributes chosen by the administrator are included in the table. You may add to these default attributes as you choose.

To add a column

  1. Click the table to reveal the adorners.
  2. Point to the top of any column to reveal the column adorner.
  3. Click the arrow button in the center to reveal the column menu.
  4. Select Add Column Left or Add Column Right. A new column appears in the selected location with the same formatting as the original column.

Alternate method

  1. You can also add a column to the left by clicking the left arrow button in the column adorner.
  2. You can add a column to the right by clicking the right arrow.
See Also
Working with Tables
Table Formatting
Adding a Table Row
Deleting a Table Column


Adding a Group Header and Footer

Adding a Group Header and Footer

Group header and footer rows are not displayed by default for the default grouping, although when you add groups, the table header row is turned on for the new groups. You can toggle these rows on and off in the adorner menu.

To add a group header and footer

  1. Click the table to reveal the adorners.
  2. In the Group section to which you want to add a header and footer, click the expand button. The section expands to reveal the menu.
  3. In the expanded menu, click the drop-down arrow button next to without header or without footer.
  4. Select with header or with footer. The section is added to the table with data automatically appearing formatted in bold.
See Also
Table Grouping
Table Data
Adding a New Group


Adding Chart Filters

Adding Chart Filters
Show All
Hide All

You can add filters to limit the amount of data displayed in your chart using the Filter adorner. You can also group them or make them interactive with parameters.

To add a chart filter

  1. Click the chart to reveal the chart adorners.
  2. Click the Add criterion icon to add a filter.

  3. Drop down the default attributes and select one to add it to the list of filters.
  4. The default comparison operator is equal to. To select a different comparison operator, click the drop-down arrow to the right. A different set of comparison operators are available depending on the data type of the attribute.

    Available Comparison Operators

    Operator Name | Description
    equal to | Displays only data that is the same as the specified value.
    not equal to | Displays only data that is not the same as the specified value.
    begins with | Displays only data that begins with the specified letter.
    after | Displays only data that has a value higher than the specified value.
    before | Displays only data that has a value lower than the specified value.
    between | Displays only data that has a value that falls between the two specified values.
    in this list | Displays only data that has a value in the specified list of values.
  5. To enter a value with which to compare data, type one in the (unspecified) text box, or drop down the list of values to the right and double-click to select one.
    Tip: Select (null) to find null values. For example, if you are looking for living people, you would want a "date of death" attribute to be (null). You can use (blank) to find values such as descriptions that were left blank.
  6. To allow the user to select values for the filter, select Prompt.

    See Making Interactive Chart Filtersand Working with Parameters for more information on this option.
See Also
Grouping Chart Filters
Making Interactive Chart Filters
Removing Chart Filters

Reference

Chart Filtering


Adding an Image

Adding an Image

You can add an image report item using the Report Tab.

To add an image

  1. Above the toolbar, select the Report tab.

  2. In the Controls section of the the Report toolbar, click the Image button or drag it onto the report design surface. An image report item appears on the report and the Select file to upload by localhost dialog appears.
  3. Navigate to the image you want to display in the report item, select the image, and click Open. The dialog closes, the selected image appears in the image report item, and the report item automatically resizes to fit the image.

To change an image

  1. With the image report item selected, on the Image Design Tools toolbar, click Source.

  2. Using the Select file to upload dialog, select an image file from your local files and click Open. The image is displayed in the image report item.
  3. Format the image using the Image Design Tools Toolbar and the adorner.
See Also
Working with Images
Formatting an Image


Adding Table Filters

Adding Table Filters
Show All
Hide All

You can add filters to limit the amount of data displayed in your table using the Filter adorner. You can also group them or make them interactive with parameters.

To add a table filter

  1. Click the table to reveal the table adorners, and click the expansion arrow to the right of the Filter adorner to expand the Filter workspace.
  2. Click the Add Criterion icon to add an attribute by which you can filter the data.
  3. Drop down the default attributes and double-click one one to add it to the list of filters.
  4. The default comparison operator is equal to. To select a different comparison operator, click the drop-down arrow to the right. A different set of comparison operators are available depending on the data type of the attribute.

    Available Comparison Operators

    Operator Name | Description
    equal to | Displays only data that is the same as the specified value.
    not equal to | Displays only data that is not the same as the specified value.
    begins with | Displays only data that begins with the specified letter.
    in list | Displays only data that has a value in the specified list of values.
    greater than | Displays only data that has a value higher than the specified value.
    greater than or equal to | Displays only data that has a value higher than or the same as the specified value.
    less than | Displays only data that has a value lower than the specified value.
    less than or equal to | Displays only data that has a value lower than or the same as the specified value.
    from... to | Displays only data that has a value that falls between the two specified values.
  5. To enter a value with which to compare data, type one in the (unspecified) text box, or drop down the list of values to the right and double-click to select one.
    Tip: Select (null) to find null values. For example, if you are looking for living people, you would want a "date of death" attribute to be (null). You can use (blank) to find values such as descriptions that were left blank.
  6. To allow the user to select values for the filter, select Prompt.

    See Making Interactive Table Filters and Working with Parameters for more information on this option.
See Also
Grouping Table Filters
Making Interactive Table Filters
Removing Table Filters
Working with Parameters

Reference

Table Filtering


Adding a Textbox

Adding a Textbox

You can add a textbox to a report by means of the Report Toolbar.

To add a textbox

  1. Above the toolbar, select the Report tab.
  2. In the Report toolbar, double-click the Textbox control to place it at the top left of the report, or drag and drop it anywhere on the report design surface. The textbox is situated with its top left corner in the spot where you drop it.
  3. Double-click inside the textbox to enter your own text in place of the default "textbox."

To change the appearance of the text, see Formatting Text.

See Also
Working with Text and Numbers
Working with Textboxes
Working with Tables


Adding a New Group

Adding a New Group

You can add one or more groups to a table. Select an attribute from the list of attributes of the entity used to make the table.

To add a new group

  1. Click the table to reveal the adorners.
  2. Below the default group, click Add a group. A list tree appears with all of the entities and attributes by which you can group your table. The top level of the list is the same as the top grouping you already have in place.
  3. In the list that appears, double-click an attribute to add it as a new group below the original group.

Alternate Method

Another way to add a new group to a table is to drag an attribute from the Attribute Tree (or an entity from the Entity Tree) to the Group area of the adorner. A solid blue line appears above or below the current grouping section where the group will be added when you drop the attribute.

See Also
Changing the Default Grouping
Reordering Groups
Deleting a Group


Adding a Table Footer

Adding a Table Footer

By default, tables have a header row, but no footer row. You can add a footer row using the row adorner.

To add a table footer

  1. Click the table to reveal the adorners.
  2. Hold your pointer to the left of any row to reveal the row adorner.
  3. Click the arrow button in the center to reveal the row menu.
  4. Select Toggle Table Footer. The table footer row is added to the table.
  5. To remove the table footer row, select Toggle Table Footer again.

You can turn the header and detail rows on or off using the Toggle Table Header and Toggle Table Details menu items. If you put a summary field in a footer row, you can turn off the details to create a summary report.

Note: You can also add a table header and a table footer by selecting them in the Table Design Tools Tab.
See Also
Working with Tables
Adding a Table Row
Deleting a Table Row
Removing a Table Header
Adding a Group Header and Footer


Adding a Table Row

Adding a Table Row

You can add rows to your table for additional data or labels.

To add a table row

  1. Click a table to reveal the adorners.
  2. Hold your pointer to the left of any row to reveal the row adorner.
  3. Click the arrow button in the center to reveal the row menu.

  4. Select Add Row Above or Add Row Below to add a new row in the indicated position. The newly added row is of the same type as the selected row.

Alternate method

  1. You can also add a row above by clicking the up arrow button in the row adorner.
  2. You can add a row below by clicking the down arrow.
See Also
Working with Tables
Deleting a Table Row
Adding a Table Footer


Axis and Scale Labels Formatting

Axis and Scale Labels Formatting

You can format the X and Y Axis labels by means of the Design Toolbar.

To format axis label text

  1. Double-click the label text area of the X or Y axis. The label area border is outlined and you can select and edit the text.

  2. On the Design toolbar, use the buttons in the Font and Text & Color sections to change the size, color, bold and italic settings, and alignment. For more information, see Design Tab.
  3. For the Y axis, if you do not want the label text to render horizontally above the Y axis, on the Chart Design Toolbar, in the Axis section, click the Vertical Title button.

Note: You cannot change the font family of the label text. The font family is set on the Report Tab in the Themes section.
Options in the toolbar that do not apply to the label text are disabled.

To format axis scale labels

  1. Click in the scale label area of the X or Y axis. A border appears around the scale label area and markers appear along the axis.

  2. On the Chart Design Tools toolbar, in the Axis section, you can change to Angled Labels.
  3. On the Design toolbar, use the buttons in the Font and Text & Color sections to change the size, color, bold and italic settings, and alignment.
  4. For numeric values, you can also use the tools in the Format section to change the numeric formatting. For more information, see Design Tab.

To change the scale of numeric axis labels

  1. Click in the scale label area of a numeric axis. A border appears around the scale label area and markers appear along the axis.

  2. Above the toolbar, select the Chart Design Tools Tab. The Chart Design Tools toolbar appears, and as long as the numeric axis scale labels are selected, the Axis buttons are enabled.
  3. Use the buttons in the Axis section to change the minimum, maximum, and step values of the markings, and whether to use a logarithmic scale. For more information, see Chart Design Tools Tab.
See Also
Working with Charts
Chart Formatting
Chart Styling

Reference

Design Tab

Getting Started

Themes


Changing the Default Grouping

Changing the Default Grouping

By default, a table is grouped on the entity that was dragged onto the report to create the table. To change how the data in the table is grouped, first change the default grouping.

To change the default grouping

  1. Click the table to reveal the adorners.
  2. Next to the current grouping entity (e.g. Group on Album), click the drop-down arrow icon to display a list of other entities and attributes within the table entity.

    Note: Any attributes that you cannot select for the table data grouping are excluded from the list.
  3. From the list, double-click an attribute or entity to select it. The Group on label changes to the selected name.
See Also
Table Grouping
Adding a New Group
Sorting Data


Chart Data

Chart Data

A chart uses data in each of the following areas: Data Fields, Categories and Series. Each one deals with chart data in a different way, therefore only certain data types can be used in each area.

Chart Data Types

Icon | Data Type | Description
 | Numerical Attribute | Can be used in data fields, categories and series.
 | Text Attribute | Can be used in categories and series.
 | Boolean Attribute | Can be used in categories and series.
 | Date Attribute | Can be used in categories and series.
 | Aggregate Numeric Attribute | Can only be used in data fields.
 | Date Variation Attribute | Cannot be used in charts.
Tip: If you drag an attribute or entity onto a chart area where it is not supported, a red X icon appears.

For information on using data in each of these areas, see the following topics:

  • Managing Data Fields
  • Managing Categories
  • Managing Series
See Also
Working with Charts
Chart Overview
Chart Formatting


Chart Design Tools Tab

Chart Design Tools Tab
Show All
Hide All

This toolbar appears when you select a chart element in a report, and allows you to manage chart settings.

Chart Toolbar Buttons

Style Section

Button | Description
Each button represents a different combination of foreground and background colors. | Use the drop-down arrow to the right to scroll through the options.

Axis Section

Select the numeric scale labels of an axis to enable these buttons.

Button | Description
Logarithmic Scale | Turns logarithmic scale numbering for the axis steps on or off. Logarithmic scale numbering uses the distance from the origin or a ratio of the quantity. Otherwise, the axis steps are determined based on the data displayed or on the other axis settings. The button is highlighted when logarithmic scale is on for the selected chart. This is off by default.
Angled Labels | Angles the text on the axis so that it fits better and is more visually appealing.
Vertical Title | Renders the title for the Y axis vertically along the axis, instead of horizontally above the axis.
Min | Enter a number to use as the lowest to display on the axis. Otherwise, the number is determined automatically based on the data displayed.
Max | Enter a number to use as the highest to display on the axis. Otherwise, the number is determined automatically based on the data displayed.
Steps | Enter the number to use for label steps on the axis. This is only enabled when you provide a minimum and maximum value for the axis.

Tools Section

Click the thumb adorner at the top left corner of the chart to select the entire chart and enable these buttons.

Button | Description
Swap Data | Exchanges the category and series data in the selected chart. The button is highlighted when data is swapped in the selected chart. Click again to restore it.
Chart Type | Click the drop-down button to display ten chart types from which you can choose: Simple Column, Stacked Column, 100% Stacked Column, Simple Bar, Stacked Bar, 100% Stacked Bar, Simple Line, Simple Scatter, Scatter/Lines, or Bubble.

Legend Section

Select the legend text to enable these buttons.

Button | Description
Show Legend | Turns the legend on or off for the selected chart. The legend displays colors and their values to aid in reading the chart. The button is highlighted when the legend is on for the selected chart. The legend is on by default if the chart has multiple data points; otherwise, it is off by default.
Columns | Click to list items in columns for the selected legend.
Rows | Click to list items in rows for the selected legend.
Table | Click to list items in a table for the selected legend.

For more information, see Working with Charts.

Note: To select the chart, click inside the chart to reveal the adorners around the edges, then click the square thumb at the top left corner of the chart. The adorners disappear and a selector border with grab handles appears around the chart.
See Also

Designer12Onwards

Elements of Web Designer

Getting Started

Themes

Designer Tutorials

Working with Charts


Chart Filtering

Chart Filtering

Filtering is used to limit the data shown in a chart. You can filter data by attributes or entities within the entity used to create the chart. You can add one or more attributes to filter the data by using the chart adorners.

You can group filters or make reports interactive by adding parameters linked to the filters. For more information, see the Chart Filtering topics below:

  • Adding Chart Filters
  • Grouping Chart Filters
  • Making Interactive Chart Filters
  • Removing Chart Filters
See Also
Using Filters and Parameters

Designer Tutorials

Working with Parameters
Working with Charts


Chart Formatting

Chart Formatting

Chart formatting is performed by means of the chart adorners and the Chart Design Tools toolbar. You can apply the following formatting to a chart:

  • Axis and Scale Labels Formatting
  • Title Formatting
  • Legend Display Formatting
  • Resizing, Moving and Deleting Charts
See Also
Working with Charts
Chart Types
Chart Styling


Chart Styling

Chart Styling

In the Chart Design Tools toolbar, you can change the style of the chart and perform actions such as selecting predefined chart styles, swapping data on the axes, and toggling the legend on and off.

To change chart styles

  1. Click a chart to reveal the adorners.
  2. Above the toolbar, select the Chart Design Tools Tab. The Chart Design Tools toolbar appears.
  3. From the Styles section of the toolbar, select the chart style that you want to use.

To swap chart data axes

  1. Click a chart to select it.
  2. Above the toolbar, select the Chart Design Tools Tab. The Chart Design Tools toolbar appears.
  3. In the Legend section of the toolbar, click Swap Data. The chart data switches the axis on which it is displayed.

To toggle the chart legend

  1. Click a chart to select it.
  2. Above the toolbar, select the Chart Design Tools Tab. The Chart Design Tools toolbar appears.
  3. In the Legend section of the toolbar, click Show Legend. The legend element of the chart is hidden.

  4. To display the chart legend, click Show Legend again, or in the Report toolbar at the top right, click the Undo button.
See Also
Working with Charts
Chart Formatting
Chart Types


Modifying Text in a Chart

Modifying Text in a Chart

When working with a chart report item, there are several places to work with text:

  • Axis and Scale Labels Formatting
  • Title Formatting
  • Legend Display Formatting
See Also
Chart Formatting
Working with Charts
Working with Text and Numbers


Switching From One Chart Type To Another

Switching From One Chart Type To Another

In addition to the basic chart types displayed when you initially drag an entity onto the report design surface, each chart type has several sub-types from which to choose.

Warning: When switching from one chart type to another (for example, from Column to Bubble and then back to Column), you may lose data points if you switch using the Chart Type option. To avoid this situation, use Undo in the Report toolbar.

To change the chart type

  1. Double-click a chart to select it. The chart adorners disappear and the selection border appears around the perimeter of the chart.
  2. Go to the Chart Design Tools Toolbar.
  3. In the Tools section of the Chart Design Tools Toolbar, click Chart Type.
  4. In the Chart Types dialog that appears, click to select the chart sub-type that you want to use. The chart type is applied to the chart.

See Also
Chart Types
Chart Types

Reference

Chart Design Tools Tab


Deleting a Table Column

Deleting a Table Column

By default, a number of attributes chosen by the administrator are included in the table. You may remove these default attributes as you choose.

To delete a column

  1. Click the table to reveal the adorners.
  2. Point to the top of any column to reveal the column adorner.
  3. Click the arrow button in the center to reveal the column menu.
  4. Select Delete Column. The selected column is removed from the table.
See Also
Working with Tables
Table Formatting
Deleting a Table Row
Adding a Table Column


Deleting a Group

Deleting a Group

If your table has more than one group, you can delete a group. There must, however, always be at least one group in each table, so if you only have one group, the Delete button is disabled.

To delete a group

  1. Click the table to reveal the adorners.
  2. Click the expand button to the right of the group that you want to delete.
  3. In the upper right corner of the expanded menu, click the Remove Group button.
See Also
Table Grouping
Adding a New Group
Reordering Groups


Deleting a Table Row

Deleting a Table Row

You can delete rows from your tables using the row adorner.

To delete a table row

  1. Click the table to reveal the adorners.
  2. Hold your pointer to the left of the row you want to delete to reveal the row adorner.
  3. Click the arrow button in the center to reveal the row menu.
  4. Select Delete Row. The row is removed from the table.
See Also
Working with Tables
Adding a Table Row
Adding a Table Footer


Deleting or Moving an Image

Deleting or Moving an Image

You can always use Undo, but you may want to remove an image without undoing all of the changes you made after you added it. You can also move an image to another location on the report.

To delete an image

  1. Click the image to reveal the selection box.
  2. On your keyboard, press the Delete button. The image is removed.

To move an image

  1. Click the image to reveal the selection box.
  2. Hold the cursor over an edge of the image that is not a grab handle (somewhere between the corner grab handle and the center grab handle). The cursor becomes a four-way arrow.
  3. Click and drag the image and drop it in the new location. Snap lines show you when the image is aligned with other controls.
See Also
Working with Images
Adding an Image
Formatting an Image


Design Tab

Design Tab
Show All
Hide All

In addition to the Entity Tree, Attribute Tree, and Report Design Surface, the Design tab displays a toolbar that allows you to manage basic report options and perform basic actions on the report. This toolbar also gives you access to report item formatting and rendering.

Design Tab Toolbar Buttons

File Section

Button | Description
Save | Click to save the changes in the report that you are working on. The Enter Comment dialog that opens on clicking this button allows you to enter a revision comment related to the changes made in the report. For more inforamtion, see Working with Report Versions.
Save As | Click to save a new report or to rename and save an existing report. The Save Report dialog that opens on clicking this button also allows you to enter a revision comment for the report. For more inforamtion, see Working with Report Versions.

View Section

Button | Description
Preview drop down | See Previewing Reports for more information.

Font Section

Button | Description
Font Style | Select the Major or Minor font for the theme. To change the family, you must change the report Themes.
Increase Font Size | Click to increase the size of the font in the selected text area. This applies to an entire textbox, or the selected text element within a chart or table.
Decrease Font Size | Click to decrease the size of the font in the selected text area. This applies to an entire textbox, or the selected text element within a chart or table.
Font Weight | Click to toggle bold face for the selected text area. The icon is highlighted when bold face is toggled on.
Font Decoration | Click to toggle italic text for the selected text area. The icon is highlighted when italic text is toggled on.
Color | Click to select the font color for the selected text area. You can select from theme colors, standard colors, or a graph with more colors.
Background Color | Click to select the background color for the selected text area. You can select from transparent, theme colors, standard colors, or a graph with more colors.

Text & Color Section

Button | Description
General | Click to specify alignment based on the type of field: Left for text, right for numeric fields.
Text Align Left | Click to specify left alignment for the selected text area. The icon is highlighted when it is selected.
Text Align Center | Click to specify center alignment for the selected text area. The icon is highlighted when it is selected.
Text Align Right | Click to specify right alignment for the selected text area. The icon is highlighted when it is selected.
Arrange | When report items overlap, drop down and select from one of these options to set the layer of the selected report item: Bring Forward, Bring to Front, Send Backward, or Send to Back.
Border Style | Drop down to select a border style to apply to the selected textbox.
Border Width | Select a value between .25 pt and 6 pt for the border thickness of the selected text area.
Border Color | Click to select the border color for the selected text area. You can select from theme colors, standard colors, or a graph with more colors.
Borders | Drop down to select which borders to draw on the selected textbox.

Format Section

Button | Description
Number Formatting

Drop down to choose how to display the selected numeric field. Choose from Currency, Percent, Scientific, Fixed-point (based on your Increase or Decrease Decimal settings), General, or Other. Select Other to open the Custom Format dialog.

If the selected numeric field on your report is a date, a list of date and time formatting options appears, or select Other to open the Custom Format dialog.

Currency expands to let you choose General (based on your locale), US Dollar, Euro, Yen, British Pound, Chinese Yuan, Swiss Franc, or Other Currency. Select Other Currency to open the Custom Format dialog.
Increase Decimal | Click to increase the number of decimal places displayed in the selected numeric fields by one place. Continue clicking until you reach the number of decimal places you need.
Decrease Decimal | Click to decrease the number of decimal places displayed in the selected numeric fields by one place. Continue clicking until you reach the number of decimal places you need.

Edit Section

Button | Description
Undo | Click to revert to the state prior to your last action on the report.
Redo | After clicking Undo, click to restore the undone action.
Delete | Deletes the selected item from the report.

Interactivity Section

Button | Description
Drilldown | Click to select a report for which to create a drill-through link.
See Also

Designer12Onwards

Elements of Web Designer

Getting Started

Themes

Designer Tutorials

Formatting Text
Modifying Text in a Table
Modifying Text in a Chart


Formatting an Image

Formatting an Image

The Image Design Tools tab allows you to control the following options:

  • Resizing an Image
  • Formatting Image Borders
  • Deleting or Moving an Image
See Also
Working with Images
Adding an Image


Formatting Image Borders

Formatting Image Borders

You can change image border thickness and color using the Design toolbar.

To format image borders

  1. Select the image whose borders you want to format.
  2. On the Design toolbar, use the buttons in the Text & Color section to format the border.
  3. To modify the thickness of the border, click the Border Size button. The Border Size menu appears and you can select a thickness between 0.25 pt and 6 pt.
  4. To modify the color of the border, click the Select Color button. The Select Color menu appears and you can select a color.
    • Automatic: Selects the default color for the border based on your selected theme.
    • Theme colors: Offers a selection of colors from within your selected theme.
    • Standard colors: Offers a basic selection of standard colors.
    • More colors: Drops down a color picker.
  5. To modify the border style, click the Border Style button. The Border Style menu appears and you can select a style.
See Also
Working with Images
Formatting an Image


Grouping Chart Filters

Grouping Chart Filters

If a chart has more than one filter, you can select how to group the filters:

  • Filter All of filters the data with all of the filter criteria in the list (so that "and" is used between each filter).
  • Filter Any of filters the data with at least one of the filter criteria in the list (so that "or" is used between each filter).
  • Filter Add Group adds a new group in which multiple criteria can be added.
  • Filter Add Criterion adds a new criterion, the same as clicking the green plus sign.
  • Filter None presents all of the data with no filtering.

So, if a chart (for example, one based on the Invoice entity) has two criteria, Billing Country and Invoice Date, and you use the default Filter All of, then the data must meet both criteria to be included in the table.

You can also nest chart filters in groups to control how they are applied.

To nest filters in groups

  1. Click the arrow next to All of, and select Add Group. A new group of criteria appears, indented from the other criteria.
  2. Drag any criterion that you have created into the new filter group, or click the Add criterion button to add a new one. The criteria appear indented to the level of the filter group.

  3. Once you have added criteria to the group, you can change how the filter is applied by dropping down the All of menu and changing it to Any of, etc.
See Also
Adding Chart Filters
Removing Chart Filters
Making Interactive Chart Filters

Reference

Chart Filtering
Using Filters and Parameters


Grouping Table Filters

Grouping Table Filters

If a table has more than one filter, you can select how to group the filters:

  • Filter All of filters the data with all of the filter criteria in the list (so that "and" is used between each filter).
  • Filter Any of filters the data with at least one of the filter criteria in the list (so that "or" is used between each filter).
  • Filter Add Group adds a new group in which multiple criteria can be added.
  • Filter Add Criterion adds a new criterion, the same as clicking the green plus sign.
  • Filter None presents all of the data with no filtering.

So, if a table (for example, one based on the Album entity) has two criteria, Genre and Media Type, and you use the default Filter All of, then the data must meet both criteria to be included in the table.

You can also nest table filters in groups to control how they are applied.

To nest filters in groups

  1. Click the arrow next to All of, and select Add Group. A new group of criteria appears, indented from the other criteria.
  2. Drag any criterion that you have created into the new filter group, or click the Add criterion button to add a new one. The criteria appear indented to the level of the filter group.
  3. Once you have added criteria to the group, you can change how the filter is applied by dropping down the All of menu and changing it to Any of, etc.
See Also
Adding Table Filters
Making Interactive Table Filters
Removing Table Filters
Table Grouping

Reference

Table Filtering


Toggle the Chart Legend

Toggle the Chart Legend

There are times when displaying a chart legend does not make sense, and other times when it is necessary. ActiveReports Server generally makes intelligent decisions about when to display it, but you can easily toggle it on or off for any chart.

To toggle the chart legend

  1. In the Report Portal, open a chart report.
  2. Click the chart to select it.
  3. On the Chart Design Tools tab, in the Legend section, click the Show Legend button. The legend toggles on or off. Click the button again to toggle it back to the original value.
  4. To change the style or position of the legend, see Legend Display Formatting for more information.
  5. Click Preview to view the completed report.
See Also
Working with Charts
Making Interactive Chart Filters

Reference

Chart Design Tools Tab


Image Design Tools Tab

Image Design Tools Tab

This toolbar appears when you select an image report control, and allows you to manage image settings.

Image Toolbar Buttons

Image Section
Button | Description
Source | Opens the select an image dialog where you can browse for images and select the image to display in the control.
Auto | Click to automatically set the size of the image control to the original size of the image. Tip: If your original image size is large compared with the report, click Undo to quickly return to the default mode, Proportional.
Fit | Click to stretch the image in whatever way is necessary to completely fill the image control when you size it manually. This stretches the image out of its original shape if the control does not fit the original image aspect ratio.
Proportional | Click to maintain the aspect ratio of the image within the image control. This leaves a space below or to the right of the image if the control does not fit the original image aspect ratio.
Clip | Click to show the image in its original size and clip off any part of the image that does not fit within the control. If the original image is very large, only the top left corner of the image is shown.

For more information, see Working with Images.

See Also

Designer12Onwards

Elements of Web Designer

Designer Tutorials

Working with Images


Resizing an Image

Resizing an Image

By default, an image is placed with its top left corner in the spot on the report surface where you drop it, or if you double-click to add an image, it is placed at the top left corner of the report design surface, and the image report item is the same size as the actual image. You can resize the image after it is placed on the report, and control how the image is sized in relation to the size of the report item.

To resize an image

  1. Click the image to reveal the selection box with grab handles.
    Tip: To move the image, click an edge of the selection box where there are no grab handles and drag it to the new location.

  2. Click and drag any corner grab handle of the image to change both the height and the width of the image. Arrows appear along with labels indicating the new height and width as you drag the grab handle.
    Note: By default, the image stretches to fit the report item.
  3. Click and drag the edge grab handle at the center of the left or right edge of the image to change only the width of the image. A horizontal arrow appears along with a label indicating the new width as you drag the grab handle.
  4. Click and drag the edge grab handle at the center of the top or bottom edge of the image to change only the height of the image. A vertical arrow appears along with a label indicating the new height as you drag the grab handle.

To change how the image size relates to the report item size

  1. Click the image report item to select it. The Image Design Tools tab appears to the right of the Page tab.
  2. Select the Image Design Tools tab. In the Image section of the Image Design Tools toolbar, select one of the sizing options:

    • Auto: The image report item grows or shrinks to match the original image size.
    • Fit: The original image stretches to match the height and width of the report item.
    • Proportional: The original image resizes with the aspect ratio preserved so that it matches either the height or width of the report item, leaving space below or to the right.
    • Clip: The original image is clipped to fit inside the image report item.
See Also
Working with Images
Formatting an Image
Formatting Image Borders


Legend Display Formatting

Legend Display Formatting

By default, if you display the chart legend, it is displayed in the right upper position of the chart layout. However, you can modify the chart legend position and layout, and format the legend text.

To add a chart legend

  1. With the chart selected, select the Chart Design Tools tab.
  2. In the Legend section of the toolbar, click the Show Legend button. A legend appears in the chart area.

To change the legend position and layout

  1. Double-click the legend area. Icons for different legend positions and layouts appear in each corner and on each edge of the chart.
  2. Click the icon that displays the position and layout that you want to use. When you are finished, you can click elsewhere in the chart or on the design surface of the report to hide the icons.

To access more legend styles

  1. Click once inside the legend text area. The legend text area border is outlined.

  2. Above the toolbar, select the Chart Design Tools Tab. The Chart Design Tools toolbar appears, and as long as the legend text is selected, the Legend buttons are enabled.
  3. Use the buttons in the Legend section of the toolbar to select whether legend items are displayed, and if so, whether they are in columns, rows, or table format.
  4. In the Style section of the toolbar, the buttons allow you to select other styles within the selected report theme. For more information, see Chart Design Tools Tab. For more information on changing the report theme, see Themes.

To format the legend text

  1. Click once inside the legend text area. The legend text area border is outlined and you can format the text. (You cannot edit this text, as it changes dynamically based on the data.)

  2. On the Design toolbar, use the buttons in the Font and Text & Color sections to change the size, color, bold and italic settings, and alignment. For more information, see Design Tab.

Note: You cannot change the font family of the legend text. The font family is set on the Report Tab in the Themes section.
Options in the toolbar that do not apply to the legend text are disabled.

See Also
Working with Charts
Chart Formatting
Chart Styling


Making Interactive Chart Filters

Making Interactive Chart Filters

You can allow consumers of your reports to interact with them by giving them control of parameter values. To do this, you set a filter criterion value to Prompt.

To make an interactive chart filter (parameter)

  1. In the expanded chart filter workspace, next to the filter that you want to use as a report parameter, drop down the comparison value and select Prompt.
  2. In the Specify Prompt dialog that appears, you can enter text to prompt consumers of the report to select a value. The name of the attribute is the prompt text by default.
  3. Although you can use the default and allow users to select any values from the attribute, you can optionally change it to allow values from this list, and add valid values to use with more user-friendly labels.
  4. If you leave the with default value unspecified, the user is prompted to select a value when they preview the report. Otherwise, the report runs without requesting a value, but the user can still change the criteria by clicking the Parameters button on the Preview toolbar.
  5. If you do not want to require a value for the parameter, drop down the required list and select allow null, allow blank, or allow null or blank.
  6. When you have finished, click OK to save the changes, or click Remove this prompt to remove the parameter from the report.
See Also
Working with Parameters

Reference

Chart Filtering
Using Filters and Parameters


Making Interactive Table Filters

Making Interactive Table Filters

You can allow consumers of your reports to interact with them by giving them control of parameter values. To do this, you set a filter criterion value to Prompt.

To make an interactive table filter (parameter)

  1. In the expanded table filter workspace, next to the criterion that you want to use as a report parameter, drop down the comparison value and select Prompt.
  2. In the Specify Prompt dialog that appears, you can enter text to prompt consumers of the report to select a value. The name of the attribute is the prompt text by default.
  3. Although you can use the default and allow users to select any values from the attribute, you can optionally change it to allow values from this list, and add valid values to use with more user-friendly labels.
  4. If you leave the with default value unspecified, the user is prompted to select a value when they preview the report. Otherwise, the report runs without requesting a value, but the user can still change the criteria by clicking the Parameters button on the Preview toolbar.
  5. If you do not want to require a value for the parameter, drop down the required list and select allow null, allow blank, or allow null or blank.
  6. When you have finished, click OK to save the changes, or click Remove this prompt to remove the parameter from the report.
See Also
Setting a Parameter in the Preview
Working with Parameters

Reference

Using Filters and Parameters
Table Filtering
Chart Filtering


Managing Categories

Managing Categories

Show All
Hide All

Categories group your data and provide labels for your chart elements. Labels appear along the Y axis in a bar chart, or along the X axis in a column chart.

By default, each chart has one category that is the same as the original attribute you drag onto the report design surface to create the chart. You can add new categories, change the default category, change the order of categories, and delete categories.

Multiple categories are nested, and each data field is displayed within each category.

To change the default category

  1. Click the chart to reveal the adorners.
  2. Click the drop-down arrow icon next to the default Category Invoice below the chart. The Invoice entity appears with an arrow icon to its left.
  3. Click the arrow icon to the left of the Invoice entity to reveal the entities and attributes that you can use for a category grouping.
  4. Double-click the attribute or entity that you want to replace the existing category. When you preview the report, the new category grouping is displayed along the same axis as the original data field.

To add a new category

  1. Click the chart to reveal the adorners.
  2. Click Add a category below the chart. The Invoice entity appears with an arrow icon to its left.
  3. Click the arrow icon to reveal the entities and attributes that you can use for a category grouping.
  4. Double-click an attribute or entity to add it as a Category below the existing category. The new category grouping is displayed along the same axis as the original data field.
Note: Another way to add a category is to drag an attribute or entity from the Attribute Tree (or Entity Tree) and drop it onto the Categories area. A red X icon appears when you drag it over an area where you cannot drop the item, and a bold blue line appears where the category will be added when you drag it over an area where you can drop it.

To change the order of categories

If there is more than one category in the chart, you can change the order.

  1. Click the chart to reveal the adorners.
  2. Click the category that you want to move to expand the category work area.
  3. To the right of the category name, up or down arrow buttons are enabled depending on whether there are additional categories above or below the selected category. Click the up arrow to move the selected category above the preceding category, or click the down arrow to move it below the following category.
  4. Alternatively, you can click the grab handle to the left of the category that you want to move.
  5. The pointer changes to a four-way arrow, and you can drag the category up or down to the desired location. A red X icon appears when you drag it over a place where you cannot drop the category, and a bold blue line appears where the category will be inserted when you drag it over an area where you can drop it.

To delete a category

You can only delete a category if there is more than one in the chart.

  1. Click the chart to reveal the adorners.
  2. Click the expansion arrow to the right of the Category that you want to delete.
  3. In the expanded Category area that appears, click the red X icon on the right.
See Also
Working with Charts
Chart Data
Managing Data Fields
Managing Series


Managing Data Fields

Managing Data Fields

Show All
Hide All

Data fields serve as data points on the chart, determining the width of a bar, the height of a column, or the location and size of a bubble. The default data field is the one you originally drag and drop onto the report design surface to create the chart. You can add more data fields and delete them as necessary.

A single data field shows a single chart element (bar, column, bubble, line, or point) for each category in the chart. Multiple data fields show a chart element for each data field in each category, with the name of each data field displayed in the legend.

For example, adding a Max Total attribute to an Invoice bar chart adds a bar showing the maximum total above each Sum Total bar. The legend displays different colors or patterns to differentiate the Sum Total and Max Total bars.

To add a new data field

  1. Click the chart to reveal the adorners.
  2. Drag an attribute from the Attribute tree and drop it on the data fields area above the chart.
  3. The new field is displayed alongside the existing data field, along the Y Axis of the chart, and is added to the title and legend.

To delete a data field

  1. Click the chart to reveal the adorners.
  2. In the Data Fields area, click to select the data field that you want to delete. The selected field is highlighted.
  3. On your keyboard, click the Delete key. The data field is removed from the Data Fields area, the field name is removed from the title, and the data points are removed from the Y axis.
See Also
Working with Charts
Chart Data
Managing Categories
Managing Series


Managing Series

Managing Series

Show All
Hide All

A series groups data dynamically, so you can optionally use them to add more dimensions to your data. For example, if you add a Billing Country series to an Invoice chart, instead of a single bar for each invoice, you have a single bar for each invoice in each country. The chart legend displays a different color or pattern for each country.

By default, a chart has no series grouping. You can add one or more series, change the order of multiple series groups, and delete series groups.

To add a new series

  1. Click the chart to reveal the adorners.
  2. To the right of the chart, click Add a series. A list of entities and attributes that you can use for a series drops down.

  3. Double-click an attribute or entity to add it as a Series. The new series is displayed along the same axis as the original data field in different colors or patterns. The colors or patterns are detailed in the legend.

Note: Another way to add a series is to drag an attribute or entity from the Attribute Tree (or Entity Tree) and drop it onto the Series area. A red X icon appears when you drag it over an area where you cannot drop the item, and a bold blue line appears where the series will be added when you drag it over an area where you can drop it.

Any attribute or entity that cannot be used as a series cannot be dropped and only displays a red X icon.

To delete a series

A series is an additional dimension to the chart, so you can delete a series even if a chart has just one added series.

  1. Click the chart to reveal the adorners.
  2. Click the expansion arrow to the right of the series that you want to delete.
  3. In the expanded Series area that appears, click the Delete icon to the right. The series is removed.

To change the order of multiple series

If there is more than one series in the chart, you can change the order.

  1. Click the chart to reveal the adorners.
  2. Click the expansion arrow of the series that you want to move.
  3. To the right of the series name, up or down arrow buttons are enabled depending on whether there are additional series above or below the selected series. Click the up arrow to move the selected series above the preceding series, or click the down arrow to move it below the following series.

  4. Alternatively, you can click the grab handle to the left of the series that you want to move.
  5. The pointer changes to a four-way arrow, and you can drag the series up or down to the desired location. A red X icon appears when you drag it over a place where you cannot drop the series, and a bold blue line appears where the series will be inserted when you drag it over an area where you can drop it.
See Also
Working with Charts
Chart Data
Managing Categories
Managing Data Fields


Resizing, Moving, and Deleting Textboxes

Resizing, Moving, and Deleting Textboxes

Show All
Hide All

By default, a textbox is placed with its top left corner in the spot on the report surface where you drop it, or if you double-click to add a textbox, it is placed at the top left corner of the report design surface. You can resize, move, or delete the textbox after it is placed on the report.

Note: The textbox grows vertically, so any text that appears cut off in the textbox at design time does show up in the preview and in any exports or rendering.

To resize a textbox

  1. Click the textbox to reveal the selection box with grab handles.
  2. Click and drag any corner grab handle of the textbox to change both the height and the width of the textbox. Arrows appear along with labels indicating the new height and width as you drag the grab handle.
  3. Click and drag the edge grab handle at the center of the left or right edge of the textbox to change only the width of the textbox. A horizontal arrow appears along with a label indicating the new width as you drag the grab handle.
  4. Click and drag the edge grab handle at the center of the top or bottom edge of the textbox to change only the height of the textbox. A vertical arrow appears along with a label indicating the new height as you drag the grab handle.

To move a textbox

  1. Click the textbox to reveal the selection box.
  2. Mouse over a flat edge of the selection box that does not contain any grab handles. The four-way arrow pointer appears.
  3. Click and drag the selection box with the four-way arrow to move the textbox and drop it onto a new location on the report design surface.

To delete a textbox

  1. Click the textbox to reveal the selection box.
  2. On your keyboard, press the Delete key. The textbox is removed.
See Also
Working with Text and Numbers
Working with Textboxes
Working with Tables


Moving a Textbox

Moving a Textbox
  1. Click on a textbox to reveal the adorners.
  2. Point to the textbox border to have the pointer appear.

  3. Click when the pointer is still shown and, holding the mouse left button, move the textbox within the Report Design Surface.


Reordering Groups

Reordering Groups

You can change the order of groups by moving the attributes up or down in the grouping area.

To reorder groups

  1. Click the table to reveal the adorners.
  2. In the Group section, click the expand button next to the group that you want to move. The properties for the section appear.
  3. Near the upper right corner of the expanded menu, up or down arrow buttons are enabled depending on whether there are additional groups above or below the selected group. Click the up arrow to move the selected group above the preceding group, or click the down arrow to move it below the following group.
  4. The group moves in the direction of the arrow within the Group section.

Alternate Method

  1. Using the grab handle to the left of the group, drag an attribute upwards or downwards within the Group area.
  2. A red X icon appears when you drag the attribute onto an area where you cannot drop it, but a bold blue line appears when you drag it onto a valid drop area.
See Also
Table Grouping
Adding a New Group
Changing the Default Grouping


Page Tab

Page Tab

The Page tab allows you to set margins, orientation, and page size for reports.

Page Tab Buttons

Margins Button

Click this button to drop down a list of common margin settings. You can choose from

  • None
  • Normal
  • Narrow
  • Moderate
  • Wide

Alternately, you can set each margin separately using the up and down arrows next to the Top, Bottom, Left, and Right boxes.

Orientation Button

Click this button to drop down the orientation settings. You can select:

  • Portrait
  • Landscape

Size Button

Click this to display a list of common paper sizes. You can choose from:

  • Letter 8.5 x 11 in
  • Legal 8.5 x 14 in
  • Statement 5.5 x 8.5 in
  • A5 5.83 x 8.27 in
  • A4 8.27 x 11.69 in
  • A3 11.69 x 16.64 in

Alternately, you can set the dimensions separately using the up and down arrows next to the Width and Height boxes.

Header Button

Click this to display a list of header settings. You can choose from:

  • Off
  • On, All Pages
  • On, Except First Page
  • On, Except Last Page
  • On, Except First & Last Page

Footer Button

Click this to display a list of footer settings. You can choose from:

  • Off
  • On, All Pages
  • On, Except First Page
  • On, Except Last Page
  • On, Except First & Last Page

Header Height

Use the up and down arrows to change the height of the header. By default, the header is half an inch high.

Footer Height

Use the up and down arrows to change the height of the footer. By default, the footer is half an inch high.

See Also
Design Tab
Preview Tab
Page Headers and Footers

Designer12Onwards

Elements of Web Designer


Preview Tab

Preview Tab

This toolbar contains the Viewer options.

Viewer Toolbar Buttons

Report Section
Button | Description
Design | Click to return to the design view of the report.
Print | Click to open the page range dialog, then the print dialog.
Content Panel | Click to display the Table of Contents panel, where you can also select the Thumbnails tab.
Parameters | Click to display parameters that have been added to the report. See Working with Parameters for more information.
Save | Click the drop-down arrow to display the file types to which you can save your report. Choose from: XLS, MHT, Image, PDF, Word, or XML. By default, if you click on the button instead of dropping it down, it saves to a PDF file.
Navigation Section
Find | Click to open the Find dialog where you can find text within the report.
N of M | Displays the current and total page numbers. Enter the page number to which you want to jump and press Enter.
Previous | Click to return to the previous page in the report.
Next | Click to move to the next page in the report.
View Section
Zoom | Click the drop-down arrow to select a zoom option between 10% and 800%, or to fit the report to the width of the viewer.
Single Page | Click to display one entire page in the viewer.
Two Pages | Click to display two pages side-by-side in the viewer.
More Pages | Click to select pages to display up to three by two.

For more information, see Previewing Reports.

See Also

Designer12Onwards

Elements of Web Designer


Removing a Table Header

Removing a Table Header

By default, tables have a header row, but no footer row. You can remove the header row using the row adorner.

To remove a table header

  1. Click the table to reveal the adorners.
  2. Hold your pointer to the left of any row to reveal the row adorner.
  3. Click the arrow button in the center to reveal the row menu.
  4. Select Toggle Table Header. The table header row is removed from the table.
  5. To re-add the table header row, select Toggle Table Header again.

You can turn the footer and detail rows on or off using the Toggle Table Footer and Toggle Table Details menu items. If you put a summary field in a footer row, you can turn off the details to show a summary report.

Note: You can also add or remove a table header or table footer by toggling them in the Table Design Tools Toolbar.
See Also
Working with Tables
Adding a Table Row
Adding a Table Footer
Adding a Group Header and Footer


Removing Chart Filters

Removing Chart Filters

You can remove chart filters, filter groups, and parameters, but parameters are removed separately from their corresponding filters.

To remove a chart filter

  1. Expand the filter workspace to reveal all of the filter criteria.
  2. Click the red X next to the criterion that you want to remove.

To remove a filter group

If you do not want to remove the criteria within the filter group, you can first drag them out of the group. Otherwise, all criteria within the group are removed along with the group.

  1. In the expanded filter workspace, next to the filter group that you want to remove, drop down the All of list.
  2. Select Remove. The filter group and all its criteria are removed.

To remove a parameter

You can remove parameters without removing their associated filter criteria. If you remove the criterion, the parameter is automatically removed along with it.

  1. In the expanded filter workspace, click Prompt to reopen the Specify Prompt dialog.
  2. In the Specify Prompt dialog, click Remove this prompt.

See Also
Working with Parameters
Adding Chart Filters

Reference

Chart Filtering
Using Filters and Parameters


Removing Table Filters

Removing Table Filters

You can remove table filters, filter groups, and parameter prompts.

To remove a table filter

  1. Expand the filter workspace to reveal all of the filter criteria.
  2. Click the red X next to the criterion that you want to remove.

To remove a filter group

If you do not want to remove the criteria within the filter group, you can first drag them out of the group. Otherwise, all criteria within the group are removed along with the group.

  1. In the expanded filter workspace, next to the filter group that you want to remove, drop down the All of list.
  2. Select Remove. The filter group and all its criteria are removed.

To remove a parameter

You can remove parameters without removing their associated filter criteria. If you remove the criterion, the parameter is automatically removed along with it.

  1. In the expanded filter workspace, click Prompt to reopen the Specify Prompt dialog.
  2. In the Specify Prompt dialog, click Remove this prompt.

See Also
Adding Table Filters
Working with Tables

Reference

Table Filtering
Using Filters and Parameters


Rendering

Rendering

You can render reports to a number of formats on the Design tab by clicking the drop-down arrow on the Preview button.

Format | Description
Default | Renders the report to the ActiveReports Server Viewer. See Previewing Reports for more information.
Excel | Transforms the selected report into a spreadsheet in XLS format for viewing in Microsoft Excel.
Html | Renders the selected report in HTML and displays it in a new tab in your browser.
Image | Renders the selected report as a static image in JPG format and displays it in a new tab in your browser.
PDF | Renders the selected report to a PDF file and displays it in the Adobe Acrobat Viewer in a new tab in your browser.
Word | Renders the selected report to a DOC file for viewing in Microsoft Word.
XML | Transforms reports into XML format for sharing data with other applications and displays it in a new tab in your browser.

For Excel and Word, when the rendering is complete, the file becomes available for download.

  • In Internet Explorer, you are offered a choice of whether to Open or Save the file.
  • In Google Chrome, the file appears in the downloads bar at the bottom of the window.
See Also

Reference

Design Tab
Preview Tab


Report Concepts

Report Concepts

This section introduces the concepts behind report design in ActiveReports Server.

Interface Elements
This section provides an overview of the ActiveReports Server user interface.
Data Models
Learn about Data Models and how to use them.
Filters and Parameters
Understand interactive parameters and filters, and where to get more information on each.
Drill Down and Drill Through
Learn about drill-down tables and drill-through report links.
Themes
Find out how themes can help you apply the appearance of a report you are authoring to other reports to save time.
Rendering
Learn how ActiveReports Server renders reports into specified formats.
Relative Dates
Find out about setting relative dates on parameters in reports and in report scheduling.
Page Headers and Footers
Learn how to show or hide page headers and footers, and how they appear in exported reports.
ClickOnce End User Designer
Learn about the ClickOnce End User Designer and the provided possibilities of report authoring.
See Also
Get Started with ActiveReports Web Designer

Designer12Onwards

How To


Report Tab

Report Tab

This toolbar allows you to manage themes for the selected report, add TextBox or Image report controls, and set report parameters and preferences.

Report Tab Toolbar Buttons

Theme Section
Button | Description
Autumn | Applies the default theme to the report. The theme includes not only colors, but also fonts and font styles. See Themes for more information.
Blue, Gray, Green, Pastel, Rainbow, or Springtime | Applies a different theme to the report. See Themes for more information.
Report Section
Preferences | Opens the Configuration dialog where you can select the Measurement System to use. Choose from U.S. Units or Metric Units.
Region | Drops down a list of culture locales from which you can select to apply to the report.
Controls Section
Textbox | Drag this control onto the report design surface to create a box in which you can enter text that you want to appear on your report. See Working with Text and Numbers for more information
Image | Drag this control onto the report design surface to create a placeholder for an image that you want to appear on your report. While the placeholder is selected, the Image Design Tools tab appears. See this tab below, or see Working with Images for more information.
See Also

Designer12Onwards

Elements of Web Designer

Getting Started

Themes

Designer Tutorials

Formatting Text
Modifying Text in a Table


Resizing, Moving and Deleting Charts

Resizing, Moving and Deleting Charts
Show All
Hide All

By default, a chart is placed with its top left corner in the spot on the report surface where you drop the original entity that you drag onto the report design surface. You can resize, move, or delete the chart after it is placed on the report.

To resize a chart

  1. Click the chart to reveal the adorners. Each corner of the chart has a grab handle.
  2. Click and drag the grab handle at the bottom right corner to change both the height and the width of the chart. Arrows appear along with labels indicating the new height and width as you drag the grab handle.

  3. Click and drag the grab handle at the right edge to change only the width of the chart. A horizontal arrow appears along with a label indicating the new width as you drag the grab handle.

  4. Click and drag the grab handle at the bottom left edge to change only the height of the chart. A vertical arrow appears along with a label indicating the new height as you drag the grab handle.

To move a chart

  1. Click the chart to reveal the adorners.
  2. Mouse over the thumb at the top left corner to reveal the four-way arrow pointer.

  3. Click and drag the thumb with the four-way arrow to move the chart and drop it on any location on the report design surface.

To delete a chart

  1. Click the chart to reveal the adorners.
  2. Mouse over the thumb at the top left corner to reveal the four-way arrow.

  3. Click and release the thumb with the four-way arrow to select the entire chart. The selection border appears all the way around the chart.

  4. On your keyboard, press the Delete key. The chart is removed.
See Also
Working with Charts
Chart Formatting
Chart Styling


Resizing a Textbox

Resizing a Textbox
  1. Click on a textbox to reveal the adorners.
  2. To resize the textbox, drag any corner (changes the width and the height), the left or right edge (changes the width only) or the top or bottom edge (changes the height only).

Note the indication of the textbox width and height when a textbox is being resized.


Setting a Parameter in the Preview

Setting a Parameter in the Preview

Once you add a report parameter to a table or chart filter, people who preview the report see it differently depending on your settings.

If the default value is unspecified for the parameter

When the user previews the report, the Report Parameters pane displays, and they must first select a value for the parameter and click View Report before the report will run.

If you specify a default value for the parameter

When the user previews the report, the report runs immediately, filtered by the default value. To change the parameter value, they must click the Parameters button to display the Report Parameters pane.

If you are previewing a parameterized report

You can preview parameterized page reports, end-user-created reports, and section reports with SQL query parameters as well as Report Explorer parameters.

When the user previews a parameterized report, the Report Parameters pane displays, and they must first select a value for the parameter and click View Report before the report will run.

See Also
Working with Parameters

Reference

Chart Filtering
Table Filtering
Using Filters and Parameters


Sorting Data

Sorting Data

Another way of organizing data in a table is sorting. By default, report data in a table is not sorted. Note that the sorting in a table is applied to a group. This means that the sorting is performed in the data group where the sorting has been defined.

To sort data

  1. Click the table to reveal the adorners.
  2. In the Group section that you want to sort, click the expand button. The section expands to reveal the menu.
  3. In the expanded menu to the right of the Group, click the drop-down arrow button next to Sort on and select the attribute by which to sort the data. The with A on top option appears below, indicating that the default sort order is ascending.
  4. You can change the sort order to descending by selecting with Z on top, or select without order to remove the sorting.
See Also
Working with Tables
Table Grouping
Table Data


Table Data

Table Data

A table has three regions: Table Header and Footer, Grouping Header and Footer and Details. Each region has specific behavior with each type of data. You can control whether to display Table Header, Details, and Table Footer rows on the Table Design Tools tab.

Control whether to display Group Header and Footer rows using the table adorners. See Adding a Group Header and Footer for more information.

When you place an attribute in the Details row, a static label appears automatically in the same column of the Table Header row. When you delete an attribute from the Details row, the corresponding static label remains in the Table Header row, so you must remove it manually.

Attributes in the Details row cause the row to repeat as many times as there are details. You can suppress the Details section for a summary report.

Aggregate attributes in Group Header or Footer rows summarize the data for the entire group. In Table Header or Footer rows, they summarize the data for the entire table.

Table Data Types

Icon | Data Type | Description
Numeric Attribute | A numeric attribute that you can place in the Details row, the Group Header row, or the Group Footer row. Selecting a numeric field enables the Design tab toolbar's Number section.
Text Attribute | A text attribute that you can place in the Details row, the Group Header row, or the Group Footer row.
Boolean Attribute | An attribute with one of two values, True or False, that you can place in the Details row, the Group Header row, or the Group Footer row.
Date Attribute | A date attribute that you can place in the Details row, the Group Header row, or the Group Footer row.
Aggregate Attribute

An attribute that summarizes your data in some way.

  • Avg displays an average of all the values in that level.
  • Max displays the maximum value encountered in that level.
  • Min displays the minimum value encountered in that level.
  • Total displays a total of all the values in that level.
  • First displays the earliest date encountered in that level for date attributes.
  • Last displays the latest date encountered in that level for date attributes.

You can place these in any row, including the Table Header row and the Table Footer row.
N/A | Custom literal | You can add static text to a table cell by clicking inside the cell.
See Also
Working with Tables
Table Grouping


Table Design Tools Tab

Table Design Tools Tab

This toolbar appears when you select a table element in the report, and allows you to manage table styles and toggle table sections: Header, Details and Footer.

Table Toolbar Buttons

Style Section
Button | Description
Flat | This is the default table style using bold background colors for the headers and no header borders.
Flat Light | This is like the default table style, but with paler versions of the colors.
Grid | This is like the default table style using bold background colors for the headers, but with header borders.
Grid Light | This is like the grid table style with header borders, but with paler versions of the background colors.
Light | This table style uses no background colors, and only has borders.
Header/Footer Section
Table Header | Turns the table header display on or off. The button is highlighted when the header is on for the selected table. The header is on by default.
Table Details | Turns the table details display on or off. The button is highlighted when the details are on for the selected table. Details are on by default. Turn details off and the footer on to display only the totals.
Table Footer | Turns the table footer display on or off. The button is highlighted when the footer is on for the selected table. The footer is off by default.

For more information, see Working with Tables.

Note: To select the table, click inside the table to reveal the adorners around the edges, then click the square thumb at the top left corner of the table. The adorners disappear and a selector border with grab handles appears around the table.
See Also

Designer12Onwards

Elements of Web Designer

Designer Tutorials

Working with Tables

Getting Started

Themes


Table Filtering

Table Filtering

Filtering is used to limit the data shown in a table. You can filter data by attributes or entities within the entity used to create the table. You can add one or more attributes to filter the data using the adorners.

You can group filters or make reports interactive by adding parameters linked to the filters. For more information, see the Table Filtering topics below:

  • Adding Table Filters
  • Grouping Table Filters
  • Making Interactive Table Filters
  • Removing Table Filters
See Also
Using Filters and Parameters
Chart Filtering

Designer Tutorials

Working with Parameters
Working with Tables


Table Formatting

Table Formatting

You can format tables using adorners that give access to row and column menus. Some types of table formatting also have drag-and-drop functions.

Table Row Menu

The center arrow of the row adorner reveals the row menu where you can toggle visibility of header, detail, and footer rows, and add or delete rows. The arrow above it adds a row above the selected row, and the arrow below adds a row below.

Table Column Menu

The center arrow of the column adorner reveals the column menu, where you can add, delete, and move columns. The arrow to the left adds a column to the left of the selected column, and the arrow to the right adds a column to the right.

Here are more ways in which you can format tables:

  • Adding a Table Row
  • Deleting a Table Row
  • Adding a Table Footer
  • Removing a Table Header
  • Adding a Table Column
  • Deleting a Table Column
  • Resizing, Moving, and Deleting Tables
See Also
Working with Tables
Table Grouping
Changing Table Styles


Table Grouping

Table Grouping

Grouping is used to organize data in a table. You can group data by attributes or entities within the entity used to create the table. By default, table data is grouped by the entity you drag onto the report to create the table.

You can see which attribute groups the data by clicking the table so that the adorner menu appears.

If a table has more than one group (see Reordering Groups), the table data is grouped as an inclusive tree. So, if a table (for example, one based on the Customer entity) has three groups, Country, State, and City, then the table data is grouped first by country, then by state, then by city.

The default grouping does not display a header row, but for added groups, the group value is displayed by default at the beginning of each new instance of the data group in a group header row. To change it, click with (or without) a header row and select the setting that you want. To display group subtotals, add a group footer row. For more information, see the Table Grouping topics below:

  • Changing the Default Grouping
  • Adding a New Group
  • Deleting a Group
  • Reordering Groups
  • Adding a Group Header and Footer
  • Collapsing a Group (drill down reports)
  • Sorting Data
See Also
Table Data
Table Formatting
Working with Tables
Working with Text and Numbers
Create a Drill-Down Report


Resizing, Moving, and Deleting Tables

Resizing, Moving, and Deleting Tables

Show All
Hide All

By default, a table is placed with its top left corner in the spot on the report surface where you drop the entity, the table columns are all the same width, and the table rows are all the same height. The size of the table is based on the width of all the columns and the height of all the rows. You can change the size of the table or the individual columns or rows, and move or delete the entire table.

To resize a table

  1. Click the table to reveal the adorners.
  2. Click and drag the adorner at the bottom right corner of the table to change both the height and the width of the table. Arrows appear along with labels indicating the new height and width as you drag the adorner. All of the rows are the same height and all of the columns are the same width.
  3. Click and drag the adorner at the top right corner of the table to change only the width of the table. A horizontal arrow appears along with a label indicating the new width as you drag the adorner. All of the columns are the same width.
  4. Click and drag the adorner at the bottom left corner of the table to change only the height of the table. A vertical arrow appears along with a label indicating the new height as you drag the adorner. All of the rows are the same height.
  5. Click the vertical line between columns to reveal the individual column resizer arrows, then drag left or right to change the width of the column to the left of the vertical line. A horizontal arrow appears along with a label indicating the new width of the column. The table width changes to accommodate the new column width, and the other columns keep their original width.
  6. Click the horizontal line between rows to reveal the individual row resizer arrows, then drag up or down to change the height of the row above the horizontal line. A vertical arrow appears along with a label indicating the new height of the row. The table height changes to accommodate the new row height, and the other rows keep their original height.

To move a table

  1. Click the table to reveal the adorners.
  2. Mouse over the thumb at the top left corner to reveal the four-way arrow.
  3. Click and drag the thumb with the four-way arrow to move the table and drop it on any location on the report design surface.

To delete a table

  1. Click the table to reveal the adorners.
  2. Mouse over the thumb at the top left corner to reveal the four-way arrow.
  3. Click and release the thumb with the four-way arrow to select the entire table. The selection border appears all the way around the table.
  4. On your keyboard, press the Delete key. The table is removed.
See Also
Working with Tables
Table Formatting


Changing Table Styles

Changing Table Styles

You can change the style of your table on the Table Design Tools tab, and you can change the color scheme for your entire report, including the table, on the Report tab.

To change table styles

  1. Click the table to reveal the Table Design Tools tab in the toolbar.
  2. Select the Table Design Tools tab, and in the Style section, select the style you want to use.

  3. The table shades and borders change to reflect the selected style. For information on Table Header, Details and Footer rows, see Adding a Table Footer.

To change report color schemes

  1. In the toolbar, select the Report tab.

  2. In the Theme section, select the color scheme you want to apply to the entire report.
See Also
Working with Tables
Table Overview
Table Formatting


Modifying Text in a Table

Modifying Text in a Table

When working with a table report item, you can enter text in a table cell as a static label. To learn more about tables, see the topics in Working with Tables. You can apply standard text formatting by using the Design tab toolbar. To modify the font face, you must change the theme of the report. See Themes for more information.

To format text

  1. Click inside the cell in the table that you want to format to select it.
  2. On the Design tab toolbar, use the buttons in the Font and Text & Color sections to format the text. For more information on the function of each button, see Design Tab.
  3. To enter static text, double-click inside the table cell. The cursor appears and you can delete or modify existing text and enter new text.
Note: The table cells grow vertically, so any text that is wider than the cell shows up in the preview and in any exports or rendering.
See Also
Working with Text and Numbers
Working with Tables

Reference

Design Tab


Deleting a Textbox

Deleting a Textbox
  1. Click on a textbox to reveal the adorners.
  2. Press Delete.


Formatting Text

Formatting Text

You can apply standard text formatting using the Design tab toolbar. To modify the font face, you must change the theme of the report. See Themes for more information.

To format text

  1. Select the textbox that you want to format.
  2. On the Design tab toolbar, use the buttons in the Font and Text & Color sections to format the text.
  3. To modify the text, double-click inside the textbox. The cursor appears and you can delete or modify existing text and enter new text.
Note: The textbox grows vertically, so any text that is cut off in the textbox at design time does show up in the preview and in any exports or rendering.
See Also
Resizing, Moving, and Deleting Textboxes
Working with Text and Numbers


Themes

Themes

You can change the appearance of a report by changing its theme (a predefined set of fonts, colors and images). When you select a theme, it is applied to an entire report, and every element within it.

To apply a new theme to your report

  1. With a report open, select the Report tab.
  2. In the list of themes that appears, click a theme to apply it to the report or click the arrow to scroll through available themes.

See Also

Reference

Report Tab


Title Formatting

Title Formatting

Each chart has a default title that is automatically created from the beginning. New values added to the chart are also automatically reflected in the title. You can modify the title, but once you have modified the text, updated values are no longer automatically reflected in the title.

To format title text

  1. Double-click the title text area of the chart. The title area border is outlined and you can select and edit the text.

  2. On the Design toolbar, use the buttons in the Font and Text & Color sections to change the size, color, bold and italic settings, and alignment. For more information, see Design Tab.

Note: You cannot change the font family of the title text. The font family is set on the Report Tab in the Themes section.
Options in the toolbar that do not apply to the title text are disabled.

See Also
Working with Charts
Chart Formatting
Chart Styling

Getting Started

Themes

Reference

Design Tab


Data Models

Data Models

A data model is an abstract model that represents data organized in entities, with relationships between these entities defined. Each entity has its own attributes.

Data Models List

When you create a report, you create it on the basis of a data model that you select. On the Report Portal, click New Report [image] to create a new report and display a list of data models from which you may choose one.

When you click a data model in the list, a new, blank report appears on the Design tab, with the data entities displayed in the Entity Tree. You can explore the data model by expanding nodes in the tree, and selecting entities to display their attributes below in the Attribute Tree.


Working with Images

Working with Images

An image is a static report item that you can add using the Report tab. This section explains how to work with images in ActiveReports Server.

Adding an Image
Learn how to add an image to your report.
Formatting an Image
Discover image formatting options.
See Also
Working with Charts

Getting Started

Report Concepts

Designer12Onwards

Get Started with ActiveReports Web Designer


Working with Text and Numbers

Working with Text and Numbers

There are various contexts in which you work with text in ActiveReports Server: it can be the Textbox report item, the text in a table cell, or text within a chart (legend text, axis label text, or chart header).

Working with Textboxes
Learn about the basics of working with the Textbox report item.
Modifying Text in a Table
Learn about text formatting in tables.
Modifying Text in a Chart
Learn about text formatting in charts.
Formatting Numbers in Charts and Tables
Learn about standard and custom number formatting in charts and tables.
See Also
Working with Tables
Working with Charts
Working with Images


Working with Textboxes

Working with Textboxes

A textbox is a report item that contains text. The text appearance contributes to the overall presentation of a report, so we give you control over text properties such as font, size, style and effects in the Design toolbar. Besides formatting, you can also resize, move, or delete textboxes. Now you can also display report information such as page numbering, the report name, report execution time, or even parameter values in a textbox.

  • Adding a Textbox
  • Formatting Text
  • Resizing, Moving, and Deleting Textboxes
  • Adding Report Info and Parameters
See Also
Working with Text and Numbers
Working with Tables
Working with Charts
Working with Images


ClickOnce End User Designer

ClickOnce End User Designer

The ClickOnce End User Designer is a report designing application that is deployed in the ActiveReports Server. You can create a new ActiveReports Page, RDL, or Section report from the Report Portal or modify the ones that are already hosted on the ActiveReports Server.

Note: The ClickOnce End User Designer works only in Internet Explorer and Microsoft Edge browsers as both are based on the ClickOnce technology.

You can access the ClickOnce End User Designer for:

  • Creating a new report from the Report portal.

  • Modifying an existing report from the Admin Portal or the Report Portal.

The ClickOnce End User Designer consists of the following elements.

Element | Name | Description
Design View allows to create, design and edit a report.

Design View

 Design Surface The design surface of a report appears initially as a blank page and grid lines. You can create your own layout and drag report controls and fields onto the design surface to display your data.

Ruler

 Rulers Use the ruler to determine how your report will look on paper.

Designer Tabs

 Designer Tabs
  • Designer Tab
  • Script Tab
  • Preview Tab
 There are three tabs located at the bottom of the report design surface. Create a report layout in the Designer tab, write a script in the Script tab to implement .NET functionality and see the result in the Preview tab.

Page Tabs

 Page Tabs Report layouts are designed on separate pages and you can control the way each page appears. Using page tabs, you can select which page to view or edit, add new pages, remove existing pages, reorder pages, and create duplicate pages.
Designer Buttons The Designer buttons are located to the right of the designer tabs along the bottom of the designer.

Dimension Lines. Dimension lines let you track the location of the control as you move it by displaying the distance between the control and the edge of the writable area of the report.

Hide Grid. By default, grid lines and dots appear on the report design surface. You can click this button to hide the grid and design your report on a blank page.

Show Dots. You can click this button to have dots appear on the design surface in between the grid lines to guide you in the placement of controls.

Show Lines. You can click this button to have faint grey lines appear on the design surface in between the grid lines to guide you in the placement of controls.

Snap Lines. This setting aligns the control you are dragging with other controls on the report design surface. When you drag the control around, snap lines appear when it is aligned with other controls or with the edges of the report, and when you drop it, it snaps into place in perfect alignment.

Snap to Grid. This setting aligns the control you are dragging with grid lines on the report design surface. When you drop the control, it snaps into place in alignment with the nearest grid mark. To place your controls freely on the report design surface, turn this setting off.

Select Mode. In Select mode, when you click items on the report designer surface, you select them. Use this mode for editing, data binding and styling in the Designer tab. An arrow cursor appears in the Select mode.

Pan Mode. Use the Pan mode to make navigation easier. In this mode, you cannot select, edit, or delete a control from the design surface. A hand cursor appears in Pan mode and you can navigate through your report by pressing the left mouse button and dragging the report to the desired position.
Zoom Bar | The Zoom bar below the report design surface where the slider thumb is set to 100% by default. The slider allows you to zoom in and out of the report designer surface. Using this slider you can magnify the layout from 50% to 400%.
Report Menu provides access to common reporting operations.
File > Save | Opens the Save dialog.
File > Save As | Opens the Save As dialog to save the newly created report.
File > Export
 Opens the Export dialog.
Server > Edit Shared Data Sources | Opens the Server Shared Data Sources dialog where you can add, edit or remove shared data sources of the report.
Server > Edit Shared Data Sets | Opens the Server Shared Data Sets dialog where you can add, edit or remove shared data sets of the report.
Report > Report Parameters | Opens the Report dialog to the Parameters page where you can manage, add and delete parameters.
Report > Embedded Images | Opens the Report dialog to the Images page, where you can select images to embed in a report. Once you add images to the collection, they appear in the Report Explorer under the Embedded Images node.
Report > Convert to Master Report (RDL Reports only) Converts an RDL report to a Master Report.
It disappears from the Report menu when a master report is applied to the report through Set Master Report.
Report > Report Properties | Opens the Report dialog to the General page where you can set report properties such as the author, description, page header and footer properties, and grid spacing.
Report > Stylesheet Editor | Opens the New Style - Stylesheet Editor dialog where you can manage styles of the report.
Report > Set Master Report (RDL Reports only) | Opens the Open dialog to select a Master Report (RDLX-master file format) to apply to the current project.

Report > View

  • Designer
  • Script
  • Preview
 Opens the Designer, Script, or Preview tab.
Report > Page Header (RDL Reports only) | Toggles the report Page Header on or off.
Report > Page Footer (RDL Reports only) | Toggles the report Page Footer on or off.
Toolbar comprises of buttons and dropdown lists which offer functions for a number of commonly used commands.
Text Decoration | This group of the buttons includes: Style Names, Font Names, Font Sizes, Bold, Italic, Underline, ForeColor, BackColor.
Text Alignment | This group of the buttons includes: Align Left, Align Center, Align Right, Align Justify.
Layout Editing | This group of the buttons includes: Zoom Out, Zoom In, Zoom.
Control Alignment | This group of the buttons includes: Align to Grid, Align Lefts, Align Rights, Align Tops, Align Middles, Align Bottoms.
Control Resizing | This group of the buttons includes: Make same width, Make same height, Make same size, Size to Grid.
Control Spacing | This group of the buttons includes: Make horizontal spacing equal, Increase horizontal spacing, Decrease horizontal spacing, Remove horizontal spacing, Make vertical spacing equal, Increase vertical spacing, Decrease vertical spacing, Remove vertical spacing.
Z-order Alignment | This group of the buttons includes: Bring to Front, Send to Back.
RichTextBox Commands | This group of the buttons includes: Bullets, Indent, Outdent.
Report Explorer gives you a visual overview of the report elements in the form of a tree view where each node represents a report element.
Report Explorer
  • Document Outline
    • Each report page (or the body for RDL reports)
      • Each control on the page, for example:
        • BandedList
        • Table
  • Data Sources
    • DataSource (right-click to add a data source; you can have more than one)
      • DataSet (right-click the DataSource to add a data set)
        • Fields (drag onto the report or onto a data region)
      • Another DataSet (you can have more than one)
  • Parameters (right-click to open a dialog and add a parameter)
  • EmbeddedImages (right-click to browse for an image to add)
  • CommonValues (drag onto the report to display the value in a textbox)
Toolbox displays the list of controls available for the report.
RDL Reports The RDL Reports Toolbox comprises of the following items:
  • FormattedText
  • Image
  • Line
  • List
  • Map
  • Shape
  • Sparkline
  • Subreport
  • Table
  • TableOfContents
  • Tablix
  • TextBox
Page Reports The Page Reports Toolbox comprises of the following items:
  • BandedList
  • Barcode
  • Bullet
  • Calendar
  • Chart
  • Checkbox
  • Container
  • FormattedText
  • Image
  • Line
  • List
  • Map
  • OverflowPlaceHolder
  • Shape
  • Sparkline
  • Table
  • TableOfContents
  • Tablix
  • TextBox
Section Reports The Section Reports Toolbox comprises of the following items:
  • Label
  • TextBox
  • CheckBox
  • RichTextBox
  • Shape
  • Picture
  • Line
  • PageBreak
  • Barcode
  • SubReport
  • Chart
  • ReportInfo
  • CrossSectionLine
  • CrossSectionBox
Properties Window gives access to the properties of any page, section, data region, control or the report itself.
Properties Window | Select a property to reveal a description at the bottom of the window. By default, this window is placed to the right of the report design area.
Layers List window displays a list of layers in the report. Layers is a named group of controls. Layers are supported in Page Report and Rdl Report types only.
Layers List Window You can lock or unlock, add or remove, show or hide these groups of controls. When you create a new report, a Default Layer is automatically added to it.

This feature is useful where you use the scanned copy of the form to trace that you can place on one Layer and you want use it to print.
Report Library window gives access to the report parts that you can reuse in other reports.
Library Window Report parts are groups of controls (with data and settings) in a report that you can reuse in other reports.

You can also use report parts from a report that is hosted on an instance of ActiveReports Server. For example, you can use Chart and Tablix data regions from Report1, and a Table data region from Report2 to create a new report.

See Also

Designer12Onwards

Create a Report
Modify a Report


Collapsing a Group

Collapsing a Group

By default, table groups display as expanded. You can collapse a group by changing the expanded property in the table group adorner to collapsible.

Important: To use the collapsible property, the group must have a header row, and must have a second group below it to hold the detail data.

To collapse a group

  1. Click the table to reveal the adorners.
  2. In the Group section, click the expand button next to the group that you want to collapse. The properties for the section appear.
  3. Change without a header row to with a header row.
  4. Click Add a group and select the data to show when the user expands the group header. The expanded property becomes clickable.
  5. When you mouse over the expanded property, a drop-down arrow appears to the right. Click the arrow and select collapsible.

When you view the report, the collapsible group's rows display with a plus sign icon to the left of them. Click the icon to expand the group and show any associated details.

See Also
Create a Drill-Down Report

Reference

Drill Down and Drill Through


Concatenate Two Values in One Table Cell

Concatenate Two Values in One Table Cell

You may want to concatenate two or more values from the attribute tree in a single textbox of a table.

To concatenate values

  1. From the Attribute Tree, drag the first value, for example, First Name, into the table cell.
  2. Click inside the cell so that the value #First Name appears in a purple bubble.
  3. Drag the second value, for example, Last Name, into the table cell, and drop it to the left or right of the existing value. #Last name appears in a second bubble inside the textbox.
  4. If you want to add static text, for example, a comma and space after Last Name, or a space between First Name and Last Name, click inside the textbox again and add text.
See Also
Adding Report Info and Parameters
Add Page Numbering
Modifying Text in a Table
Working with Text and Numbers


Create a Drill-Through Link

Create a Drill-Through Link

You can make a drill-through report by linking a table cell or a data point in a chart to another report with more detailed data.

Important: To make a meaningful drill-through report, link to a report that contains a parameter corresponding to the table cell or data point you want to link.

To create a drill-through chart

  1. Select the chart that you want to link to another report, and click the Design tab of the report designer.
  2. In the Design toolbar, click the Drilldown button.
  3. In the Drilldown - Chart dialog that appears, under Step 1, click to select the data point that you want to link to another report.
  4. Under Step 2, select Jump to a report and click <specify a report> to drop down a list of available reports. Select the report that you want to open when the user clicks the data point.
  5. A list of the parameters in the selected report appears. Select the value that corresponds to the selected data point.

To create a drill-through table

  1. Select the table cell that you want to link to another report, and click the Design tab of the report designer.
  2. In the Design toolbar, click the Drilldown button.
  3. In the Drilldown - Table dialog that appears, select Jump to a report and click <specify a report> to drop down a list of available reports. Select the report that you want to open when the user clicks the data point.
  4. A list of the parameters in the selected report appears. Select the value that corresponds to the selected table cell.

When you view the report, the pointer changes to a hand when you mouse over a drill-through link. Click the link to navigate to the linked report.

Note: To navigate back to the main report, in the viewer toolbar, click the Back button instead of the Previous button.

See Also

Reference

Drill Down and Drill Through
Using Filters and Parameters


Display the Parameter Value

Display the Parameter Value

When you create a parameterized report, you can display the value chosen for the report in a textbox on the report itself.

To display the parameter value

  1. Click inside the textbox as if to type in it. In the Report toolbar, the Parameter button is enabled.
  2. Click the Parameter button. A list of parameters for the report drops down.
  3. Select the parameter that you want to display on the report. A purple box with a question mark and the parameter name appears. When you click outside the textbox, the purple box disappears. At run time, the value of the parameter displays.

    Tip: You can add more than one Parameter or Report Info value in the same textbox, and add text around these values.
See Also
Adding Report Info and Parameters
Working with Parameters


Display the Report Name

Display the Report Name

You can dynamically display the report name in a textbox on your report using the Report Info button. If the report name is changed in the report list, this textbox automatically updates to display the new name.

To display the report name

  1. Click inside the textbox as if to type in it. In the Report toolbar, the Report Info button is enabled.
  2. Click the Report Info button. A list of report info values for the report drops down.
  3. Select Report Name. A purple box with an ampersand and ReportName appears.

    Tip: You can add more than one Report Info value in the same textbox, and add text around these values as is done automatically in Page n of m.
See Also
Adding Report Info and Parameters


Display the Report Run Date

Display the Report Run Date

You can display the report run date and time on the report using a textbox and the Report Info button.

To display the report run date

  1. Click inside the textbox as if to type in it. In the Report toolbar, the Report Info button is enabled.
  2. Click the Report Info button. A list of report info values for the report drops down.
  3. Select Execution Time. A purple box with an ampersand and ExecutionTime appears.

    Tip: You can add more than one Report Info value in the same textbox, and add text around these values as is done automatically in Page n of m.
See Also
Adding Report Info and Parameters


Drill Down and Drill Through

Drill Down and Drill Through

You can make your reports interactive by allowing your users to drill down into the detailed data that they need from a clean view of the high level data. You can achieve this with collapsible table groups (drill down), or with links to detail reports (drill through).

Drill Down

Drill-down reports are created using a table with groups. The group header represents the clean view of the high level data, and a second group becomes the collapsed detail data. For this reason, the collapsible property is only enabled when there are at least two groups, and the top-level group has a group header row.

When the report runs, data in the group header displays with a plus sign icon, as all groups are collapsed by default. Click the icon to expand the group and display any related detail data. Click the minus sign icon to collapse the group.

You can see this type of report in action in the Playlist Drilldown sample.

Exporting a drill-down report to Excel is the best way to preserve the interactivity, as Excel can duplicate the collapsible table group feature.

If you export a drill-down report to HTML, PDF, or an image format, any content which is hidden at the time of export remains hidden in the exported file. If you want all of the content to appear in the exported file, you must first expand each area of hidden data.

If you export a drill-down report to XML, all hidden data is exported regardless of whether it is hidden at the time of export.

Drill Through

Drill-through reports have links to separate reports with more detailed data. The linked report must have parameters, so that the main report can pass a value from the clicked link. The main report can have links on table cells or chart data points from which they derive the value to pass to the detail report.

When the main report runs, the data points or table cells with drill-through links change the pointer to a hand when you mouse over them, like hyperlinks on Web pages.

You can see this type of report in action in the Employee Sales Summary sample.

At design time, tables and charts that have drill through links are marked with an orange triangle at the bottom right corner.

Caution: If you change the name of the report that drill through links point to, the links are broken until you update them.

See Also

Designer Tutorials

Collapsing a Group
Create a Drill-Through Link
Create a Drill-Down Report


Formatting Numbers in Charts and Tables

Formatting Numbers in Charts and Tables
Show All
Hide All

When working with charts and tables, you can control the formatting of dates and numbers.

With charts, you can additionally control the minimum, maximum, and steps in the scale, and whether to use a logarithmic scale. For more information, please see Axis and Scale Labels Formatting.

To format numbers in a chart or table

  1. Click to select the numbers that you want to format. The Format section of the Design toolbar is enabled.
  2. In the Design toolbar, you can click Increase Decimal or Decrease Decimal to change the number of zeros shown after the decimal point.
  3. Drop down the box at the top of the Format section of the toolbar to select from common numeric formats (or common date formats if your value is a date), or select Other to create a custom format.

Custom formats that you may find useful

Use this format string | To display this number | This way
0,000,000.00 | 1234.56 | 0,001,234.56
#,###,###.00 | 1234.56 | 1,234.56
#, | 100,000 | 100
???.??? | 1234.56 12.34 .123 | (decimal points aligned)
Use this format string | To display this date part | This way
M | month | January 12
MM | month | 01-12
MMM | month | Jan-Dec
MMMM | month | January-December
d | day | 1-31
dd | day | 01-31
ddd | day | Sun-Sat
dddd | day | Sunday-Saturday
yy | year | 00-99
yyyy | year | 1900-9999


Glossary

Glossary
A | B | C | D | E | F | G | H | I | J | K | L | M | N | O | P | Q | R | S | T | U | V | W | X | Y | Z

A

attribute tree
Displays the attributes that are associated with the entity selected under the entity tree. For example, the Customer entity has attributes like Address, Phone, Country, etc. If no entity is selected, the attribute tree is empty.

D

drill down
Allows users to expand collapsed table rows to reveal more data. See also drill through.

drill through
Allows users to click links to reports with more detailed data. Located in the Design tab toolbar, the Drilldown button is enabled when you select a table cell or chart data point. Specify parameters in the target report to supply relevant detail data.

R

report design surface
Visible on the Design tab and the Report tab, it is a visual page designer where you can drag and drop entities and attributes to create tables and charts and design your reports.

Report Info
An insert that you can add to a textbox to show page numbering, report name, or run time. Located in the Report tab toolbox, it is enabled when you click inside a textbox.

role root category
Role Root Category is a system category that is set as the top level category for a User Role. All the sub-categories under this level are available to the users in the user role. Role Root Category is a system category that is set as the top level category for a User Role. All the sub-categories under this level are available to the users in the user role.


New Topic 2

New Topic 2


New Topic 3

New Topic 3


New Topic 4

New Topic 4


Page Headers and Footers

Page Headers and Footers

By default, new reports have a page header section at the top, and a page footer section at the bottom, that display on all pages of the report. To change these settings, on the Page tab, drop down the Header or Footer button and select how you want to display it. You can also set the height of each of these sections here, although the height automatically adjusts to accommodate any items you place in the section.

You cannot place data in these sections, but you can place images and textboxes. With a textbox, you can insert parameter values and report info such as page numbering, the report name, and the run date. See Adding Report Info and Parameters for more information.

Page Header and Footer Behavior in Exported Reports

When you export your reports to other formats, the page header and footer may not be supported.

Export Type | Header Behavior | Footer Behavior
Excel
  • Off: Does not display.
  • On, All Pages: Displays once at the beginning.
  • On, Except First Page: Displays once at the beginning.
  • On, Except Last Page: Displays once at the beginning.
  • On, Except First & Last Page: Displays once at the beginning.
  • Off: Does not display.
  • On, All Pages: Displays once at the end.
  • On, Except First Page: Displays once at the end.
  • On, Except Last Page: Displays once at the end.
  • On, Except First & Last Page: Displays once at the end.
Html
  • Off: Does not display.
  • On, All Pages: Displays just once at the beginning.
  • On, Except First Page: Does not display.
  • On, Except Last Page: Displays once at the beginning.
  • On, Except First & Last Page: Does not display.
  • Off: Does not display.
  • On, All Pages: Displays just once at the end.
  • On, Except First Page: Displays once at the end.
  • On, Except Last Page: Does not display.
  • On, Except First & Last Page: Does not display.
Image
  • Off: Does not display.
  • On, All Pages: Displays just once at the beginning.
  • On, Except First Page: Does not display.
  • On, Except Last Page: Displays once at the beginning.
  • On, Except First & Last Page: Does not display.
  • Off: Does not display.
  • On, All Pages: Displays just once at the end.
  • On, Except First Page: Displays once at the end.
  • On, Except Last Page: Does not display.
  • On, Except First & Last Page: Does not display.
PDF | Behaves the same as in the preview. | Behaves the same as in the preview.
Word | Behaves the same as in the preview. | Behaves the same as in the preview.
XML | Does not display. | Does not display.
See Also
Page Tab

Designer Tutorials

Adding Report Info and Parameters
Working with Textboxes
Working with Images


Templates

Templates

The new template feature has been introduced in the ActiveReports 12 Server Designer in order to allow users to create reports based on the existing templates that are uploaded by the administrator.

A user can create a report by clicking the Create Report button on the Report portal. Upon clicking, this button will navigate the user to the Active Reports Web Designer - a separate window where they are asked to select a report type and choose a template amongst a set of available templates. These tenmplates are displayed in the form of thumbnails along with their names and are described in the table shown below:

Template Name | Description
BlankReport_page.rdlx | This is a blank page report.
BlankReport_rdl.rdlx | This is a blank RDL report.
Invoice_page.rdlx | This is an invoice template.
Deliveryslip_page.rdlx | This is an invoice template. Change the background color of the detail lines with isolation.
Paymentslip_page.rdlx | This is a template of payment handling form. We output the convenience bar code used in the toll storage service.
Label_page.rdlx | This is a template of tack sticker used for addressing envelopes and tags.
SimpleChart_page.rdlx | This is a template of the sales trend table using a simple graph.
CompositeChart_page.rdlx | This is a template fo the sales transition table using a composite graph. Different graph types ae set for each series.
SalesSlip_page.rdlx | This is a template for sales slips. If the data doesn't fit on the first page, a different layout is output on the second page.
Paystub_page.rdlx | This is a template of salary details. Output round schedule schedule.
ReportOfExemptionForDependents_page.rdlx | This is a template of the dependence deduction declaration. Since you're using a layer, you can print only data when printing.
SalesSpecification_page.rdlx | This is a template of sales statement. Total is done by voucher, day, month.
Estimate_page.rdlx | This is a template of the estimate.
ChainStoreUniformSlip_page.rdlx | This is a template of chain store unified vouchers. Since you're using a later, you can print only data when printing.
ManufacturingInstruction_page.rdlx | This is a template of production instructions for manufacturing industry.
MatrixSample_RDL.rdlx | This is a template of the crosstabulation table. It is possible to drill down by clicking the [+] rank.
Salesdashboard_rdl.rdlx | This is a dashboard template. Visualize data using multiple graphs and tables.